rem From image %1 that contains a 24-colour card,
rem make image files %2, must contain XX.
rem %3 if 1, debug mode.
rem %4 is one parameter, usually quoted, that contain 4 coordinate pairs,
rem   ie 8 numbers.


@if [%4]==[] findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 24c

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set DEBUG=%3
if "%DEBUG%"=="." set DEBUG=
if "%DEBUG%"=="" set DEBUG=0

set FourPoints=%~4

echo %0: %INFILE% %OUTFILE% %DEBUG% [%FourPoints%]

set TMPDIR=\temp\

set OUTEXT=%OUTFILE:*.=%

set TMP_ROT=%OUTFILE:XX=tmprot%
set TMP_ROT=%TMPDIR%!TMP_ROT:%OUTEXT%=miff!

set TMP_ROT=%INFILE%

set OUT_MAT=%OUTFILE:XX=mat%
set OUT_SCL=%OUTFILE:XX=scl%
set OUT_DBG=%OUTFILE:XX=dbg%

echo %0: %TMP_ROT% %OUT_MAT% %OUT_SCL%


set Y3=
for /F "tokens=1-8 delims=, " %%A in ("%FourPoints%") do (
  echo %%A
  set X0=%%A
  set Y0=%%B
  set X1=%%C
  set Y1=%%D
  set X2=%%E
  set Y2=%%F
  set X3=%%G
  set Y3=%%H
)
if "%Y3%"=="" (
  echo %0: Need 8 numbers in [%FourPoints%]
  exit /B 1
)

call %PICTBAT%24cardChop

if ERRORLEVEL 1 (
  echo 24cardChop failed
  exit /B 1
)

call %PICTBAT%24cardDbg

if ERRORLEVEL 1 (
  echo 24cardDbg failed
  exit /B 1
)


call echoRestore

endlocal & set OUTFILE24c=%OUTFILE%& set OKAY24c=%OKAY%
