rem Converts from "-level L1,L2%" (nominal 0 to 100) to gain and bias (nominal 0 to 1)
rem %1 is prefix for environment variable.

rem gain=100/(L2-L1)
rem bias=-gain*L1

set FMT=^
%1_gain_Rx=%%[fx:100/(!%1_L2_R!-!%1_L1_R!)]\n^
%1_gain_Gx=%%[fx:100/(!%1_L2_G!-!%1_L1_G!)]\n^
%1_gain_Bx=%%[fx:100/(!%1_L2_B!-!%1_L1_B!)]\n^
%1_bias_Rx=%%[fx:-(!%1_L1_R!)/(!%1_L2_R!-!%1_L1_R!)]\n^
%1_bias_Gx=%%[fx:-(!%1_L1_G!)/(!%1_L2_G!-!%1_L1_G!)]\n^
%1_bias_Bx=%%[fx:-(!%1_L1_B!)/(!%1_L2_B!-!%1_L1_B!)]\n

for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -precision 15 ^
  -format "%FMT%" ^
  xc:`) do set %%L
