rem Converts from "+level L3p,L4p%" (nominal 0 to 100) to gain and bias (nominal 0 to 1)
rem %1 is prefix for environment variable.

rem bias=L3p/100
rem gain=(L4p-L3p)/100

set FMT=^
%1_bias_Ry=%%[fx:!%1_L3p_R!/100]\n^
%1_bias_Gy=%%[fx:!%1_L3p_G!/100]\n^
%1_bias_By=%%[fx:!%1_L3p_B!/100]\n^
%1_gain_Ry=%%[fx:(!%1_L4p_R!-!%1_L3p_R!)/100]\n^
%1_gain_Gy=%%[fx:(!%1_L4p_G!-!%1_L3p_G!)/100]\n^
%1_gain_By=%%[fx:(!%1_L4p_B!-!%1_L3p_B!)/100]\n

for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -precision 15 ^
  -format "%FMT%" ^
  xc:`) do set %%L
