rem Make a one-line Python script that makes besection coordinates
rem for a frontal projection of a humanoid,
rem from boundary coordinates (in Blender units).
@rem
@rem %1 output Python file
@rem %2 left
@rem %3 top
@rem %4 right
@rem %5 bottom
@rem %6 whether to cap: True or False

set ToCap=%6
if "%ToCap%"=="." set ToCap=
if "%ToCap%"=="" set ToCap=False

(
  @echo import os
  @echo import sys
  @echo import bpy

  @echo dir = os.path.dirname^(bpy.data.filepath^)
  @echo if not dir in sys.path:
  @echo     sys.path.append^(dir^)

  @echo dir = os.getcwd^(^)
  @echo if not dir in sys.path:
  @echo     sys.path.append^(dir^)

  @echo from ac_envvar import *
  @echo from ac_funcs import *

  @echo bisect_left = %2
  @echo bisect_top = %3
  @echo bisect_right = %4
  @echo bisect_bottom = %5
  @echo bisect_cap = %ToCap%
) >%1
