rem Given HDRI image %1,
rem makes %2 the arithmetic negative
rem eg +10% becomes -10%; -20% becomes +20%.
@rem
@rem Assumes magick is HDRI.
@rem
@rem Updated:
@rem   22-July-2022 Upgraded for IM v7.
@rem

rem Note: this works even if %1 has multiple images.

rem "Add 1" because 100% is QuantumRange+1.

%IMG7%magick ^
  %1 ^
  -channel RGB ^
  -negate -evaluate Subtract 100%% -evaluate Add 1 ^
  +channel ^
  %2
