cGrep  /p0 /B[ /i*.h1 /s@*.bat* /s@*.c /s@*.c,h /s@*.inc,h /s@*.h,h /s@*.sh /s@*.sh,h /s@*Makefile.am* /ob2z.lis
rem 4-September-2023: exclude IMSRC
cGrep /p0 /ib2z.lis /ob2z.lis /sIMSRC /x
chStrs /p0 /ib2z.lis /f",h"
chStrs /p0 /ib2z.lis /f"@"
cSort  /p0 /ib2z.lis /ob2z.lis /u
copy /y b2z.lis imsnibgoBats.txt
rem type b2z.lis

rem For zip, we need to expand the environment variable.
rem
chStrs   /p0 /ib2z.lis /ob2zEV.lis /f"%%" /t"&&,"
chStrs   /p0 /ib2zEV.lis /f"&&," /m1
chStrs   /p0 /ib2zEV.lis /f"&&," /t","
cProject /p0 /ib2zEV.lis /k0 /u
rem type b2zEV.lis

del %TEMP%\b2zEVs.lis
for /F %%L in (b2zEV.lis) do (
  set %%L>>%TEMP%\b2zEVs.lis
)
chStrs  /p0 /i%TEMP%\b2zEVs.lis /f"=" /t"%%,"
cPrefix /p0 /i%TEMP%\b2zEVs.lis /l"%%"
rem type %TEMP%\b2zEVs.lis

chStrs /p0 /ib2z.lis /s%TEMP%\b2zEVs.lis /X-
rem type b2z.lis

del /Q imsnibgoBats.zip
zip -o -j imsnibgoBats.zip imsnibgoBats.txt
type b2z.lis|zip -o -j -@ imsnibgoBats.zip


rem Make an index of which pages call the BAT and C files.

cGrep  /p0 /B[ /i*.h1 /s@*.bat* /s@*.c /s@*.c,h /s@*.h,h /s@*.inc,h /f\m\x,\r\n /ob2zndx.lis
chStrs /p0 /ib2zndx.lis /f",h"
chStrs /p0 /ib2zndx.lis /f"@"
chStrs /p0 /ib2zndx.lis /f".h1" /t".htm"

rem What are the titles?
cGrep  /p0 /i*.h1 /X /s"*\(h1*/h1*" /f\m\x,\m\x,\r\n /ob2ztrans.lis
chStrs /p0 /ib2ztrans.lis /f"\q"
chStrs /p0 /ib2ztrans.lis /f"," /t"comma"
chStrs /p0 /ib2ztrans.lis /t"," /f"comma" /m2
chStrs /p0 /ib2ztrans.lis /f".h1" /t".htm"
chStrs /p0 /ib2ztrans.lis /f"," /t",\(a href=\q" /m1
chStrs /p0 /ib2ztrans.lis /f",\(h1\)" /t"\q\)"
chStrs /p0 /ib2ztrans.lis /f"\(/h1\)" /t"\(/a\)\(br /\)"

cJoin    /p0 /ib2zndx.lis,b2ztrans.lis /k0 /K0 /n /ob2zlist.lis
cProject /p0 /ib2zlist.lis /ob2zlist.lis /k1,2
cSort    /p0 /ib2zlist.lis /ob2zlist.lis /k0,1
cGrep    /p0 /ib2zlist.lis /ob2zlist.lis /s",*" /x
chStrs   /p0 /ib2zlist.lis /t"," /f"comma"
type b2zlist.lis


