rem From image %1 makes %2 with blur sigma %3 method %4
rem %3 is sigma. May have suffix 'c' or '%' for percentage or 'p' for proportion.
rem %4 is method:
rem   b blur
rem   r resize down then up
rem   a auto
@rem
@rem Updated:
@rem   6-August-2022 for IM v7
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

rem @call echoOffSave

call %PICTBAT%setInOut %1 bb

set OUTFILE=%2
if "%OUTFILE%"=="." set OUTFILE=
if "%OUTFILE%"=="" set OUTFILE=%BASENAME%_%sioCODE%%EXT%

set BLR_SIG=%3
if "%BLR_SIG%"=="." set BLR_SIG=
if "%BLR_SIG%"=="" set BLR_SIG=3

set METH=%4
if "%METH%"=="." set METH=
if "%METH%"=="" set METH=a

set SIG_LAST=%BLR_SIG:~-1%

if "%SIG_LAST%"=="^%" set SIG_LAST=c

if /I "%SIG_LAST%"=="c" (

  for /F "usebackq" %%L in (`%IMG7%magick identify ^
    -format "nSIG=%%[fx:w*%BLR_SIG:~0,-1%/100]" ^
    %INFILE%`) do set %%L

) else if /I "%SIG_LAST%"=="p" (

  for /F "usebackq" %%L in (`%IMG7%magick identify ^
    -format "nSIG=%%[fx:w*%BLR_SIG:~0,-1%]" ^
    %INFILE%`) do set %%L

) else (
  set nSIG=%BLR_SIG%
)


if /I "%METH%"=="a" (

  for /F "usebackq" %%L in (`%IMG7%magick identify ^
    -format "IsSmall=%%[fx:%nSIG%<50?1:0]" ^
    %INFILE%`) do set %%L

  echo %0: nSIG=%nSIG% IsSmall=!IsSmall!

  set METH=r
  if !IsSmall!==1 set METH=b
)

set sRESIZE=
if /I "%METH%"=="b" (
  set sRESIZE=-blur 0x%nSIG%
) else if /I "%METH%"=="r" (

  for /F "usebackq" %%L in (`%IMG7%magick identify ^
    -format "WW=%%w\nHH=%%h\nRAT=%%[fx:50/%nSIG%]" ^
    %INFILE%`) do set %%L

  set sRESIZE=-resize !RAT!%% -resize "!WW!x!HH!^^^!"
)

echo %0: sRESIZE=%sRESIZE%

if /I not "%OUTFILE%"=="NULL:" %IMG7%magick ^
  %INFILE% ^
  %sRESIZE% ^
  %OUTFILE%

if ERRORLEVEL 1 exit /B 1

call echoRestore

endlocal & set bbOUTFILE=%OUTFILE%& set bbRESIZE=%sRESIZE%
