rem For image %1, makes black all pixels up to %2 from any edge.
rem %3: 0 means param 2 is pixels, 1 means param 2 is percentage. Default 0.
rem %4 optional output file
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

rem @call echoOffSave

call %PICTBAT%setInOut %1 be


set RTW=%2
set RTH=%2

for /F "usebackq" %%L in (`%IMG7%magick ^
  %INFILE% ^
  -format "WW=%%w\nHH=%%h\nWm1=%%[fx:w-1]\nHm1=%%[fx:h-1]" ^
  info:`) do set %%L

if "%3"=="1" (
  for /F "usebackq" %%L in (`%IMG7%magick identify ^
    -format "RTW=%%[fx:%WW%*%RTW%/100]\nRTH=%%[fx:%HH%*%RTH%/100]" ^
    xc:`) do set %%L
)

for /F "usebackq" %%L in (`%IMG7%magick ^
  %INFILE% ^
  -format "WmRT=%%[fx:%WW%-%RTW%]\nHmRT=%%[fx:%HH%-%RTH%]" ^
  info:`) do set %%L

if not "%4"=="" if not "%4"=="." set OUTFILE=%4

%IMG7%magick ^
  %INFILE% ^
  -fill #000 ^
  -draw "rectangle 0,0 %Wm1%,%RTH% rectangle 0,0 %RTW%,%Hm1% rectangle %WmRT%,0 %Wm1%,%Hm1% rectangle 0,%HmRT% %Wm1%,%Hm1% " ^
  %OUTFILE%

@call echoRestore

@endlocal & set beOUTFILE=%OUTFILE%
