rem Blend frames, temporally subsampling after supersampling.
rem Given %1 is a list of frames
rem and %2 is an integer >= 2,
rem makes frames in groups, each the mean of %2 frames,
rem writing list of new frames to %3.
@rem
@rem Updated:
@rem   25-September-2022 for IM v7.
@rem

rem FIXME: what do we do if any remainder?

@if "%3"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave


set INNUM=0
set OUTNUM=0

set sFRAMES=

del %3 2>nul

for /F %%F in (%1) do (
  set /A COUNT=!INNUM!%%%2
  rem echo COUNT=!COUNT!
  rem echo %%F
  set FNAME=%%F

  if !COUNT!==0 (
    rem If got some, output them.

    if not "!sFRAMES!"=="" (
      set sOUTNUM=00000!OUTNUM!
      set sOUTNUM=!sOUTNUM:~-6!

      set sFOUT=%TEMP%\%%~nF_bf_!sOUTNUM!%%~xF
      rem echo sFOUT=!sFOUT!
      echo !sFOUT! >>%3

      %IMG7%magick !sFRAMES! -evaluate-sequence Mean !sFOUT!

      rem echo sFRAMES=!sFRAMES!

      set sFRAMES=!FNAME!
      set /A OUTNUM+=1
    )
  ) else (
    set sFRAMES=!sFRAMES! !FNAME!
  )

  set /A INNUM+=1
)

echo INNUM=%INNUM% OUTNUM=%OUTNUM%

@call echoRestore

@endlocal
