@rem
@rem Updated:
@rem   5-August-2022 for IM v7.
@rem

set WH2=250
set /A WH=WH2+WH2

set THK2=60
set /A THK=%THK2%+%THK2%

set /A WHmTHK2=%WH%-%THK2%

set /A RAD=%WH2%-%THK2%
set /A WW=%WH%-%THK%


set /A TOP=60+%THK2%
set /A TOP=%WH2%*6/25+%THK2%
set /A BOT=%WH%-%TOP%

set /A X1=%WW%*1/3
set /A X2=%WW%*4/3

set /A D1=%WW%*2/3
set /A D2=%WW%*4/3

set /A SM_RAD=%THK%*4/5
set /A SM_WH=%THK%*8/5
set /A X1L=%X1%-%SM_RAD%
set /A X2L=%X2%-%SM_RAD%
set /A TOP_T=%TOP%-%SM_RAD%
set /A BOT_T=%BOT%-%SM_RAD%

set COL1=Red
set COL2=Lime
set COL3=Blue

set NEGA=-channel alpha -negate +channel

goto BadErase

%IMG7%magick ^
  -size %WW%x%WH% xc:None ^
  -fill None -stroke %COL1% -strokewidth %THK% ^
  -draw "path 'M0,%THK2% A%RAD%,%RAD% 0 0,1 %RAD%,%WH2% A%RAD%,%RAD% 0 0,0 %WW%,%WHmTHK2%'" ^
  ( +clone -flip ) +append +repage ^
  ( -clone 0 -fill %COL2% -colorize 100 -roll +%D1%+0 ) ^
  ( -clone 0 -fill %COL3% -colorize 100 -roll +%D2%+0 ^
  ) ^
  ( -clone 0 -fill %COL1% -colorize 100 ^
    %NEGA% ^
    -fill Red -stroke None ^
    -draw "translate %X1%,%TOP% circle 0,0 0,%SM_RAD%" ^
    -draw "translate %X2%,%BOT% circle 0,0 0,%SM_RAD%" ^
    %NEGA% ^
  ) ^
  -background None -layers merge ^
  ( +clone ) +append +repage ^
  kn_r.png
:BadErase

%IMG7%magick ^
  -size %WW%x%WH% xc:None ^
  -fill None -stroke %COL1% -strokewidth %THK% ^
  -draw "path 'M0,%THK2% A%RAD%,%RAD% 0 0,1 %RAD%,%WH2% A%RAD%,%RAD% 0 0,0 %WW%,%WHmTHK2%'" ^
  ( +clone -flip ) +append +repage ^
  ( -clone 0 -fill %COL2% -colorize 100 -roll +%D1%+0 ) ^
  ( -clone 0 -fill %COL3% -colorize 100 -roll +%D2%+0 ^
  ) ^
  ( -clone 0 -fill %COL1% -colorize 100 ^
    -region %SM_WH%x%SM_WH%+%X1L%+%TOP_T% ^
    -channel A -evaluate set 0 +channel ^
    -region %SM_WH%x%SM_WH%+%X2L%+%BOT_T% ^
    -channel A -evaluate set 0 +channel ^
  ) ^
  -background None -layers merge ^
  ( +clone ) +append +repage ^
  kn_r.png

set INRAD=300
set INRAD=250
set INRAD=%WH2%
set /A OUTRAD=%INRAD%+%WH%

%IMG7%magick ^
  kn_r.png ^
  ( +clone ) +append +repage ^
  -flip -flop ^
  -virtual-pixel None +distort polar %OUTRAD%,%INRAD% ^
  +repage ^
  -crop 2x2@ +repage ^
  kn_r1.png

%IMG7%magick ^
  -gravity North ^
  kn_r1-0.png ^
  kn_r.png ^
  kn_r1-1.png ^
  -background None ^
  +append +repage ^
  -write kn_rtop.png ^
  -flip -flop ^
  kn_rbot.png

%IMG7%magick ^
  kn_rtop.png ^
  kn_rbot.png ^
  -append +repage ^
  -resize 30%% ^
  kn_rtb.png

