rem %1 is input image with horizontal areas white and black, with other colours in between,
rem %2 is output with other segment replaced by grayscale gradient.
@rem
@rem Also uses:
@rem   bwsProcBW processing for the black and white images, eg -blur 0x3

%IMG7%magick ^
  %1 ^
  -set option:MYSIZE %%wx%%h ^
  ( -clone 0 ^
    -fill White +opaque Black ^
    %bwsProcBW% ^
    ( -size %%[MYSIZE] ^
      gradient:Black-White ^
    ) ^
    ( -clone 0 ^
      -crop 0x+0+1 +repage ^
      -scale "x1^!" ^
      -scale "%%[MYSIZE]^!" ^
    ) ^
    -delete 0 ^
    -compose DivideSrc -composite ^
    -clamp ^
    -negate ^
  ) ^
  ( -clone 0 ^
    -flip -negate ^
    -fill White +opaque Black ^
    %bwsProcBW% ^
    ( -size %%[MYSIZE] ^
      gradient:Black-White ^
    ) ^
    ( -clone 0 ^
      -crop 0x+0+1 +repage ^
      -scale "x1^!" ^
      -scale "%%[MYSIZE]^!" ^
    ) ^
    -delete 0 ^
    -compose DivideSrc -composite ^
    -clamp ^
    -flip ^
  ) ^
  -delete 0 ^
  -fx "u/(u-v+1)" ^
  %2
