rem From image %1,
rem writes %2 and %3,
rem appending outputs from cropToDetail.bat at various thresholds.
@rem
@rem Updated:
@rem   2-August-2020 for IM v7.
@rem

@setlocal

set INFILE=%1
set OUTFILE0=%2
set OUTFILE1=%3

if "%OUTFILE0%"=="." set OUTFILE0=
if "%OUTFILE1%"=="." set OUTFILE1=

set PREF=%TEMP%/c2d_th


if not "%OUTFILE0%"=="" (
  set ctdUSE_CONN_COMP=0

  call :doAppend %OUTFILE0%
)

if not "%OUTFILE1%"=="" (
  set ctdUSE_CONN_COMP=1

  call :doAppend %OUTFILE1%
)

set ctdUSE_CONN_COMP=

exit /B 0

::---------------------------------------------
:: Subroutine

:doAppend
call %PICTBAT%cropToDetailSml %INFILE% %PREF%99.miff . 99
call %PICTBAT%cropToDetailSml %INFILE% %PREF%97.miff . 97
call %PICTBAT%cropToDetailSml %INFILE% %PREF%95.miff . 95
call %PICTBAT%cropToDetailSml %INFILE% %PREF%90.miff . 90
call %PICTBAT%cropToDetailSml %INFILE% %PREF%85.miff . 85
call %PICTBAT%cropToDetailSml %INFILE% %PREF%80.miff . 80
call %PICTBAT%cropToDetailSml %INFILE% %PREF%75.miff . 75
call %PICTBAT%cropToDetailSml %INFILE% %PREF%70.miff . 70

%IMG7%magick ^
  -background gray ^
  ( %PREF%99.miff %PREF%97.miff %PREF%95.miff %PREF%90.miff %PREF%85.miff ^
    -bordercolor gray -border 5 +append ^
  ) ^
  ( %PREF%80.miff %PREF%75.miff %PREF%70.miff ^
    -bordercolor gray -border 5 +append ^
  ) ^
  -append ^
  %1

exit /B 0
