rem From prefixes %1 and %2, calculates gain and bias to transform image 1 to be like 2.
rem Prefixes output variable names with %3.
rem If an SD==0, the script will attempt to divide by zero.
rem
rem Values for %1 and %2 can come from setEnvGainBias.bat.
@rem
@rem Updated:
@rem   4-August-2022 for IM v7.
@rem

rem This assumes "setlocal enabledelayedexpansion" has been set.

set cgbTEST=abc

if not "!cGBTEST!"=="abc" exit /B 1

if "%3"=="" exit /B 1

for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -precision 19 ^
  -format "%3gain_R=%%[fx:!%2sd_R!/!%1sd_R!]\n%3gain_G=%%[fx:!%2sd_G!/!%1sd_G!]\n%3gain_B=%%[fx:!%2sd_B!/!%1sd_B!]\n" ^
  xc:`) do set %%L

for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -precision 19 ^
  -format "%3bias_R=%%[fx:!%2mn_R!-!%1mn_R!*!%3gain_R!]\n%3bias_G=%%[fx:!%2mn_G!-!%1mn_G!*!%3gain_G!]\n%3bias_B=%%[fx:!%2mn_B!-!%1mn_B!*!%3gain_B!]\n" ^
  xc:`) do set %%L
