rem Explore performance of client/server methods.
rem %1 number of iterations
rem %2 output text file for table

setlocal enabledelayedexpansion

set PATH=%IMG7%;%IM7DEV%;%PATH%

set nIter=%1

echo off

(
  echo echo off
  for /L %%N in (1,1,%nIter%) do echo magick xc: NULL:
  echo echo on
) >clis_mag.bat

(
  for /L %%N in (1,1,%nIter%) do echo magick xc: NULL:
) >clis_mag.sh

(
  for /L %%N in (1,1,%nIter%) do echo xc: NULL:
) >clis_mag.lis

(
  for /L %%N in (1,1,%nIter%) do echo xc: -write NULL: +delete
) >clis_mag.scr


copy clis_mag.lis clis_mag2.lis
echo xc:red clis_cliserv_proof.png >>clis_mag2.lis

del clis_cliserv_proof.png 2>nul

call StopWatch
call clis_mag.bat
call StopWatchEnv tBat
bash clis_mag.sh
call StopWatchEnv tBash
%IM7DEV%imserv <clis_mag.lis >nul 2>&1
call StopWatchEnv tRedir
magick -script clis_mag.scr
call StopWatchEnv tImScr
bash -c "mkfifo impipe_cs"
start "imCmdServ" bash -c "imserv.exe --terminate EOF --exitOnFileEof false <impipe_cs"
bash -c "cat clis_mag2.lis >impipe_cs"
bash -c "echo EOF >impipe_cs"
bash -c "until [ -f clis_cliserv_proof.png ]; do echo Waiting; sleep 0.25; done"
bash -c "rm impipe_cs"
call StopWatchEnv tCliServ

(
  echo ^<table^>
  echo ^<tr^>
  echo ^<th^>Method^</th^>^<th^>Elapsed^<br /^>time^</th^>
  echo ^</tr^>^<tr^>
  echo ^<th^>Windows BAT^</th^>^<td^>%tBat%^</td^>
  echo ^</tr^>^<tr^>
  echo ^<th^>Cygwin bash^</th^>^<td^>%tBash%^</td^>
  echo ^</tr^>^<tr^>
  echo ^<th^>Redirection^</th^>^<td^>%tRedir%^</td^>
  echo ^</tr^>^<tr^>
  echo ^<th^>IM script^</th^>^<td^>%tImScr%^</td^>
  echo ^</tr^>^<tr^>
  echo ^<th^>Client-server^</th^>^<td^>%tCliServ%^</td^>
  echo ^</tr^>
  echo ^</table^>
) >%2

echo on

endlocal
