rem Given %1 is grayscale image Nx1 with alpha,
rem writes %2 text file of non-transparent pixels.
rem   Each output line has two numbers: x-coordinate, and percentage of Quantum.
rem See also txt2clut.bat

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 c2t

if not "%2"=="" if not "%2"=="." set OUTFILE=%2


:: Colour may have % suffix, or be integer in scale 0-255.

(
  for /F "usebackq tokens=1,4 delims=,() " %%A in (`%IMG7%magick ^
    %INFILE% ^
    -precision 16 ^
    sparse-color:- ^| sed -e 's/ /\n/g' `) do (
    set VAL=%%B
    set LASTCH=!VAL:~-1!
    if !LASTCH!==%% (
      set VAL=!VAL:~0,-1!
    ) else (
      for /F "usebackq" %%L in (`%IMG7%magick identify ^
        -precision 16 ^
        -format "%%[fx:100*!VAL!/255]" ^
        xc:`) do set VAL=%%L
    )
    echo %%A !VAL!
  )
) >%OUTFILE%

call echoRestore

@endlocal & set c2tOUTFILE=%OUTFILE%
