rem Given %1 is a color cycling method and %2 is a percentage of cycle,
rem returns ccsImStr, a string to implement it.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

if "%1%"=="" exit /B 1
if "%2%"=="" exit /B 1

goto %1

:null
set ccsImStr=
@exit /B 0

:am
set ccsImStr=-evaluate AddModulus %2%%%%
@exit /B 0

:am2
for /F "usebackq" %%L in (`%IMG7%magick identify -format "ccsPC=%%[fx:2*(%2)]" xc:`) do set %%L
set ccsImStr=-evaluate AddModulus %ccsPC%%%%%
@exit /B 0

:amsol
set ccsImStr=-evaluate AddModulus %2%%%% -solarize 50%% -evaluate Multiply 2
@exit /B 0

:amneg
set ccsPC=%2
for /F "usebackq" %%L in (`%IMG7%magick identify -format "ccsNEGPC=%%[fx:100-(%2)]" xc:`) do set %%L
set ccsImStr=^( -clone 0 -evaluate AddModulus !ccsPC!%%%% ^) ^
  ^^^( -clone 1 -negate ^^^) ^
  ^^^( -clone 0 -threshold !ccsNEGPC!%%%% ^^^) ^
  -delete 0 -compose Over -composite
@exit /B 0

:amnegaa
set ccsPC=%2
for /F "usebackq" %%L in (`%IMG7%magick identify -format "ccsNEGPC=%%[fx:100-(%2)]" xc:`) do set %%L
set ccsImStr=^( -clone 0 -evaluate AddModulus !ccsPC!%%%% ^) ^
  ^^^( -clone 1 -negate ^^^) ^
  ^^^( -clone 0 -threshold !ccsNEGPC!%%%% ^^^) ^
  -delete 0 -compose Over -composite ^
  -auto-level -auto-gamma
@exit /B 0

:amneg2
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "ccsPC=%%[fx:%2<50?2*(%2):200-2*(%2)]\nccsNEGPC=%%[fx:(%2<50?100-2*(%2):2*(%2)-100)-0.00001]" ^
  xc:`) do set %%L
set ccsImStr=^( -clone 0 -evaluate AddModulus !ccsPC!%%%% ^) ^
  ^^^( -clone 1 -negate ^^^) ^
  ^^^( -clone 0 -threshold !ccsNEGPC!%%%% ^^^) ^
  -delete 0 -compose Over -composite
@exit /B 0

:amneg2aa
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "ccsPC=%%[fx:%2<50?2*(%2):200-2*(%2)]\nccsNEGPC=%%[fx:(%2<50?100-2*(%2):2*(%2)-100)-0.00001]" ^
  xc:`) do set %%L
set ccsImStr=^( -clone 0 -evaluate AddModulus !ccsPC!%%%% ^) ^
  ^^^( -clone 1 -negate ^^^) ^
  ^^^( -clone 0 -threshold !ccsNEGPC!%%%% ^^^) ^
  -delete 0 -compose Over -composite ^
  -auto-level -auto-gamma
@exit /B 0

:amneg3
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "ccsPC=%%[fx:2*(%2)]\nccsNEGPC=%%[fx:%2<50?100-2*(%2):200-2*(%2)]\nccsIsNEG=%%[fx:%2<50?0:1]" ^
  xc:`) do set %%L
if !ccsIsNEG!==1 (set ccsNEG=-negate) else set ccsNEG=
set ccsImStr=^( -clone 0 -evaluate AddModulus !ccsPC!%%%% !ccsNEG! ^) ^
  ^^^( -clone 1 -negate ^^^) ^
  ^^^( -clone 0 -threshold !ccsNEGPC!%%%% ^^^) ^
  -delete 0 -compose Over -composite
@exit /B 0

:amneg3n
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "ccsPC=%%[fx:200-2*(%2)]\nccsNEGPC=%%[fx:(%2>=50?2*(%2)-100:2*(%2))-0.00001]\nccsIsNEG=%%[fx:%2>=50?0:1]" ^
  xc:`) do set %%L
if !ccsIsNEG!==1 (set ccsNEG=-negate) else set ccsNEG=
set ccsImStr=^( -clone 0 -evaluate AddModulus !ccsPC!%%%% !ccsNEG! ^) ^
  ^^^( -clone 1 -negate ^^^) ^
  ^^^( -clone 0 -threshold !ccsNEGPC!%%%% ^^^) ^
  -delete 0 -compose Over -composite
@exit /B 0

:amneg3aa
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "ccsPC=%%[fx:2*(%2)]\nccsNEGPC=%%[fx:%2<50?100-2*(%2):200-2*(%2)]\nccsIsNEG=%%[fx:%2<50?0:1]" ^
  xc:`) do set %%L
if !ccsIsNEG!==1 (set ccsNEG=-negate) else set ccsNEG=
set ccsImStr=^( -clone 0 -evaluate AddModulus !ccsPC!%%%% !ccsNEG! ^) ^
  ^^^( -clone 1 -negate ^^^) ^
  ^^^( -clone 0 -threshold !ccsNEGPC!%%%% ^^^) ^
  -delete 0 -compose Over -composite ^
  -auto-level -auto-gamma
@exit /B 0

:sin
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "ccsDEG=%%[fx:(%2)*3.6-90]" ^
  xc:`) do set %%L
set ccsImStr=-function sinusoid 1,!ccsDEG!,0.5,0.5
@exit /B 0

:sin2
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "ccsDEG=%%[fx:(%2)*3.6-90]" ^
  xc:`) do set %%L
set ccsImStr=-function sinusoid 0.5,!ccsDEG!,0.5,0.5
@exit /B 0

:sin2aa
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "ccsDEG=%%[fx:(%2)*3.6-90]" ^
  xc:`) do set %%L
set ccsImStr=-function sinusoid 0.5,!ccsDEG!,0.5,0.5 -auto-level -auto-gamma
@exit /B 0

:sinarc
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "ccsDEG=%%[fx:(%2)*3.6-90]" ^
  xc:`) do set %%L
set ccsImStr=-function sinusoid 1,!ccsDEG!,0.5,0.5 -function arcsin 1
@exit /B 0

:sinarc2
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "ccsDEG=%%[fx:(%2)*3.6-90]" ^
  xc:`) do set %%L
set ccsImStr=-function sinusoid 0.5,!ccsDEG!,0.5,0.5 -function arcsin 1
@exit /B 0

:sinarc2n
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "ccsDEG=%%[fx:270-(%2)*3.6]" ^
  xc:`) do set %%L
set ccsImStr=-function sinusoid 0.5,!ccsDEG!,0.5,0.5 -function arcsin 1
@exit /B 0

:sinarc2o
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "ccsDEG1=%%[fx:%2*3.6-90]\nccsDEG2=%%[fx:270-(%2)*3.6]" ^
  xc:`) do set %%L
set ccsImStr=^
  ^^^( -clone 0 ^
     -function sinusoid 0.5,!ccsDEG1!,0.5,0.5 ^
     -function arcsin 1 ^
  ^^^) ^
  ^^^( -clone 0 ^
     -function sinusoid 0.5,!ccsDEG2!,0.5,0.5 ^
     -function arcsin 1 ^
  ^^^) ^
  ^^^( -clone 0 ^
     -evaluate And 1 -fill White +opaque Black ^
  ^^^) ^
  -delete 0 ^
  -compose Over -composite
@exit /B 0

:sinarc2aa
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "ccsDEG=%%[fx:(%2)*3.6-90]" ^
  xc:`) do set %%L
set ccsImStr=-function sinusoid 0.5,!ccsDEG!,0.5,0.5 -function arcsin 1 -auto-level -auto-gamma
@exit /B 0

:lev1
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "ccsPC=%%[fx:%2<50?2*(%2):200-2*(%2)]\nccsPC2=%%[fx:%2<50?100-2*(%2):2*(%2)-100]\n" ^
  xc:`) do set %%L
set ccsImStr=+level !ccsPC!%%,!ccsPC2!%%
@exit /B 0

:lev2
set ccsFORM=^
ccsPCL=%%[fx:%2^<50?(%2):100-(%2)]\n^
ccsPCH=%%[fx:%2^<50?3*(%2):300-3*(%2)]\n^
ccsPCH2=%%[fx:%2^<50?100-(%2):(%2)]\n^
ccsPCL2=%%[fx:%2^<50?100-3*(%2):3*(%2)-200]

for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "!ccsFORM!" ^
  xc:`) do set %%L
set ccsImStr=^( -clone 0 ^
     +level !ccsPCL!%%%%,!ccsPCL2!%%%% ^) ^
  ^^^( -clone 0 +level !ccsPCH!%%%%,!ccsPCH2!%%%% ^^^) ^
  ^^^( -clone 0 -threshold 50%%%% ^^^) ^
  -delete 0 -compose Over -composite
@exit /B 0

:lev3
set ccsFORM=^
ccsPCL=%%[fx:%2^<50?2*(%2):200-2*(%2)]\n^
ccsPCL2=%%[fx:%2^<50?100-4*(%2):4*(%2)-300]\n^
ccsPCH=%%[fx:%2^<50?4*(%2):400-4*(%2)]\n^
ccsPCH2=%%[fx:%2^<50?100-2*(%2):2*(%2)-100]

for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "!ccsFORM!" ^
  xc:`) do set %%L
set ccsImStr=^( -clone 0 ^
     +level !ccsPCL!%%%%,!ccsPCL2!%%%% ^) ^
  ^^^( -clone 0 +level !ccsPCH!%%%%,!ccsPCH2!%%%% ^^^) ^
  ^^^( -clone 0 -threshold 50%%%% ^^^) ^
  -delete 0 ^
  -compose Over -composite -auto-level
@exit /B 0
