rem Tests the round-trip capabilities of colorspaces.
@rem
@rem Updated:
@rem   5-November-2022 for IM v7.
@rem

setlocal

if "%IX%"=="" set IX=%IMG7%

"%IX%magick" hald:8 h8.miff

"%IX%magick" -list colorspace >%TEMP%\cs2.lis

set SRC=\pictures\20130525\sm.tiff
set SRC=h8.miff

del csrt.csv

for /F %%a in (%TEMP%\cs2.lis) do (
  "%IX%magick" %SRC% -colorspace %%a -colorspace sRGB x.png

  rem "%IX%magick" compare -metric RMSE %SRC% -format %%a x.png NULL:

  "%IX%magick" compare -metric RMSE %SRC% x.png NULL: 2>>csrt.csv
  cEcho /Ocsrt.csv /s" %%a"
)

cSort /icsrt.csv /ocsrt.csv /k0 /f" " /r

del %TEMP%\cs2.lis

type csrt.csv

chStrs /icsrt.csv /f" (" /t", "
chStrs /icsrt.csv /f") " /t", "
cPrefix /icsrt.csv /t"Integer,Float,Colorspace"
cProject /icsrt.csv /h /kColorspace,Integer,Float

type csrt.csv

call csv2tab csrt
