rem Find trim rectangle for border of given colour.
@rem
@rem Updated:
@rem   21-August-2022 for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 ct

set BORD_COL=%2
if "%BORD_COL%"=="." set BORD_COL=
if "%BORD_COL%"=="" set BORD_COL=Black

if not "%3"=="" set OUTFILE=%3


for /F "usebackq tokens=1-4 delims=x+" %%A in (`%IMG7%magick ^
  %INFILE% ^
  -bordercolor %BORD_COL% ^
  -border 1 ^
  -format "%%@" ^
  info:`) do (
  set /A BW=%%A
  set /A BH=%%B
  set /A BX=%%C-1
  set /A BY=%%D-1
)


call echoRestore

endlocal & set ctW=%BW%& set ctH=%BH%& set ctX=%BX%& set ctY=%BY%& set ctRECT=%BW%x%BH%+%BX%+%BY%
