rem Compare mean and SD methods.
rem %1 input image
rem %2 output prefix
rem %3 goal mean
rem %4 goal SD
@rem
@rem Updated:
@rem   6-August-2022 for IM v7
@rem

@setlocal enabledelayedexpansion

rem Methods: sigmoid and power, gain and bias.

set INFILE=%1

set OUT_SP=%2_sp.png
set OUT_GB=%2_gb.png

set GOAL_MN=%3
set GOAL_SD=%4

%IM7DEV%magick ^
  %INFILE% ^
  -process 'setmnsd mn %GOAL_MN% sd %GOAL_SD%' ^
  %OUT_SP%

%IMG7%magick identify ^
  -format "MN=%%[fx:mean]\nSD=%%[fx:standard_deviation]" ^
  %OUT_SP%


call %PICTBAT%neg0100 %OUT_SP% %OUT_SP%


call %PICTBAT%MnSdGb ^
  %INFILE% ^
  %OUT_GB% ^
  %GOAL_MN% %GOAL_SD%

%IMG7%magick identify ^
  -format "MN=%%[fx:mean]\nSD=%%[fx:standard_deviation]" ^
  %OUT_GB%

call %PICTBAT%neg0100 %OUT_GB% %OUT_GB%
