rem %1 input image
rem %2 is prefix of a set of environment variables, as created by find4cornSub.bat etc.
rem   Expected suffixes: .BL.x etc.
rem %3 output image: input image, darkened, with added lines.

:: In next, we deliberately clamp.

%IMG7%magick ^
  %1 ^
  -evaluate Multiply 0.995 ^
  +antialias ^
  -set option:y0 %%[fx:!%2.TL.y!-!%2.TL.x!*(!%2.TR.y!-!%2.TL.y!)/(!%2.TR.x!-!%2.TL.x!)] ^
  -set option:y1 %%[fx:!%2.TR.y!+(w-!%2.TR.x!)*(!%2.TR.y!-!%2.TL.y!)/(!%2.TR.x!-!%2.TL.x!)] ^
  -format "%%[y0] %%[y1]\n" +write info: ^
  -stroke #00f ^
  -draw "line 0,%%[y0],%%[fx:w-1],%%[y1]" ^
  -set option:y0 %%[fx:!%2.BL.y!-!%2.BL.x!*(!%2.BR.y!-!%2.BL.y!)/(!%2.BR.x!-!%2.BL.x!)] ^
  -set option:y1 %%[fx:!%2.BR.y!+(w-!%2.BR.x!)*(!%2.BR.y!-!%2.BL.y!)/(!%2.BR.x!-!%2.BL.x!)] ^
  -format "%%[y0] %%[y1]\n" +write info: ^
  -draw "line 0,%%[y0],%%[fx:w-1],%%[y1]" ^
  ( +clone ^
    -alpha transparent ^
    -stroke #0f0 ^
    -strokewidth 3 ^
    -set option:x0 %%[fx:!%2.TL.x!-!%2.TL.y!*(!%2.BL.x!-!%2.TL.x!)/(!%2.BL.y!-!%2.TL.y!)] ^
    -set option:x1 %%[fx:!%2.BL.x!+(h-!%2.BL.y!)*(!%2.BL.x!-!%2.TL.x!)/(!%2.BL.y!-!%2.TL.y!)] ^
    -format "%%[x0] %%[x1]\n" +write info: ^
    -draw "line %%[x0],0,%%[x1],%%[fx:h-1]" ^
    -set option:x0 %%[fx:!%2.TR.x!-!%2.TR.y!*(!%2.BR.x!-!%2.TR.x!)/(!%2.BR.y!-!%2.TR.y!)] ^
    -set option:x1 %%[fx:!%2.BR.x!+(h-!%2.BR.y!)*(!%2.BR.x!-!%2.TR.x!)/(!%2.BR.y!-!%2.TR.y!)] ^
    -format "%%[x0] %%[x1]\n" +write info: ^
    -draw "line %%[x0],0,%%[x1],%%[fx:h-1]" ^
  ) ^
  -compose Plus -composite ^
  %3
