rem For image %1, debarrel ABCD parameters %2 %3 %4 %5,
rem find crop parameters.
@rem
@rem  Updated:
@rem    21-August-2022 Upgraded for IM v7.
@rem

@if "%5"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

call echoOffSave

call %PICTBAT%setInOut %1 dbc

set A=%2
set B=%3
set C=%4
set D=%5

for /F "usebackq" %%L ^
in (`%IMG7%magick identify -format "WW=%%w\nHH=%%h\nIsPort=%%[fx:w>h?0:1]\nLL_2=%%[fx:w>h?w/2:h/2]\nSS_2=%%[fx:w<h?w/2:h/2]" %INFILE%`) ^
do set %%L

for /F "usebackq" %%L ^
in (`%IMG7%magick identify -format "LL_2i=%%[fx:int(%LL_2%)]\nSS_2i=%%[fx:int(%SS_2%)]" %INFILE%`) ^
do set %%L

for /F "usebackq" %%L ^
in (`%IMG7%magick identify -format "LL_2F=%%[fx:%LL_2%/%SS_2%]\nODD_LL=%%[fx:%LL_2%%%2>0?1:0]\nODD_SS=%%[fx:%SS_2%%%2>0?1:0]" xc:`) ^
do set %%L

echo ODD_LL=%ODD_LL%  ODD_SS=%ODD_SS%

rem Beware fractional semi-length.

set OFFS_SS=0
set OFFS_LL=0

for /L %%I in (%LL_2%,-1,1) do (
  if !OFFS_SS!==0 (
    for /F "usebackq" %%L ^
in (`%IMG7%magick identify -format "rDest=%%[fx:%%I/%SS_2%]" %SRC%`) ^
do set %%L

    for /F "usebackq" %%L ^
in (`%IMG7%magick identify ^
  -format "rSrc=%%[fx:!rDest!*((%A%)*!rDest!*!rDest!*!rDest!+(%B%)*!rDest!*!rDest!+(%C%)*!rDest!+(%D%))]" ^
  %SRC%`) ^
do set %%L

    echo I=%%I  rDest=!rDest!  rSrc=!rSrc!

    for /F "usebackq" %%L ^
in (`%IMG7%magick identify -format "LSS_LL=%%[fx:!rSrc!<%LL_2F%?1:0]\nLSS_SS=%%[fx:!rSrc!<1?1:0]" %SRC%`) ^
do set %%L

    if !LSS_LL!==1 if !OFFS_LL!==0 set OFFS_LL=%%I
    if !LSS_SS!==1 if !OFFS_SS!==0 set OFFS_SS=%%I
  )
)

echo OFFS_LL=%OFFS_LL%  OFFS_SS=%OFFS_SS%

if %IsPort%==1 (
  set /A OFFS_X=%SS_2i%-%OFFS_SS%
  set /A OFFS_Y=%LL_2i%-%OFFS_LL%
  set /A WIDTHpix=%OFFS_SS%+%OFFS_SS%+%ODD_SS%
  set /A HEIGHTpix=%OFFS_LL%+%OFFS_LL%+%ODD_LL%
) else (
  set /A OFFS_X=%LL_2i%-%OFFS_LL%
  set /A OFFS_Y=%SS_2i%-%OFFS_SS%
  set /A WIDTHpix=%OFFS_LL%+%OFFS_LL%+%ODD_LL%
  set /A HEIGHTpix=%OFFS_SS%+%OFFS_SS%+%ODD_SS%
)

call echoRestore

endlocal & set dbcOFFS_X=%OFFS_X%& set dbcOFFS_Y=%OFFS_Y%& set dbcWIDTHpix=%WIDTHpix%& set dbcHEIGHTpix=%HEIGHTpix%

rem %IMG7%magick %1 -gravity Center -crop %dbcWIDTHpix%x%dbcHEIGHTpix%+0+0 d.png
