rem From inputs %1 (must contain XX)
rem and environment variable prefix %2,
rem converts _spec image to _mag image (overwriting it).

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

rem @call echoOffSave

call %PICTBAT%setInOut %1 fft

set ENV_PREF=%2
if "%ENV_PREF%"=="." set ENV_PREF=
if "%ENV_PREF%"=="" set ENV_PREF=fft

set IN_MAG=%INFILE:XX=mag%
set IN_PH=%INFILE:XX=ph%
set IN_SPEC=%INFILE:XX=spec%

if "%IN_MAG%"=="%IN_PH%" (
  echo Bad INFILE [%INFILE%] -- should contain XX
  exit /B 1
)

rem vout = (exp(vin * log(scale + 1)) - 1) / scale

for /F "usebackq" %%L in (`%IM%identify ^
  -precision 19 ^
  -format "lnsc=%%[fx:ln(!%ENV_PREF%_scale!+1)]\nFACT=%%[fx:!%ENV_PREF%_max!/!%ENV_PREF%_scale!]"
  xc:`) do set %%L

%IMDEV%convert ^
  %IN_SPEC% ^
  -evaluate exp %lnsc% ^
  -evaluate Subtract 100%% ^
  -evaluate multiply %FACT% ^
  %IN_MAG%


call echoRestore

endlocal
