rem %1 is input image file
rem %2 is output image file
rem %3 is number of iterations
@rem
@rem Updated:
@rem   5-August-2022 for IM v7.
@rem

setlocal ENABLEDELAYEDEXPANSION

set INFILE=%1

set OUTFILE=%2

set NITER=%3
if "%NITER%"=="" set NITER=2

if /I %NITER% LSS 1 goto bad

set /A nClone=0
set /A nBlur=1

set strDB=

for /L %%i in (1,1,%NITER%) do (
  set strDB=!strDB! ^( -clone !nClone! -gaussian-blur x!nBlur! -auto-level ^)
  set /A nClone+=1
  set /A nBlur*=2
)

echo %strDB%

%IMG7%magick ^
  %1^
  %strDB% ^
  -evaluate-sequence Mean ^
  +depth ^
  %2

goto :eof

:bad
echo Call with: infile outfile niter
