rem Denoise by pushing towards local mean.

rem %1 input image
rem %2 output
rem %3 local mean eg "-blur 0x1" [default]
rem %4 percent to be pushed [default 1]
@rem
@rem This needs an HDRI version of IM.

@rem Also uses:
@rem   QUANT_FP

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

rem @call echoOffSave

call %PICTBAT%setInOut %1 dp2m

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set LOCMN=%~3
if "%LOCMN%"=="." set LOCMN=
if "%LOCMN%"=="" set LOCMN=-blur 0x1

set PC_PUSH=%4
if "%PC_PUSH%"=="." set PC_PUSH=
if "%PC_PUSH%"=="" set PC_PUSH=1

set TMPIMG=\temp\dp2m_tmp.miff
set TMPBLR=\temp\dp2m_tmp_blr.miff
set TMPDIFF=\temp\dp2m_diff.miff
set TMPPZ=\temp\dp2m_diff.miff

%IMG7%magick ^
  %INFILE% ^
  -define quantum:format=floating-point -depth 32 ^
  ( +clone %LOCMN% ^
    +write %TMPBLR% ^
  ) ^
  -define compose:clamp=off ^
  -compose MinusSrc -composite ^
  %QUANT_FP% ^
  %TMPDIFF%

if ERRORLEVEL 1 exit /B 1

call %PICTBAT%pushZero %TMPDIFF% %PC_PUSH% %TMPPZ%

if ERRORLEVEL 1 exit /B 1

%IMG7%magick ^
  %TMPPZ% ^
  %TMPBLR% ^
  -define compose:clamp=off ^
  -compose Plus -composite ^
  %QUANT_FP% ^
  %OUTFILE%

if ERRORLEVEL 1 exit /B 1

call echoRestore

endlocal & set dP2mOUTFILE=%OUTFILE%&
