rem From image %1, writes output %2
rem with circles colour %3 radius %4 strokewidth %5
rem at centres given by env var prefixes %6 onwards.
@rem
@rem Updated:
@rem   22-July-2022 Upgraded for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 nqc

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set COL=%3
if "%COL%"=="." set COL=
if "%COL%"=="" set COL=Orange

set RAD=%4
if "%RAD%"=="." set RAD=
if "%RAD%"=="" set RAD=10

set SW=%5
if "%SW%"=="." set SW=
if "%SW%"=="" set SW=1

set sCIRCS=

:loop
rem echo %6

set CX=!%6.x!
set CY=!%6.y!

if "%CX%"=="" (
  echo %6 has no .x
  exit /B 1
)
if "%CY%"=="" (
  echo %6 has no .y
  exit /B 1
)

for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "DX=%%[fx:%CX%+%RAD%]" ^
  xc:`) do set %%L

set sCIRCS=%sCIRCS% circle %CX%,%CY% %DX%,%CY%

shift /6
if not "%6"=="" goto loop

%IMG7%magick ^
  %INFILE% ^
  -fill None ^
  -stroke %COL% ^
  -strokewidth %SW% ^
  -draw "%sCIRCS%" ^
  %OUTFILE%


call echoRestore

@endlocal & set dcOUTFILE=%OUTFILE%
