rem From image %1, fills transparent from 0,0
rem  all pixels that are in fuzz range of edge pixels.
@rem %2 is output file.
@rem %3 is any of LTRB, any case. Default LTRB.
@rem %4 is extra fuzz percentage. Default zero (no extra fuzz).
@rem
@rem Updated:
@rem   11-August-2022 for IM v7
@rem


@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 ect2


if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set sLTRB=%3
if "%sLTRB%"=="" set sLTRB=.

set EXTRA_FUZZ=%4
if "%EXTRA_FUZZ%"=="." set EXTRA_FUZZ=
if "%EXTRA_FUZZ%"=="" set EXTRA_FUZZ=0

call %PICTBAT%edgeCols %INFILE% %OUTFILE% %3
if ERRORLEVEL 1 exit /B 1

call %PICTBAT%middleFuzz %OUTFILE% ect2_ %sLTRB% %EXTRA_FUZZ%
if ERRORLEVEL 1 exit /B 1

set ect2_


%IMG7%magick ^
  %INFILE% ^
  -fill None ^
  -fuzz %ect2_FUZZ% ^
  -floodfill +0+0 %ect2_MID%  ^
  %OUTFILE%

call echoRestore

@endlocal & set ect2OUTFILE=%OUTFILE%
