rem From image %1, makes version with ellipse grid over it.
rem %2 is output file (default ellgrid.png)
rem %3 is number of ellipses, >=0 (default 4)
rem %4 is number of radii (default 8)
rem %5 is grid colour (default yellow)
rem %6 is background colour, can be "none" (default none)
@rem
@rem Also uses:
@rem   gridSTROKE_WIDTH default 1


@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 egrd

set OUTFILE=%2
if "%OUTFILE%"=="." set OUTFILE=
if "%OUTFILE%"=="" set OUTFILE=ellgrid.png

set nELLIPSES=%3
if "%nELLIPSES%"=="." set nELLIPSES=
if "%nELLIPSES%"=="" set nELLIPSES=4

set nRADII=%4
if "%nRADII%"=="." set nRADII=
if "%nRADII%"=="" set nRADII=8

set GRID_COL=%5
if "%GRID_COL%"=="." set GRID_COL=
if "%GRID_COL%"=="" set GRID_COL=Yellow

set BACK_COL=%6
if "%BACK_COL%"=="." set BACK_COL=
if "%BACK_COL%"=="" set BACK_COL=None

if "%gridSTROKE_WIDTH%"=="" set gridSTROKE_WIDTH=2

set WW=
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "WW=%%w\nHH=%%h" ^
  %INFILE%`) do set %%L
if "%WW%"=="" exit /B 1

set TMPFILE=%TEMP%\ellgrid.png

call %PICTBAT%ellipseGrid %WW% %HH% %TMPFILE% %nELLIPSES% %%nRADII%% %GRID_COL% %BACK_COL%

%IMG7%magick ^
  %INFILE% ^
  %TMPFILE% ^
  -composite ^
  %OUTFILE%

call echoRestore

endlocal & set egrdOUTFILE=%OUTFILE%
