rem Sweeps an ellipse with same aspect ratio as image, creating a gradient from north increasing clockwise.
rem %1  WxH: width and height
rem %2  output file
rem %3  centre XxY, each possibly suffixed
@rem
@rem Similar to circGrad.bat

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 cg

set sWH=%1
if "%sWH%"=="." set sWH=
if "%sWH%"=="" set sWH=150x100

if not "%2"=="" set OUTFILE=%2

set sCent=%3
if "%sCent%"=="." set sCent=
if "%sCent%"=="" set sCent=50cx50c

call parseXxY2 150 100 WH %sWH%

call parseXxY2 %WH_X%-1 %WH_Y%-1 cent %sCent%

%IMG7%magick ^
  -size %WH_X%x%WH_Y% xc: ^
  -colorspace Gray ^
  -fx "TWOPI=%%[fx:2*pi]; ASP=%%[fx:(w-1)/(h-1)]; atan2 (%cent_X%-i,(j-%cent_Y%)*ASP) / TWOPI + 0.5" ^
  -colorspace Gray ^
  -define quantum:format=floating-point -depth 32 ^
  %OUTFILE%

call echoRestore

endlocal & set esCX=%cent_X%& set esCY=%cent_Y%
