rem Finds trim values of %1, a wildcarded filename eg frames_*.png.
@rem
@rem %2 if 1, also trims each image accordingly.
@rem %3 fuzz percentage value. [0]
@rem
@rem Updated:
@rem   24-September-2022 for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 ftr


set DO_TRIM=%2
if "%DO_TRIM%"=="." set DO_TRIM=
if "%DO_TRIM%"=="" set DO_TRIM=0

set FUZZ_PC=%3
if "%FUZZ_PC%"=="." set FUZZ_PC=
if "%FUZZ_PC%"=="" set FUZZ_PC=0

if %FUZZ_PC%==0 (
  set sFUZZ=
) else (
  set sFUZZ=-fuzz %FUZZ_PC%%%%%
)

if "%ftrIM%"=="" set ftrIM=%IMG7%

set XL=9999999
set XT=9999999
set XR=-1
set XB=-1

for %%F in (%1) do (
  for /F "usebackq tokens=1-4 delims=x+" %%A in (`%ftrIM%magick ^
    %%F ^
    %sFUZZ% ^
    -format "%%@" ^
    info:`) do (
    set L=%%C
    set T=%%D
    set /A R=%%C+%%A
    set /A B=%%D+%%B

echo !L! !T! !R! !B!

    if !XL! GTR %%C set XL=%%C
    if !XT! GTR %%D set XT=%%D
    if !XR! LSS !R! set XR=!R!
    if !XB! LSS !B! set XB=!B!
  )
)

echo XL=%XL% XT=%XT% XR=%XR% XB=%XB%

set /A W=%XR%-%XL%
set /A H=%XB%-%XT%

set sTRIM=%W%x%H%+%XL%+%XT%

echo sTRIM=%sTRIM%

if "%DO_TRIM%"=="1" (
  for %%F in (%1) do %fmmIM%magick ^
      %%F ^
      -gravity NorthWest ^
      -crop %sTRIM% +repage ^
      %%F
)

call echoRestore

@endlocal & set ftrTRIM=%sTRIM%
