rem %1 input image
rem %2 output
rem %3 fulcrum F
rem %4 gradient G at (F,F).
@rem
@rem Updated:
@rem   25-September-2022 for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 ful

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set F=%3
if "%F%"=="." set F=
if "%F%"=="" set F=0.15

set G=%4
if "%G%"=="." set G=
if "%G%"=="" set G=2.0

%IMG7%magick ^
  %INFILE% ^
  -fx "u<%F%?(%F%*pow(u/%F%,%G%)):1-((1-%F%)*pow((1-u)/(1-%F%),%G%))" ^
  %OUTFILE%

call echoRestore

@endlocal & set fulOUTFILE=%OUTFILE%


