rem Converts from gain and bias (nominal 0 to 1) to "+level L3p,L4p%" (nominal 0 to 100)
rem %1 is prefix for environment variable.

rem L3p=bias*100
rem gain=(L4p-L3p)/100
rem gain*100=L4p-L3p=L4p-bias*100
rem L4p=(bias+gain)*100

set FMT=^
%1_L3p_R=%%[fx:!%1_bias_R!*100]\n^
%1_L3p_G=%%[fx:!%1_bias_G!*100]\n^
%1_L3p_B=%%[fx:!%1_bias_B!*100]\n^
%1_L4p_R=%%[fx:(!%1_bias_R!+!%1_gain_R!)*100]\n^
%1_L4p_G=%%[fx:(!%1_bias_G!+!%1_gain_G!)*100]\n^
%1_L4p_B=%%[fx:(!%1_bias_B!+!%1_gain_B!)*100]\n

for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -precision 15 ^
  -format "%FMT%" ^
  xc:`) do set %%L

