@rem From text file %1,
@rem   starting at line number %2 [default 0],
@rem   echo %3 lines to stdout [default 1].
@rem Also returns last found line in glnLINE.
@rem First line is number zero.
@rem Call with %3 = -1 for all remaining lines.

@setlocal

@set nSkip=%2
@if "%nSkip%"=="" set nSkip=0

@set ToDo=%3
@if "%ToDo%"=="" set ToDo=1

@set sSKIP=
@if not %nSkip%==0 set sSKIP=skip=%2

@for /F "%sSKIP% tokens=*" %%L in (%1) do @(
  @if not !ToDo!==0 (
    @echo %%L
    @set LINE=%%L
    @set /A ToDo-=1
  )
)

@endlocal & set glnLINE=%LINE%