rem Returns Modified Thompson Tau for n=%1.
@rem See http://www.mne.psu.edu/me345/Lectures/Outliers.pdf

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@call echoOffSave

if %1 LEQ 2 (
  echo %0: bad %1
  exit /B 1
)

if %1 GEQ 5000 (
  set gmttTAU=1.9597
) else if %1 GEQ 1000 (
  set gmttTAU=1.9586
) else if %1 GEQ 500 (
  set gmttTAU=1.9572
) else if %1 GEQ 100 (
  set gmttTAU=1.9459
) else if %1 GEQ 50 (
  set gmttTAU=1.9314
) else if %1 GEQ 39 (
  set gmttTAU=1.9281
) else (
  call getLineN %Util%\ModThoTau.txt %1
  set gmttTAU=!glnLINE!
)

echo gmttTAU=%gmttTAU%

@call echoRestore

