rem %1 input graph
rem %2 output
rem %3 min x label
rem %4 max x label
rem %5 min y label
rem %6 max y label
rem %7 background colour

set INFILE=%1
set OUTFILE=%2

if "%OUTFILE%"=="." set OUTFILE=

set MINX=%~3
set MAXX=%~4
set MINY=%~5
set MAXY=%~6

if [%MINX%]==[.] set MINX=
if [%MAXX%]==[.] set MAXX=
if [%MINY%]==[.] set MINY=
if [%MAXY%]==[.] set MAXY=

if "%g4lPNTSZ%"=="." set g4lPNTSZ=
if "%g4lPNTSZ%"=="" set g4lPNTSZ=25

if "%g4lLINELEN%"=="." set g4lLINELEN=
if "%g4lLINELEN%"=="" set g4lLINELEN=10

set g4lBACKCOL=%7
if "%g4lBACKCOL%"=="." set g4lBACKCOL=
if "%g4lBACKCOL%"=="" set g4lBACKCOL=None

if "%MINX%"=="" (
  set sMINX=
) else (
  set sMINX=-gravity NorthWest -annotate +0+%g4lLINELEN% "%MINX%"
)

if "%MAXX%"=="" (
  set sMAXX=
) else (
  set sMAXX=-gravity NorthEast -annotate +0+%g4lLINELEN% "%MAXX%"
)

if "%MINY%"=="" (
  set sMINY=
) else (
  set sMINY=-gravity SouthEast -annotate +%g4lLINELEN%+0 "%MINY%"
)

if "%MAXY%"=="" (
  set sMAXY=
) else (
  set sMAXY=-gravity NorthEast -annotate +%g4lLINELEN%+0 "%MAXY%"
)

%IMG7%magick ^
  %INFILE% ^
  -background %g4lBACKCOL% ^
  -pointsize %g4lPNTSZ% ^
  -set option:MYSIZE %%wx%%h ^
  ( -size %%[MYSIZE] xc:%BACKCOL% ^
    -draw "line %%[fx:w-1],0,%%[fx:w-1-%g4lLINELEN%],0" ^
    -draw "line %%[fx:w-1],%%[fx:h-1],%%[fx:w-1-%g4lLINELEN%],%%[fx:h-1]" ^
    %sMINY% ^
    %sMAXY% ^
    -trim ^
  ) ^
  +swap ^
  -gravity Center ^
  +append ^
  ( -size %%[MYSIZE] xc:%g4lBACKCOL% ^
    -draw "line 0,0,0,%g4lLINELEN%" ^
    -draw "line %%[fx:w-1],0,%%[fx:w-1],%g4lLINELEN%" ^
    %sMINX% ^
    %sMAXX% ^
    -trim ^
  ) ^
  -gravity East ^
  -append +repage ^
  %OUTFILE%
