rem From botom row of image %1, assuming pixels should be neutral grays,
rem calculates channel polynomials.
rem Sets environment variables prefixed by %2.
@rem
@rem Updated:
@rem   20-August-2022 for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 gp

set PREF=%2
if "%PREF%"=="." set PREF=
if "%PREF%"=="" set PREF=grayPoly


set polyr=
for /F "usebackq tokens=1,2 delims==" %%A in (`%IM7DEV%magick ^
  %INFILE% ^
  -gravity South -crop x1+0+0 +repage ^
  ^( +clone ^
     -colorspace Gray ^
  ^) ^
  -precision 16 ^
  -process 'cols2mat method NoCrossPoly noTrans f stdout' ^
  NULL:`) do (
  if "%%A"=="PolyRed" set polyr=%%B
  if "%%A"=="PolyGreen" set polyg=%%B
  if "%%A"=="PolyBlue" set polyb=%%B
)
if "%mypolyr%"=="" exit /B 1

echo %PREF%_polyr=%polyr% 
echo %PREF%_polyg=%polyg% 
echo %PREF%_polyb=%polyb% 

call echoRestore

@endlocal & set %PREF%_polyr=%polyr%&set %PREF%_polyg=%polyg%&set %PREF%_polyb=%polyb%
