rem Finds intersection of histogram and %1 slopes at shadow and highlight.
rem %2 is slope, percentage of 45 degrees, 0 to 100.
rem returns X_LO and X_HI as percentages of the histogram width,
rem and Y_LO and Y_HI, as percentages of Qauntum.

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 hti


set SLOPE_PC=%2
if "%SLOPE_PC%"=="" set SLOPE_PC=20

%IM7DEV%magick ^
  %INFILE% ^
  ( -clone 0 ^
    ( +clone ^
      -sparse-color bilinear "0,0,#000,%%[fx:w-1],0,gray(%SLOPE_PC%%%)" ^
      -evaluate Add 0%% ^
      -write mpr:RAMP ^
    ) ^
    -compose MinusSrc -composite ^
    -clamp ^
    -fill #fff +opaque #000 ^
    -process onewhite ^
    +delete ^
  ) ^
  ( -clone 0 ^
    -flop ^
    mpr:RAMP ^
    -compose MinusSrc -composite ^
    -clamp ^
    -fill #fff +opaque #000 ^
    -process onewhite ^
    +delete ^
  ) ^
  NULL:


call echoRestore

@endlocal & set eqsOUTFILE=%OUTFILE%


