rem From image %1,
rem makes output %2, a hue chart using first channel of
rem %3 a colorspace.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 hc

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set COLSP=%3
if "%COLSP%"=="." set COLSP=
if "%COLSP%"=="" set COLSP=HCL

set TMPDIR=\temp\

set TMPIN=%TMPDIR%hc.miff

%IM7DEV%magick ^
  %INFILE% ^
  -colorspace %COLSP% ^
  -channel R -separate +channel ^
  -process 'mkhisto capnumbuckets 256 norm' ^
  %TMPIN%

%IM7DEV%magick ^
  %TMPIN% ^
  %OUTFILE%

call %PICTBAT%graph1d %OUTFILE% . . %OUTFILE% none

%IM7DEV%magick ^
  %OUTFILE% ^
  ( +clone ^
    -crop x1+0+0 +repage ^
    -sparse-color Bilinear "0,0,#0f8 %%[fx:w-1],0,#ff8" ^
    -set colorspace %COLSP% ^
    -colorspace sRGB ^
    -scale 100x2000%% ^
  ) ^
  -append +repage ^
  %OUTFILE%


call echoRestore
