rem Given multi-image file %1,
rem creates single images named %2 with number suffixed to name,
rem and htm file %3.
@rem
@rem Also uses:
@rem   i2sPROC_EACH processing to apply to each image
@rem
@rem Updated:
@rem   25-September-2022 for IM v7.
@rem


set EXT=%~x2

echo EXT=%EXT%

%IMG7%magick %1 %i2sPROC_EACH% +adjoin +depth %~n2%EXT%

dir %~n2*%EXT% /od

set SUFEXT=
if "%EXT%"==".miff" set SUFEXT=jpg
if "%EXT%"==".tiff" set SUFEXT=jpg


for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "isNm1=%%[fx:n-1]\n" ^
  %1`) do set %%L

if not "%3"=="" (

  for /L %%N in (0,1,%isNm1%) do @(
    echo ^<img src="%~n2-%%N%EXT%%SUFEXT%" /^>
  )

)>%~n3.htm

rem if not "%3"=="" call csv2tab %~n3
