# Updated:
#   18-July-2018 Added --with-gcc-arch=target

cd ~
mkdir iminst8i
mkdir iminst16i
mkdir iminst32i
mkdir iminst64i
mkdir iminst8f
mkdir iminst16f
mkdir iminst32f
mkdir iminst64f

cd $IMSRC

export BASE_CONF='--with-rsvg=yes --with-windows-font-dir=/cygdrive/c/Windows/Fonts --disable-docs --with-modules --with-gcc-arch=target'


./configure $BASE_CONF --prefix=/home/Alan/iminst8i --with-quantum-depth=8
make
make install

./configure $BASE_CONF --prefix=/home/Alan/iminst16i --with-quantum-depth=16
make
make install

./configure $BASE_CONF --prefix=/home/Alan/iminst32i --with-quantum-depth=32
make
make install

./configure $BASE_CONF --prefix=/home/Alan/iminst64i --with-quantum-depth=64
make
make install


./configure $BASE_CONF --prefix=/home/Alan/iminst8f --with-quantum-depth=8 --enable-hdri
make
make install

./configure $BASE_CONF --prefix=/home/Alan/iminst16f --with-quantum-depth=16 --enable-hdri
make
make install

./configure $BASE_CONF --prefix=/home/Alan/iminst32f --with-quantum-depth=32 --enable-hdri
make
make install

./configure $BASE_CONF --prefix=/home/Alan/iminst64f --with-quantum-depth=64 --enable-hdri
make
make install

cd ~
