rem %1 input image
rem %2 optional name of output environment variable:
rem       1 means image is gray and colorspace is a gray or RGB;
rem       0 otherwise.
@rem
@rem Note that CMYK images raise an error.

for /F "usebackq" %%A in (`%IMG7%magick %1 -ping -format "%%[colorspace]" info:`) do set ColSp=%%A

set isGray=0

if /I %ColSp%==Gray set isGray=1
if /I %ColSp%==LinearGray set isGray=1

if %isGray%==0 if /I not %ColSp%==sRGB if /I not %ColSp%==RGB (
  echo %0: Bad ColSp [%ColSp%]
  set isGray=-1
  exit /B 1
)

echo isGray is %isGray%

if %isGray%==0 (
  for /F "usebackq" %%L in (`%IMG7%magick ^
    %1 ^
    -colorspace HSL ^
    -format "isGray=%%[fx:maxima.g==0?1:0]" ^
    info:`) do set %%L
)

if not "%2"=="" set %2=%isGray%
