rem From image %1,
rem make progressive median versions.
rem %2 is prefix for output files.
@rem
@rem Updated:
@rem   11-August-2022 for IM v7
@rem

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 ldpm


if "%ldEXT%"=="" set ldEXT=png

if "%ldSTART_MED%"=="" set ldSTART_MED=3

if "%ldCNT_LIM%"=="" set ldCNT_LIM=20

set WW=
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "WW=%%w\nHH=%%h\nMINDIM=%%[fx:w<h?w:h]" ^
  %INFILE%`) do set %%L
if "%WW%"=="" exit /B 1

set MED_SQ=%ldSTART_MED%
set CNT=1
set OPTS=

:loop

set OUTFILE=%2_!CNT!.%ldEXT%
echo %OUTFILE%
set OPTS=!OPTS! ( -clone 0 -statistic median !MED_SQ!x!MED_SQ! +write %OUTFILE% +delete )

echo MED_SQ=!MED_SQ!

set /A MED_SQ=MED_SQ*2+1
set /A CNT+=1

if !CNT! LEQ %ldCNT_LIM% if !MED_SQ! LSS %MINDIM% goto loop

echo %OPTS%

%IMG7%magick ^
  %INFILE% ^
  %OPTS% ^
  NULL:

set /A CNT-=1

call echoRestore

@endlocal & set ldpmCNT=%CNT%
