rem Given images %1 and %2,
rem writes output %3
rem %4 is window widthxheight eg 3x3
rem Output pixels are from %2,
rem but limited to minimum and maximum within the window from %1.
rem %5 is percentage effect. [100]
@rem
@rem %2 can be a quoted expression, eg "( -clone 0 -unsharp 0x2 )"
@rem
@rem Also uses:
@rem   QUANT_FP
@rem   lmmPOST_PROC

@if [%2]==[] findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 lmm

set IN2=%~2

if not "%3"=="" if not "%3"=="." set OUTFILE=%3

set RECT=%4
if "%RECT%"=="." set RECT=
if "%RECT%"=="" set RECT=3x3

set PC_EFFECT=%5
if "%PC_EFFECT%"=="." set PC_EFFECT=
if "%PC_EFFECT%"=="" set PC_EFFECT=100

if %PC_EFFECT%==100 (
  set BLND=-delete 0
) else (
  set BLND=-compose Blend -define compose:args=%PC_EFFECT% -composite
)

rem (We use %IM7DEV%magick to avoid an OpenCL bug in unsharp.)
%IM7DEV%magick ^
  %INFILE% ^
  +write mpr:TMPIN ^
  ( +clone ^
    ( -clone 0 -statistic Minimum %RECT% ) ^
    ( -clone 0 -statistic Maximum %RECT% ) ^
    %IN2% ^
    -delete 0 ^
    ( -clone 0,2 -evaluate-sequence Max ) ^
    -delete 0,2 ^
    -evaluate-sequence Min ^
  ) ^
  %BLND% ^
  %QUANT_FP% ^
  ( +clone ^
    mpr:TMPIN ^
    -metric RMSE ^
    -compare ^
    -format "%%[distortion]\n" ^
    -write info: ^
    -delete 0--1 ^
  ) ^
  %lmmPOST_PROC% ^
  %OUTFILE%

if ERRORLEVEL 1 exit /B 1

call echoRestore

endlocal & set lmmOUTFILE=%OUTFILE%&
