rem Given %1 is text file with lines (eg from pointsDist.bat)
rem writes circles to text file %2 [default l2c.lis]
rem of radius %3 [10]
rem centred on mid-points of coordinate-pairs from %1.

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave


set INFILE=%1

if not exist %INFILE% exit /B 1


set OUTFILE=%2
if "%OUTFILE%"=="." set OUTFILE=
if "%OUTFILE%"=="" set OUTFILE=l2c.lis

del %OUTFILE% 2>nul

set RAD=%3
if "%RAD%"=="." set RAD=
if "%RAD%"=="" set RAD=10

set nCIRCS=0
(for /F "tokens=2-5 delims=, " %%A in (%INFILE%) do (
  set /A XC=^(%%A+%%C^)/2
  set /A YC=^(%%B+%%D^)/2
  set /A X2=!XC!+%RAD%
  echo circle !XC!,!YC! !X2!,!YC!
  set /A nCIRCS+=1
)) >%OUTFILE%


call echoRestore

endlocal & set l2cOUTFILE=%OUTFILE%&set l2cCIRCS=%nCIRCS%
