rem From RGB image %1
rem and lith screen %2,
rem make RGB halftone output %3.
rem %4 is optional quoted list of three numbers for the angles.
@rem
@rem To do: implement wave, resampling and lsRESTRICT.
@rem
@rem Updated:
@rem   6-August-2022 for IM v7
@rem

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

rem @call echoOffSave

call %PICTBAT%setInOut %1 lsrgb

set LITH_SCRN=%2

if not "%3"=="" if not "%3"=="." set OUTFILE=%3

set ANGLES=%~4
if "%ANGLES%"=="." set ANGLES=
if "%ANGLES%"=="" set ANGLES=0,120,-120

call parseCommaList "%ANGLES%" numAng Angs

%IMG7%magick ^
  %INFILE% ^
  -set colorspace sRGB ^
  -channel RGB ^
  -separate ^
  +adjoin ^
  lsrgb-%%d.miff

call %PICTBAT%lithScreen lsrgb-0.miff %LITH_SCRN% lsrgb_r.miff %Angs[0]%
if ERRORLEVEL 1 exit /B 1

call %PICTBAT%lithScreen lsrgb-1.miff %LITH_SCRN% lsrgb_g.miff %Angs[1]%
if ERRORLEVEL 1 exit /B 1

call %PICTBAT%lithScreen lsrgb-2.miff %LITH_SCRN% lsrgb_b.miff %Angs[2]%
if ERRORLEVEL 1 exit /B 1

%IMG7%magick ^
  lsrgb_r.miff lsrgb_g.miff lsrgb_b.miff ^
  -combine ^
  %OUTFILE%

call echoRestore

@endlocal & set lsrgbOUTFILE=%OUTFILE%
