rem From image %1,
rem makes %2 Local Total Variation, a blur of the slope.
rem %3 is sigma for blur.
rem
rem Future: allow for heavy blur.
@rem
@rem This works best when IM has HDRI.
@rem
@rem Updated:
@rem   6-August-2022 for IM v7
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 ltv

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set BLR_SIG=%3
if "%BLR_SIG%"=="." set BLR_SIG=
if "%BLR_SIG%"=="" set BLR_SIG=1

set smAUTO=0
call %PICTBAT%slopeMag %INFILE% %OUTFILE%

%IMG7%magick ^
  %OUTFILE% ^
  -blur 0x%BLR_SIG% ^
  +depth ^
  %OUTFILE%

call echoRestore

endlocal & set ltvOUTFILE=%OUTFILE%
