@rem
@rem Updated:
@rem   21-August-2022 Upgraded for IM v7.
@rem

setlocal

set W=%1
set H=%2

set OUT_FILE=%3

if "%OUT_FILE%"=="" (
  echo %0 needs 3 parameters: width height outfile
  exit /B 1
)

%IMG7%magick ^
  ( -size %H%x%W% gradient: -rotate 90 ) ^
  ( -size %W%x%H% gradient: -flip ) ^
  -size %W%x%H% xc:Black ^
  -combine ^
  -evaluate Divide 2 ^
  -set colorspace sRGB ^
  %OUT_FILE%
