rem Make a 1xn grayscale screen, with increasing values alternating.
rem %1 output file.
rem %2 number of values.
@rem
@rem Updated:
@rem   6-August-2022 for IM v7
@rem

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 msa

set OUTFILE=%1

set NUM_VAL=%2

if "%NUM_VAL%"=="." set NUM_VAL=2

if %NUM_VAL% LSS 2 set NUM_VAL=2

set LO_VAL=0
set HI_VAL=100
set SIGN=1

for /L %%I in (1,1,%NUM_VAL%) do (

  for /F "usebackq" %%L in (`%IMG7%magick identify ^
    -format "PC=%%[fx:(%%I-1)*100/(%NUM_VAL%-1)]\n" ^
    xc:`) do set %%L

  echo %%I, !PC!, !SIGN!

  if %%I==1 (
    %IMG7%magick -size 1x1 xc:Black %OUTFILE%
  ) else if !SIGN!==1 (
    %IMG7%magick -size 1x1 xc:gray^(!PC!%%^) %OUTFILE% -append +repage %OUTFILE%
  ) else (
    %IMG7%magick %OUTFILE% -size 1x1 xc:gray^(!PC!%%^) -append +repage %OUTFILE%
  )

  set /A SIGN=-^(!SIGN!^)
)

call echoRestore

endlocal & set msaOUTFILE=%OUTFILE%
