rem Makes version of %1 that resembles %2,
rem by gain-and-bias method.
rem %3 is optional output filename.
@rem
@rem Updated:
@rem   6-September-2022 for IM v7.
@rem

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 mlgb

set INFILE2=%2

if not "%3"=="" set OUTFILE=%3

set PYR_PARAM=%~3
if "%PYR_PARAM%"=="." set PYR_PARAM=
if "%PYR_PARAM%"=="" set PYR_PARAM=. . . .

if not "%4"=="" set OUTFILE=%4

set TMPDIR=%TEMP%
rem for /F "usebackq" %%L in (`cygpath -u %TMPDIR%`) do set CYGTMPDIR=%%L

set pyPREFIX=mlgb_
call %PICTBAT%mkLapPyr %INFILE2% %pyPREFIX%pyr2.tiff %PYR_PARAM%
call %PICTBAT%mkLapPyr %INFILE% %pyPREFIX%pyr1.tiff %PYR_PARAM%

set FILE_LIST=

for /L %%i in (0,1,%mklpNUM_OCTAVES%) do (

  call %PICTBAT%imgGainBias ^
    %pyPREFIX%pyr1.tiff[%%i] ^
    %pyPREFIX%pyr2.tiff[%%i] ^
    %TMPDIR%\%pyPREFIX%out_%%i.tiff

  if ERRORLEVEL 1 exit /B 1

  set FILE_LIST=!FILE_LIST! %TMPDIR%\%pyPREFIX%out_%%i.tiff
)

%IMG7%magick %FILE_LIST% %pyPREFIX%pyr1.tiff

%IMG7%magick -script %pyPREFIX%mklp_recon.scr

%IMG7%magick %mklpRECON_FILE% %OUTFILE%

if ERRORLEVEL 1 exit /B 1

call echoRestore

endlocal & set mlgbOUTFILE=%OUTFILE%
