rem Given %1 is (quoted) list of images,
rem write %2 as alpha-weighted mean of inputs.
rem Output is fully opaque
rem   (even at pixels where all inputs are transparent).
@rem
@rem This assumes that %IMG7%magick is HDRI.

@if "%~1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

set INFILES=%~1
echo %0: INFILES is [%INFILES%]

set OUTFILE=mi.tiff
if not "%2"=="" if not "%2"=="." set OUTFILE=%2

echo %0: OUTFILE is [%OUTFILE%]

%IMG7%magick ^
  %INFILES% ^
  -define compose:clamp=off ^
  -background None ^
  ( -clone 0--1 ^
    -alpha extract ^
    -compose Plus -layers Flatten ^
    -write mpr:ALPH ^
    +delete ^
  ) ^
  -channel RGB ^
  -compose Plus -layers Flatten ^
  +channel ^
  mpr:ALPH ^
  -compose DivideSrc -composite ^
  -alpha off ^
  -define quantum:format=floating-point ^
  -depth 32 ^
  %OUTFILE%

call echoRestore

@endlocal & set miOUTFILE=%OUTFILE%
