rem From opaque image %1,
rem calculates mean and standard deviation.
rem Prefixes output variable names with %2.
rem
rem If image has transparency, this gives the WRONG results.
rem For images with transparency, meanSdTr.bat should be used.
rem
rem meanSdTr.bat is also faster than this script.
@rem
@rem Updated:
@rem   4-August-2022 for IM v7.
@rem

@for /F "usebackq" %%L in (`%IMG7%magick ^
  %1 ^
  -precision 19 ^
  -format "%2mn_R=%%[fx:mean.r]\n%2mn_G=%%[fx:mean.g]\n%2mn_B=%%[fx:mean.b]\n" ^
  +write info: ^
  -format "%2sd_R=%%[fx:standard_deviation.r]\n%2sd_G=%%[fx:standard_deviation.g]\n%2sd_B=%%[fx:standard_deviation.b]\n" ^
  info:`) do set %%L
