rem Make a 2-axis fan composition image.
rem %1,%2 Required width and height.
rem %3 output filename.
@rem
@rem Updated:
@rem   21-August-2022 Upgraded for IM v7.
@rem

set mkfDim=%1
if %mkfDim% LSS %2 set mkfDim=%2

%IMG7%magick ^
  -size %mkfDim%x%mkfDim% ^
  ( gradient: -flip ) ^
  ( gradient: -rotate 90 ) ^
  ( -clone 1 -evaluate Divide 2 ) ^
  ( -clone 0-1 ^
    -compose Mathematics ^
      -define compose:args=0,0.5,-0.5,0.5 ^
      -composite ^
  ) ^
  ( -clone 0-1 ^
    -compose MinusDst -composite ^
    -fill White +opaque Black ^
  ) ^
  -delete 0-1 ^
  ( -clone 0-1 ^
    -compose DivideSrc -composite ^
  ) ^
  -delete 0-1 ^
  ( -clone 1 -transpose ) ^
  -swap 0,1 ^
  -swap 1,2 ^
  -compose Over -composite ^
  -resize "%1x%2^!" ^
  %3
