@rem
@rem Updated:
@rem   30-September-2022 for IM v7.
@rem

call %PICTBAT%setMp7Env

if exist %MP7_UNR1% rd /q /s %MP7_UNR1%
if exist %MP7_UNR2% rd /q /s %MP7_UNR2%
if exist %MP7_UNRSM1% rd /q /s %MP7_UNRSM1%
if exist %MP7_UNRSM2% rd /q /s %MP7_UNRSM2%

md %MP7_UNR1%
md %MP7_UNR2%
md %MP7_UNRSM1%
md %MP7_UNRSM2%

set DATAEXT=.miff

del %IMG_ROWS% 2>nul
del %IMG_ROWS_SM% 2>nul
del %IMG_NDX% 2>nul

set FACT_PC=25

set N=0

for %%F in (%MP7_NORM%\*%DATAEXT%) do (

  echo !N!,%%~nF >>%IMG_NDX%

  %IMG7%magick ^
    %%F ^
    -fft ^
    -delete 1 ^
    -evaluate Pow 0.1 ^
    -distort depolar 0 ^
    ^( +clone ^
       -sparse-color bilinear "0,0,Black,0,%%[fx:h-1],White" ^
    ^) ^
    -compose Multiply -composite -compose Over ^
    -scale "x1^!" ^
    -depth 16 ^
    -define quantum:format=integer ^
    +write %MP7_UNR1%\%%~nF%DATAEXT% ^
    ^( +clone -resize %FACT_PC%%%x100%% ^
       +write %MP7_UNRSM1%\%%~nF%DATAEXT% ^
       ^( +clone ^) ^
       +append ^
       +write %MP7_UNRSM2%\%%~nF%DATAEXT% ^
       +delete ^) ^
    ^( +clone ^) ^
    +append ^
    +write %MP7_UNR2%\%%~nF%DATAEXT% ^
    NULL:

  if exist %IMG_ROWS% (
    %IMG7%magick %IMG_ROWS% %MP7_UNR2%\%%~nF%DATAEXT% -append %IMG_ROWS%
  ) else (
    %IMG7%magick %MP7_UNR2%\%%~nF%DATAEXT% %IMG_ROWS%
  )

  if exist %IMG_ROWS_SM% (
    %IMG7%magick %IMG_ROWS_SM% %MP7_UNRSM2%\%%~nF%DATAEXT% -append %IMG_ROWS_SM%
  ) else (
    %IMG7%magick %MP7_UNRSM2%\%%~nF%DATAEXT% %IMG_ROWS_SM%
  )

  set /A N+=1
)

rem   -crop +0+4 +repage
rem   -auto-level
