rem Makes a clut that would transform the histogram of %1 to match the histogram of %2.
rem Writes the output to %3.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

%IM7DEV%magick ^
  %1 ^
  ( -clone 0 ^
-format "%%[fx:minima.r] %%[fx:minima.g] %%[fx:minima.b]\n" +write info: ^
-format "%%[fx:maxima.r] %%[fx:maxima.g] %%[fx:maxima.b]\n" +write info: ^
    -process 'mkhisto cumul norm' ^
+write moc_a.png ^
  ) ^
  ( %2 ^
-format "%%[fx:minima.r] %%[fx:minima.g] %%[fx:minima.b]\n" +write info: ^
-format "%%[fx:maxima.r] %%[fx:maxima.g] %%[fx:maxima.b]\n" +write info: ^
    -process 'mkhisto cumul norm' ^
+write moc_b.png ^
    -process 'mkhisto cumul norm' ^
+write moc_c.png ^
  ) ^
  -delete 0 ^
  -clut ^
+write moc_d.png ^
  +depth ^
  %3

call %PICTBAT%graphLineCol moc_a.png
call %PICTBAT%graphLineCol moc_b.png
call %PICTBAT%graphLineCol moc_c.png
call %PICTBAT%graphLineCol moc_d.png
