rem Make a single thumbnail-index image of %MP7_SRC%\*.gif,
rem output to %1.
@rem
@rem Updated:
@rem   25-September-2022 for IM v7.
@rem

call %PICTBAT%setMp7Env

set OUTFILE=%1

set PREV=

set SCR_FILE=mp7t.scr

set TMP_IMG=mp7_tmp.png

echo off
(
  for /F "usebackq tokens=1 delims=-" %%F in (`dir %MP7_SRC%\*.gif /B`) do (
    if not "%%F"=="!PREV!" (
       echo ^(

       for /F "usebackq tokens=1" %%G in (`dir %MP7_SRC%\%%F-*.gif /B`) do echo %MP7_SRC%\%%G

       echo -resize 10%% -border 1 +append ^)
       set PREV=%%F
    )
  )
) >%SCR_FILE%
echo on

%IMG7%magick ^
  -background None -bordercolor None -gravity Center ^
  @%SCR_FILE% ^
  -append -colorspace sRGB ^
  %TMP_IMG%

pngcrush %TMP_IMG% %OUTFILE%
del %TMP_IMG%

