rem Parses %3, default %1 and %2. Returns pxxyX and pxxyY.
rem Also returns env vars %4_X and %4_Y
@rem
@rem %3 is one of these formats:
@rem   {blank}
@rem   .
@rem   {number}
@rem   {number}x
@rem   x{number}
@rem   {number}x{number}

set pxxy=%3
set pxxyFirst=%pxxy:~0,1%
rem echo pxxyFirst=%pxxyFirst%

if "%pxxyFirst%"=="x" set pxxy=%1%pxxy%

if "%pxxy%"=="." set pxxy=
if "%pxxy%"=="" set pxxy=%1x%2

for /F "usebackq tokens=1-2 delims=x" %%X in ('%pxxy%') do (
  rem echo %%X,%%Y
  set pxxyX=%%X
  set pxxyY=%%Y
)
if "%pxxyY%"=="" set pxxyY=%2

rem echo pxxyX=%pxxyX% pxxyY=%pxxyY%

set %4_X=%pxxyX%
set %4_Y=%pxxyY%
