rem From %1, a CSV of PH values for images,
rem makes %2 a CSV with best thresholds of RMS,
rem with colorspace column value %3.

setlocal

set COLSP_CSV=%1

set OUTFILE=%2

set TMP_RESULTS=%TEMP%\ptc.csv

if not exist %COLSP_CSV% (
  echo Can't find %COLSP_CSV%
  exit /B 1
)

scorePairsMaxMcc %COLSP_CSV% >%TMP_RESULTS%

cGrep    /p0 /i%TMP_RESULTS% /o%TMP_RESULTS%  /sbest /t\0

cGrep    /p0 /i%TMP_RESULTS% /o%TMP_RESULTS%  /sFPFN

chStrs   /p0 /i%TMP_RESULTS% /o%TMP_RESULTS% /f", " /t","
chStrs   /p0 /i%TMP_RESULTS% /o%TMP_RESULTS% /f" " /t","
cPrefix  /p0 /i%TMP_RESULTS% /o%TMP_RESULTS% /r",colorspace=%3"

call deEqCols %TMP_RESULTS% %OUTFILE%
if ERRORLEVEL 1 exit /B 1

type %OUTFILE%

endlocal