@rem
@rem Updated:
@rem   5-October-2022 for IM v7.
@rem

setlocal enabledelayedexpansion

set FILEPREF=c:\tmp\pntp

del %FILEPREF%_*.jpg

set WW=
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "WW=%%w\nHH=%%h\n" ^
  %FILEPREF%_dispmap_000001.miff`) do set %%L

if "%WW%"=="" (
  echo Can't find input miffs in %FILEPREF%
  exit /B 1
)

for /L %%I in (1,1,72) do (
  set LZ=000000%%I
  set LZ=!LZ:~-6!
  echo LZ=!LZ!

  %IMG7%magick ^
    pntp_myimg.png ^
    -resize "%WW%x%HH%^!" ^
    %FILEPREF%_dispmap_!LZ!.miff ^
    -virtual-pixel Edge ^
    -compose Distort ^
      -define compose:args=100x100%% ^
      -composite ^
    %FILEPREF%_mask_!LZ!.miff ^
    -alpha off ^
    -compose CopyOpacity -composite ^
    %FILEPREF%_ord_!LZ!.miff ^
    -compose Multiply -composite ^
    %FILEPREF%_high_!LZ!.miff ^
    -compose Hardlight -composite ^
    %FILEPREF%_null_!LZ!.miff ^
    +swap ^
    -gravity None ^
    -geometry %SHIRT_OFFS% ^
    -compose Over -composite ^
    %FILEPREF%_usr_!LZ!.jpg

)

