rem  %1 Image for COL0 colour
rem  %2 Image for COL1 colour
rem  %3 Output image
rem  %4 0 for interpolation, 1 for extrapolation

setlocal

set IMG0=%~1
set IMG1=%~2
set OUTFILE=%3

set EXTRAP=%4
if "%EXTRAP%"=="." set EXTRAP=
if "%EXTRAP%"=="" set EXTRAP=0

set TMP_GRAD=prgb_tmp.miff

set WW=256
set glcGRID_IMG=
set sPROC_GRAD=

if %EXTRAP%==1 (
  set WW=768

  set TMP_GRID=%TEMP%\prgb_grid.miff

  call %PICTBAT%grid !WW! 256 3 1 . gray50 . . !TMP_GRID!

  set glcGRID_IMG=!TMP_GRID!

  set sPROC_GRAD=-evaluate Multiply 3 -evaluate Subtract 100%%
)

%IMG7%magick ^
  -define compose:clamp=off ^
  %IMG0% %IMG1% ^
  -scale "%WW%x1^!" ^
  ( -size 1x%WW% gradient:black-white -rotate -90 ^
    %sPROC_GRAD% ^
  ) ^
  -compose Over -composite ^
  -define quantum:format=floating-point -depth 32 ^
  %TMP_GRAD%

set glcCLUT=^
^^( +clone ^
  ^^^( +clone -clamp ^^^) ^
  -compose Difference -composite -fill White +opaque Black -negate ^
^^) ^
-alpha off -compose CopyOpacity -composite -set colorspace RGB -colorspace sRGB

set glcSHOW_STEPS=10

call %PICTBAT%graphLineCol %TMP_GRAD% . . . %OUTFILE%

endlocal
