rem From %1 an ICC profile,
rem creates variable with prefix %2
rem with primaries and white point.
rem %3 is output file. If . or blank, no output file is made.
rem %4 is required width and height [1x1]

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave


set INPROF=%1

set PREF=%2
if "%PREF%"=="" set PREF=pn_

call parseXxY 1 1 %4

set OUTFILE=%3
if "%OUTFILE%"=="." set OUTFILE=

set WW=%pxxyX%
set HH=%pxxyY%
set NegY=1

if %WW% LSS 2 set NegY=0

if %WW% LSS 2 set WW=2
if %HH% LSS 2 set HH=2

set n=0

for /F "usebackq tokens=1-2 " %%A in (`%IMG7%magick ^
  xc:#f00 xc:#0f0 xc:#00f xc:#fff ^
  -profile %INPROF% ^
  -profile %ICCPROF%\XYZ-D50-Identity-elle-V4.icc ^
  -strip ^
  -set colorspace XYZ ^
  -colorspace xyY ^
  -precision 15 ^
  -format "%%[fx:mean.r*(%WW%-1)] %%[fx:(%NegY%==1?1-mean.g:mean.g)*(%HH%-1)]\n" ^
  info: `) do (
  set pn!n!x=%%A
  set pn!n!y=%%B
  set /A n+=1
)

set pnr=%pn0x%,%pn0y%
set png=%pn1x%,%pn1y%
set pnb=%pn2x%,%pn2y%
set pnrgb=%pnr%,%png%,%pnb%
set pnwp=%pn3x%,%pn3y%

if not "%OUTFILE%"=="" (
  call %PICTBAT%grid ^
    %WW% %HH% 10 10 0 #444 #111 . %OUTFILE%

  call %PICTBAT%cieHorseshoe ^
    %OUTFILE% %OUTFILE%

  %IMG7%magick ^
    %OUTFILE% ^
    -fill None -stroke #f00 -draw "translate %pnr% circle 0,0,0,5" ^
    -fill None -stroke #0f0 -draw "translate %png% circle 0,0,0,5" ^
    -fill None -stroke #44f -draw "translate %pnb% circle 0,0,0,5" ^
    -fill None -stroke #f80 -draw "translate %pnwp% circle 0,0,0,10" ^
    -draw "polygon %pnrgb%" ^
    %OUTFILE%
)

call echoRestore

@endlocal & set %PREF%_r=%pnr%& set %PREF%_g=%png%& set %PREF%_b=%pnb%& set %PREF%_prims=%pnrgb%& set %PREF%_wp=%pnwp%
