rem From %1 an ICC profile,
rem creates html code in %2.htm
rem and image %2.png.
rem %3 is image width and height [256].
@rem
@rem Updated:
@rem   17-June-2019 Added option %3.

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave


set INPROF=%1

set pntPREF=%2

set sqDim=%3
if "%sqDim%"=="." set sqDim=
if "%sqDim%"=="" set sqDim=256

set IMGFILE=%pntPREF%.png

set HTMFILE=%pntPREF%.htm

call %PICTBAT%profNums %INPROF% pnt

(
  echo ^<table^>
  echo ^<tr^>^<td^>
  echo ^<pre class="result"^>
  echo %INPROF%
  echo Red: %pnt_r%
  echo Green: %pnt_g%
  echo Blue: %pnt_b%
  echo WP: %pnt_wp%
  echo ^</pre^>
  echo ^</td^>^<td^>
  echo ^<img src="%IMGFILE%" /^>
  echo ^</td^>^</tr^>
  echo ^</table^>
) >%HTMFILE%

call %PICTBAT%profNums ^
  %INPROF% dump %IMGFILE% %sqDim%x%sqDim%


call echoRestore

@endlocal
