rem %1 input with positive and negative values.
rem %2 mask image.
rem %3 percentage multiplier for mask [default 100]
rem %4 output with values pushed towards zero.
@rem
@rem This needs an HDRI version of IM.
@rem
@rem Also uses:
@rem   QUANT_FP

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 pzm

set MSK=%2

set MSKMULT=%3
if "%MSKMULT%"=="." set MSKMULT=
if "%MSKMULT%"=="" set MSKMULT=100

if not "%4"=="" if not "%4"=="." set OUTFILE=%4

if %MSKMULT%==100 (
  set sMult=
) else (
  set sMult=-evaluate Multiply %%[fx:%MSKMULT%/100]
)

%IMG7%magick ^
  %INFILE% ^
  -define compose:clamp=on ^
  ( -clone 0 ^
    -evaluate Multiply -1 ^
    ( %MSK% ^
      %sMult% ^
      +write mpr:MSK ^
    ) ^
    -compose MinusSrc -composite ^
    -clamp ^
    -evaluate Multiply -1 ^
  ) ^
  ( -clone 0 ^
    mpr:MSK ^
    -compose MinusSrc -composite ^
    -clamp ^
  ) ^
  ( -clone 0 ^
    -threshold 0 ^
  ) ^
  -delete 0 ^
  -define compose:clamp=off ^
  -compose Over -composite ^
  %QUANT_FP% ^
  %OUTFILE%

call echoRestore

endlocal & set pzmOUTFILE=%OUTFILE%&
