@rem
@rem Updated:
@rem   29-August-2022 for IM v7.
@rem

set INFILE=%1
set OUTFILE=%2

set A_START=1
set A_END=351
set A_STEP=10

if "%r3dBACK_COL%"=="" set r3dBACK_COL=white

set T_STR=srt3d t tx-50c,ty-50c,rx30,ry_XX_ f 500 v


set TMP_SCR=\temp\s3dtmp.scr

(
echo null:
echo %INFILE%
echo -virtual-pixel None -mattecolor None

for /L %%A in (%A_START%,%A_STEP%,%A_END%) do @(
  set V_STR=!T_STR:_XX_=%%A!
  @echo ^( -clone 1 -process '!V_STR!' ^)
)

echo -delete 1
echo -layers trim-bounds
echo ^( -clone 1--1
echo   -layers mosaic
if /I "%r3dBACK_COL%"=="none" (
  echo   -alpha Transparent
) else (
  echo   -fill %r3dBACK_COL% -colorize 100
)
echo ^)
echo -insert 0
echo -compose Over -layers Composite
echo -alpha off
echo -background White -set dispose Background
echo +write %OUTFILE%
echo -exit
) >%TMP_SCR%

type %TMP_SCR%

%IM7DEV%magick -script %TMP_SCR%
