rem Given images %1 and %2,
rem writes output %3
rem %4 is window widthxheight eg 3x3
rem Output pixels are from %2,
rem but sets each to minimum or maximum within the window from %1.
rem %5 is percentage effect. [100]
@rem
@rem %2 can be a quoted expression, eg "( -clone 0 -unsharp 0x2 )"
@rem
@rem Also uses:
@rem   QUANT_FP

@if [%2]==[] findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

rem @call echoOffSave

call %PICTBAT%setInOut %1 smm

set IN2=%~2

if not "%3"=="" if not "%3"=="." set OUTFILE=%3

set RECT=%4
if "%RECT%"=="." set RECT=
if "%RECT%"=="" set RECT=3x3

set PC_EFFECT=%5
if "%PC_EFFECT%"=="." set PC_EFFECT=
if "%PC_EFFECT%"=="" set PC_EFFECT=100

if %PC_EFFECT%==100 (
  set BLND=-delete 0
) else (
  set BLND=-compose Blend -define compose:args=%PC_EFFECT% -composite
)

rem (We use %IM7DEV%magick to avoid an OpenCL bug in unsharp.)
%IM7DEV%magick ^
  %INFILE% ^
  ( +clone ^
    ( -clone 0 -statistic Minimum %RECT% +write mpr:MIN +delete ) ^
    ( -clone 0 -statistic Maximum %RECT% +write mpr:MAX +delete ) ^
    ( mpr:MIN mpr:MAX -evaluate-sequence Mean +write mpr:MN +delete ) ^
    ( mpr:MIN mpr:MAX -compose MinusDst -composite +write mpr:SUB +write mm.png +delete ) ^
    %IN2% ^
    -delete 0 ^
    mpr:MN ^
    -compose MinusSrc -composite ^
    -channel RGB -threshold 0 +channel ^
    mpr:SUB ^
    -compose Multiply -composite ^
    mpr:MIN ^
    -compose Plus -composite ^
  ) ^
  %BLND% ^
  %QUANT_FP% ^
  %OUTFILE%

if ERRORLEVEL 1 exit /B 1

call echoRestore

endlocal & set smmOUTFILE=%OUTFILE%&
