rem From image %1
rem makes %2
rem with process module 'setMnSd', parameters %3 eg "mn 0.5 sd 0.16667",
rem perhaps using statistics from a small version.
@rem
@rem Updated:
@rem   6-August-2022 for IM v7
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 smsl

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set sPARAMS=%~3

set LIM_W=600
set LIM_H=600

set WW=
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "WW=%%w\nHH=%%h\n" ^
  %INFILE%`) do set %%L
if "%WW%"=="" exit /B 1

set isSmall=0

if %WW% LEQ %LIM_W% if %HH% LEQ %LIM_H% set isSmall=1

if %isSmall%==1 (

  echo Small

  for /F "usebackq tokens=*" %%L in (`%IM7DEV%magick ^
    %INFILE% ^
    -process 'setmnsd %sPARAMS%' ^
    +write %OUTFILE% ^
    -format "sOPS=%%[filter:setmnsd]" info:`) do set %%L

) else (

  echo Large

  for /F "usebackq tokens=*" %%L in (`%IM7DEV%magick ^
    %INFILE% ^
    -precision 19 ^
    -resize %LIM_W%x%LIM_H% ^
    -process 'setmnsd %sPARAMS%' ^
    -format "sOPS=%%[filter:setmnsd]" info:`) do set %%L

  %IM7DEV%magick ^
    %INFILE% ^
    !sOPS! ^
    %OUTFILE%
)

echo %0: sOPS=!sOPS!

@call echoRestore

endlocal & set smslOUTFILE=%OUTFILE%& set smslOPS=%sOPS%
