rem Given %1 is white shape on black background,
rem replaces shape with each absolute displacement map
rem from rectangle to shape.
rem %2 output.
@rem
@rem Updated:
@rem   5-August-2022 for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 s2gc

if not "%2"=="" set OUTFILE=%2

call %PICTBAT%sh2grad %INFILE% s2gc_red.miff
if ERRORLEVEL 1 exit /B 1

call %PICTBAT%sh2grad %INFILE% s2gc_grn.miff -90
if ERRORLEVEL 1 exit /B 1

%IMG7%magick ^
  s2gc_red.miff ^
  s2gc_grn.miff ^
  ( +clone -fill gray(50%%) -colorize 100 ) ^
  -combine ^
  %INFILE% ^
  -alpha off ^
  -compose CopyOpacity -composite ^
  -background Black -compose Over -layers Flatten ^
  %OUTFILE%
if ERRORLEVEL 1 exit /B 1

call echoRestore

@endlocal & set s2gcOUTFILE=%OUTFILE%
