@rem Given image %1 has property filter:setmnsd,
@rem writes %2 a graph1d curve.
@rem
@rem Updated:
@rem   6-August-2022 for IM v7
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 smsc

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set OPS=
for /F "usebackq tokens=*" %%L in (`%IMG7%magick identify ^
  -format "OPS=%%[filter:setmnsd]" ^
  %INFILE%`) do set %%L
if ERRORLEVEL 1 exit /B 1
if "%OPS%"=="" exit /B 1

echo %OPS%

@rem Extreme operation can cause staircasing unless we use 32f.

%IM7DEV%magick ^
  -size 1x256 gradient: -rotate 90 ^
  %OPS% ^
  %OUTFILE%

call %PICTBAT%graph1d %OUTFILE% . . %OUTFILE%

call echoRestore

@endlocal & set smscOUTFILE=%OUTFILE%
