rem From image %1,
rem create %2 smoothed by cartoon process.
@rem
@rem Updated:
@rem   25-September-2022 for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

rem @call echoOffSave

call %PICTBAT%setInOut %1 sct

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set blrCart=%3
set blrBefE=%4
set blrBlnd=%5

if "%blrCart%"=="." set blrCart=
if "%blrBefE%"=="." set blrBefE=
if "%blrBlnd%"=="." set blrBlnd=

if "%blrCart%"=="" set blrCart=1
if "%blrBefE%"=="" set blrBefE=%blrCart%
if "%blrBlnd%"=="" set blrBlnd=%blrBefE%


set TMPDIR=\temp
set TMPEXT=.miff
set CART_PREF=%TMPDIR%\sct_
set EDGES_ONLY=%TMPDIR%\sct_eo%TMPEXT%
set RF=%TMPDIR%\sct_rf%TMPEXT%
set BF=%TMPDIR%\sct_bf%TMPEXT%
set BLND_MSK=%TMPDIR%\sct_bm%TMPEXT%

call %PICTBAT%cartTextEep ^
  %INFILE% %CART_PREF%_XX%TMPEXT% %blrCart%

if ERRORLEVEL 1 exit /B 1

%IMG7%magick ^
  %INFILE% ^
  %CART_PREF%_edges%TMPEXT% ^
  -alpha off ^
  -compose CopyOpacity -composite ^
  %EDGES_ONLY%

if ERRORLEVEL 1 exit /B 1

call %PICTBAT%relaxFillMS ^
  %EDGES_ONLY% . %EDGES_ONLY% ^
  1e-4 1000

if ERRORLEVEL 1 exit /B 1

%IMG7%magick ^
  %EDGES_ONLY% ^
  -blur 0x%blrBefE% ^
  ( %CART_PREF%_edges%TMPEXT% -negate ) ^
  -alpha off ^
  -compose CopyOpacity -composite ^
  %EDGES_ONLY%

if ERRORLEVEL 1 exit /B 1

call %PICTBAT%relaxFillMS ^
  %EDGES_ONLY% . %RF% ^
  1e-4 1000

if ERRORLEVEL 1 exit /B 1

call %PICTBAT%blurFill ^
  %EDGES_ONLY% . %BF%

if ERRORLEVEL 1 exit /B 1

%IMG7%magick ^
  ( %INFILE% +write mpr:BASE ^
    %RF% ^
    -compose Difference -composite ^
    -grayscale RMS ^
  ) ^
  ( mpr:BASE ^
    %BF% ^
    -compose Difference -composite ^
    -grayscale RMS ^
  ) ^
  -compose MinusSrc -composite ^
  -fill White +opaque Black ^
  -blur 0x%blrBlnd% ^
  %BLND_MSK%

if ERRORLEVEL 1 exit /B 1

%IMG7%magick ^
  %RF% %BF% ^
  %BLND_MSK% ^
  -alpha off -compose Over -composite ^
  %OUTFILE%

if ERRORLEVEL 1 exit /B 1

call echoRestore

@endlocal & set sctOUTFILE=%OUTFILE%
