#ifndef TRIMONE_INC
#define TRIMONE_INC

#include "resetpage.inc"
#include "cropchk.inc"

static MagickBooleanType TrimOne (
  Image ** img,
  ExceptionInfo *exception)
{
  RectangleInfo crpRect;
  crpRect.width  = (*img)->columns - 2;
  crpRect.height = (*img)->rows - 2;
  crpRect.x = 1;
  crpRect.y = 1;

  Image * r = CropCheck (*img, &crpRect, exception);
  if (!r) return MagickFalse;
  ResetPage (r);
  ReplaceImageInList (img, r);

  return MagickTrue;
}

#endif
