rem From image %1,
rem make horizontal cross-section.
@rem
@rem Updated:
@rem   24-July-2022 for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 xs

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set WW=
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "WW=%%w\nHH=%%h\nW_2=%%[fx:int(w/2)]\nH_2=%%[fx:int(h/2)]" ^
  %INFILE%`) do set %%L
if "%WW%"=="" exit /B 1

set TMP=%TEMP%\xs.miff

%IMG7%magick ^
  %INFILE% ^
  -crop %WW%x1+0+%H_2% +repage ^
  %TMP%

call %PICTBAT%graphLineCol %TMP% . . . %OUTFILE%

call echoRestore

endlocal & set xsOUTFILE=%OUTFILE%
