rem Given enviromnent variables named ac_x_*, ac_y_* and ac_z_*,
rem calculates enviromnent variables bl_x_*, bl_y_* and bl_z_*.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

for /F "usebackq tokens=1-2 delims==" %%A in (`set ac_x_`) do (
  set OLDNAME=%%A
  set NEWNAME=!OLDNAME:ac_x_=bl_x_!
  for /F "usebackq" %%C in (`%IMG7%magick identify ^
    -precision 19 ^
    -format "!NEWNAME!=%%[fx:(%%B-%ac_x_crotch%)*%ac_scale_w%]" ^
    xc:`) do set %%C
)
for /F "usebackq tokens=1-2 delims==" %%A in (`set ac_y_`) do (
  set OLDNAME=%%A
  set NEWNAME=!OLDNAME:ac_y_=bl_y_!
  for /F "usebackq" %%C in (`%IMG7%magick identify ^
    -precision 19 ^
    -format "!NEWNAME!=%%[fx:(%%B-%WW_2%)*%ac_scale_w%]" ^
    xc:`) do set %%C
)
for /F "usebackq tokens=1-2 delims==" %%A in (`set ac_z_`) do (
  set OLDNAME=%%A
  set NEWNAME=!OLDNAME:ac_z_=bl_z_!
  for /F "usebackq" %%C in (`%IMG7%magick identify ^
   -precision 19 ^
   -format "!NEWNAME!=%%[fx:(%ac_z_feet%-%%B)*%ac_scale_h%]" ^
    xc:`) do set %%C
)

set bl_ >ac_envvar.py
