rem Runs Gimp to load and save a file.
rem See %USERPROFILE%\.gimp-2.8\plug-ins\loadSave.py
@rem
@rem Updated:
@rem   3-October-2022 for IM v7.
@rem

set FNAME=%1
set EXT=%2

if not exist %FNAME% echo %0: Can't find %FNAME% & exit /B 1

rem Change backslashes to forward slashes.
set FNAME=%FNAME:\=/%

%GIMPCONS% -i -d -f ^
  --batch-interpreter=python-fu-eval ^
  -b "pdb.python_fu_loadSave('%FNAME%', '%EXT%')" ^
  -b "pdb.gimp_quit (1)"

if ERRORLEVEL 1 exit /B 1

%IMG7%magick identify %~dpn1.xcf

if ERRORLEVEL 1 exit /B 1

exit /B 0