rem Repeatedly calls subSrchFact until result is good, or factor is 1.
@rem
@rem Updated:
@rem   25-August-2022 for IM v7.
@rem

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 ssfr

set SML_FILE=%2

set FACT=%3
if "%FACT%"=="." set FACT=
if "%FACT%"=="" set FACT=10

set ENV_PREF=%4
if "%ENV_PREF%"=="." set ENV_PREF=
if "%ENV_PREF%"=="" set ENV_PREF=ssfrENV

set THRESH_BAD=%5
if "%THRESH_BAD%"=="." set THRESH_BAD=
if "%THRESH_BAD%"=="" set THRESH_BAD=0.1

:loop
set %ENV_PREF%.BAD=

call %PICTBAT%subSrchFact %INFILE% %SML_FILE% %FACT% %ENV_PREF% %THRESH_BAD%

if "!%ENV_PREF%.BAD!"=="" goto finished

if %FACT%==1 goto finished

for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "FACT=%%[fx:%FACT%<=2?1:%FACT%/2.0]" ^
  xc:`) do set %%L

echo %0: FACT=%FACT% bad=!%ENV_PREF%.BAD!

goto loop


:finished

echo %0: FACT=%FACT% bad=!%ENV_PREF%.BAD!

set ENV_LIST=%BASENAME%_ssfrEnv.lis
set %ENV_PREF% >%ENV_LIST%

call echoRestore

@endlocal & for /F %%L in (%ENV_LIST%) do @set %%L
