rem %1 is an image name (eg magick.exe)
rem %2 is a limit for the number of tasks.
rem Waits until no more than %2 tasks with that image are running.

@setlocal

@call echoOffSave

set IMAGE=%1
set nLIMIT=%2

:loop

for /F "usebackq" %%L in (`tasklist /FI "IMAGENAME eq %IMAGE%" /FO CSV /NH ^|grep %IMAGE% ^|wc -l `) do set NRUN=%%L

echo %0: NRUN=%NRUN%

if %NRUN% GTR %nLIMIT% (
  sleep 1
  goto loop
)

call echoRestore

@endlocal