@rem For text files, appends each line of %2 to end of %1, writing output to stdout.
@rem Inserts alSEP then a space character between each input pair.
@rem Returns number of lines in alOUTNUM

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

set NumA=0
for /F "tokens=*" %%L in (%1) do (
  set lineA_!NumA!=%%L
  set /A NumA+=1
)

set NumB=0
for /F "tokens=*" %%L in (%2) do (
  set lineB_!NumB!=%%L
  set /A NumB+=1
)

set OutNum=%NumA%
if %OutNum% LSS %NumB% set OutNum=%NumB%

set /A nLast=%OutNum%-1

for /L %%i in (0,1,%nLast%) do echo.!lineA_%%i!%alSEP% !lineB_%%i!


call echoRestore

@endlocal & set alOUTNUM=%OutNum%
