rem From %1, text file of 16-bit sRGB colours,
rem make 6x4 image %2.
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

set DRAW_LIST=\temp\cb_draw.scr

set x=0
set y=0

echo off
(
  echo xc:
  for /F "eol=! tokens=1-3 delims=, " %%A in (%1) do (
    %IMG7%magick identify ^
      -format "-fill srgb(%%[fx:100*%%A/65535]%%%%,%%[fx:100*%%B/65535]%%%%,%%[fx:100*%%C/65535]%%%%) " ^
      xc:

    echo -draw "point !x!,!y!"

    set /A x+=1
    if !x!==6 (
      set /A y+=1
      set x=0
    )
  )
  echo %2
) >%DRAW_LIST%
echo on

%IMG7%magick ^
  -size 6x4 ^
  -script %DRAW_LIST%
