rem Given %1 is image,
rem %2 is output file
rem %3 is (quoted) set of barrel parameters
rem %4 is multiple of size for first guess, integer, [default 3]
@rem
@rem Updated:
@rem   21-August-2022 Upgraded for IM v7.
@rem

setlocal

set SRC=\prose\pictures\db_source.png

set SRC=%1

set OUTFILE=%2

set DB=%3

for /F "usebackq" %%L in (`%IMG7%magick ^
  %SRC% -format "WW=%%[fx:w]\nHH=%%[fx:h]" ^
  info:`) do set %%L
if "%WW%"=="" exit /B 1

call %PICTBAT%barrelSize %WW% %HH% %DB% %4

if ERRORLEVEL 1 exit /B 1

%IMG7%magick ^
  %SRC% ^
  -virtual-pixel Black ^
  -define distort:viewport=%bsVP% ^
  -distort barrel %DB% ^
  %OUTFILE%


endlocal