@rem
@rem Updated:
@rem   7-September-2022 for IM v7.
@rem

set CCM_LIS=ColorDodge,ColorBurn,LinearDodge,LinearBurn,LinearLight,^
HardMix,^
Screen,Multiply,Overlay,HardLight,PegtopLight,^
SoftLight,VividLight,PinLight,^
Darken,DarkenIntensity,Lighten,LightenIntensity

set LIS=ccm_ckbk.inc

echo \[table\] >%LIS%
echo \[tr\]\[th\]Method\[/th\]\[th\]with \[tt\]ccm_grgrad.png\[/tt\] \[/th\]\[th\]with \[tt\]ccm_colgrad.png\[/tt\]\[/th\]\[/tr\] >>%LIS%

for %%A in (%CCM_LIS%) do (
  echo %%A

  %IMG7%magick ^
    %SRC% ^
    ccm_grgrad.png ^
    -gravity Center ^
    -compose %%A -composite ^
    ccm_gr_%%A.png

  %IMG7%magick ^
    %SRC% ^
    ccm_colgrad.png ^
    -gravity Center ^
    -compose %%A -composite ^
    ccm_col_%%A.png

  echo \[tr\]\[td\]%%A\[/td\]\[td\]\[img src="ccm_gr_%%A.pngjpg" /\]\[/td\]\[td\]\[img src="ccm_col_%%A.pngjpg" /\]\[/td\]\[/tr\] >>%LIS%

)

echo \[/table\] >>%LIS%


type %LIS%

chstrs /i%LIS% /f\\[ /t\(
chstrs /i%LIS% /f\\] /t\)

rem type %LIS%
