@rem
@rem Updated:
@rem   24-August-2022 for IM v7.
@rem

set INFILE=%1
set OUTFILE=%2

%IM7DEV%magick ^
  %INFILE% ^
  -define compose:clamp=off ^
  -define quantum:format=floating-point ^
  -channel RGB ^
  -separate ^
  +channel ^
  ( -clone 0-2 ^
    -poly "0.298936021293775390,1 0.587043074451121360,1 0.140209042551032500,1" ^
    -format "MEAN=%%[fx:mean]\nSD=%%[fx:standard_deviation]\n" ^
+write x0.miff ^
  ) ^
  -delete 0 ^
  ( -clone 0-1 ^
    -evaluate-sequence Max ^
+write x1.miff ^
  ) ^
  -delete 0-1 ^
  +write info: ^
  -compose MinusSrc -composite ^
+write x2.miff ^
  -fuzz 4.6295%% -fill Black +opaque gray(7.1405%%) ^
+write x3.miff ^
  -clamp ^
  -fuzz 0 -fill White +opaque Black ^
  %OUTFILE%

%IM7DEV%magick ^
  x2.miff ^
  -define compose:clamp=off ^
  ( +clone -fill gray(7.1405%%) -colorize 100 ^
  ) ^
  -compose Difference -composite ^
  -negate ^
  -level 90.741,100%% ^
  x3.png
