rem Given an image %1
rem and a colour %2,
rem writes coordinates of pixels that are exactly that colour to CSV file %3.
rem Optional %4 limits the number that will be found.
@rem
@rem Output lines will contain x,y.
@rem If no pixels with this colour are found, output will contain no lines.


@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 ccs

set COL=%2

@set OUTFILE=%OUTBASE%.csv

if not "%3"=="" if not "%3"=="." set OUTFILE=%3

set LIMIT=%4
if "%LIMIT%"=="." set LIMIT=
if "%LIMIT%"=="" set LIMIT=0

echo LIMIT=%LIMIT%

set TMP_TXT=%TEMP%\ccs_tmp.txt

if %LIMIT%==0 (
  set sLIMIT=
) else (
  set sLIMIT=-define identify:limit=%LIMIT%
)


%IMG7%magick ^
  %INFILE% ^
  ( +clone -fill %COL% -colorize 100 ) ^
  -compose Difference -composite ^
  -grayscale RMS ^
  -define identify:locate=minimum ^
  %sLIMIT% ^
  -identify ^
  NULL: >%TMP_TXT%

set ANY_FOUND=0
for /F "tokens=2 delims=()" %%A in (%TMP_TXT%) do (
  if "%%A"=="0" (
    set ANY_FOUND=1
  )
)

if %ANY_FOUND%==1 (
  cut -d^) -s -f2 %TMP_TXT% |cut -b2- - |sed -e 's/ /\n/g' - >%OUTFILE%
) else (
  copy NUL %OUTFILE%
)


call echoRestore

endlocal & set ccsOUTFILE=%OUTFILE%
