rem %1 input sRGB image
rem %2 output environment variable

for /F "usebackq" %%L in (`%IMG7%magick ^
  %1 ^
  -set colorspace sRGB ^
  -precision 15 ^
  -color-matrix "1,-1,0,0.5,0.5,-1,1,1,1" ^
  -define "quantum:format=floating-point" -depth 32 ^
+write x.miff ^
  -format "%2=%%[fx:hypot(standard_deviation.r,standard_deviation.g)+0.3*hypot(mean.r,mean.g)]\n" ^
  info:`) do set %%L
