rem Calls convolveSMA but output (%3) is a "blockPix" of inputs and output.
@rem
@rem Updated:
@rem   25-September-2022 for IM v7.
@rem

@if "%3"=="" exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%convolveSMA %1 %2 %3 %4 %5 %6 %7

if ERRORLEVEL 1 exit /B 1

set bpDO_CIRCLE=0
set bpDO_CROSS=0

call %PICTBAT%blockPix %1 csb_src.miff

set bpDO_CIRCLE=1
set bpCIRC_X=%csmaKO_X%
set bpCIRC_Y=%csmaKO_Y%

call %PICTBAT%blockPix %2 csb_knl.miff

set bpDO_CIRCLE=0

call %PICTBAT%blockPix %3 csb_out.miff

%IMG7%magick ^
  -gravity center ^
  -background None ^
  -pointsize 30 ^
  csb_src.miff ^
  pango:"&#x229B;" ^
  csb_knl.miff ^
  pango:"&#x21D2;" ^
  csb_out.miff ^
  +append ^
  %3

if ERRORLEVEL 1 exit /B 1

call echoRestore

endlocal
