rem %1 is prefix of a set of environment variables, as created by find4cornSub.bat etc.
rem   Expected suffixes: .BL.x etc.
rem Calculates min, max and mean of left, top, right and bottom.
rem   Creates suffixes .min.L etc.
rem %2 is destination coords: min, max, mean, inner or outer.

set %1.min.L=!%1.BL.x!
if !%1.min.L! GTR !%1.TL.x! set %1.min.L=!%1.TL.x!

set %1.min.T=!%1.TL.y!
if !%1.min.T! GTR !%1.TR.y! set %1.min.L=!%1.TR.y!

set %1.min.R=!%1.BR.x!
if !%1.min.R! GTR !%1.TR.x! set %1.min.R=!%1.TR.x!

set %1.min.B=!%1.BL.y!
if !%1.min.B! GTR !%1.BR.y! set %1.min.B=!%1.BR.y!


set %1.max.L=!%1.BL.x!
if !%1.max.L! LSS !%1.TL.x! set %1.max.L=!%1.TL.x!

set %1.max.T=!%1.TL.y!
if !%1.max.T! LSS !%1.TR.y! set %1.max.T=!%1.TR.y!

set %1.max.R=!%1.BL.x!
if !%1.max.R! LSS !%1.TR.x! set %1.max.R=!%1.TR.x!

set %1.max.B=!%1.BL.y!
if !%1.max.B! LSS !%1.BR.y! set %1.max.B=!%1.BR.y!


set /A %1.mean.L=(!%1.BL.x!+!%1.TL.x!)/2
set /A %1.mean.T=(!%1.TL.y!+!%1.TR.y!)/2
set /A %1.mean.R=(!%1.BR.x!+!%1.TR.x!)/2
set /A %1.mean.B=(!%1.BL.y!+!%1.BR.y!)/2

if /I "%2"=="min" (
  set %1.dst.L=!%1.min.L!
  set %1.dst.T=!%1.min.T!
  set %1.dst.R=!%1.min.R!
  set %1.dst.B=!%1.min.B!
) else if /I "%2"=="max" (
  set %1.dst.L=!%1.max.L!
  set %1.dst.T=!%1.max.T!
  set %1.dst.R=!%1.max.R!
  set %1.dst.B=!%1.max.B!
) else if /I "%2"=="mean" (
  set %1.dst.L=!%1.mean.L!
  set %1.dst.T=!%1.mean.T!
  set %1.dst.R=!%1.mean.R!
  set %1.dst.B=!%1.mean.B!
) else if /I "%2"=="inner" (
  echo .
) else if /I "%2"=="outer" (
  echo .
) else (
  echo %0: Bad arg 2 [%2]
  exit /B 1
)

set %1.persp=^
!%1.TL.x!,!%1.TL.y!,!%1.dst.L!,!%1.dst.T!,^
!%1.TR.x!,!%1.TR.y!,!%1.dst.R!,!%1.dst.T!,^
!%1.BR.x!,!%1.BR.y!,!%1.dst.R!,!%1.dst.B!,^
!%1.BL.x!,!%1.BL.y!,!%1.dst.L!,!%1.dst.B!


set %1.
