rem From image %1,
rem finds the average colours in %2 (WxH) rectangles cropped from the corners.
@rem
@rem Updated:
@rem   29-August-2022
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 cc

set DIMS=%2
if "%DIMS%"=="." set DIMS=
if "%DIMS%"=="" set DIMS=1x1


set sFORMAT=^
ccTL=srgb(%%[fx:100*p{0,0}.r]\%%,%%[fx:100*p{0,0}.g]\%%,%%[fx:100*p{0,0}.b]\%%)\n^
ccTR=srgb(%%[fx:100*p{1,0}.r]\%%,%%[fx:100*p{1,0}.g]\%%,%%[fx:100*p{1,0}.b]\%%)\n^
ccBL=srgb(%%[fx:100*p{2,0}.r]\%%,%%[fx:100*p{2,0}.g]\%%,%%[fx:100*p{2,0}.b]\%%)\n^
ccBR=srgb(%%[fx:100*p{3,0}.r]\%%,%%[fx:100*p{3,0}.g]\%%,%%[fx:100*p{3,0}.b]\%%)

for /F "usebackq" %%L in (`%IMG7%magick ^
  %INFILE% ^
  ^( -clone 0 -gravity NorthWest -crop %DIMS%+0+0 +repage ^) ^
  ^( -clone 0 -gravity NorthEast -crop %DIMS%+0+0 +repage ^) ^
  ^( -clone 0 -gravity SouthWest -crop %DIMS%+0+0 +repage ^) ^
  ^( -clone 0 -gravity SouthEast -crop %DIMS%+0+0 +repage ^) ^
  -delete 0 ^
  -scale "1x1^!" ^
  +append +repage ^
  -precision 16 ^
  -format "%sFORMAT%" ^
  info:`) do set %%L
)

call echoRestore

@endlocal & set ccTL=%ccTL%& set ccTR=%ccTR%& set ccBL=%ccBL%& set ccBR=%ccBR%
