#ifndef CROPCHK_INC
#define CROPCHK_INC

static Image * CropCheck (
  Image * img,
  RectangleInfo *rect,
  ExceptionInfo *exception)
{
  Image * crp_img = CropImage (img, rect, exception);
  if (!crp_img) return NULL;

  // Check the crop really worked.
  if (crp_img->columns != rect->width || crp_img->rows != rect->height) {
    crp_img = DestroyImage (crp_img);
  }

  return crp_img;
}

#endif
