rem %1 Prefix for input fwd and bwd, and coordinate, lists.
rem %2 Directory for input masks.
rem %3 Extension of input masks.
rem %4 Effect, eg "-modulate 100,0,100 -blur 0x10".


@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

set InPref=%1

call %PICTBAT%chainRdEnv %InPref%
if ERRORLEVEL 1 exit /B 1

call %PICTBAT%csaChkVars %InPref%
if ERRORLEVEL 1 exit /B 1

set InMskDir=%2

set MaskExt=%3
if "%MaskExt%"=="." set MaskExt=
if "%MaskExt%"=="" set MaskExt=miff

set EFFECT=%~4

call :OneDirn fwd
if ERRORLEVEL 1 exit /B 1

call :OneDirn bwd
if ERRORLEVEL 1 exit /B 1

call echoRestore

@endlocal

@exit /B 0

::------------------------------------------------------
:: Subroutines

:OneDirn
set DIRN=%1

call readArray %InPref%_%DIRN%.lis InImgs

set FIRSTIMG=0
if %DIRN%==bwd set FIRSTIMG=1

for /L %%I in (%FIRSTIMG%,1,%InImgs_CNTm1%) do (
  for /F %%F in ("!InImgs[%%I]!") do (
    set OUTFILE=!%cnfPref%.OutFrames!%%~nF.!%cnfPref%.OutExt!
    set MSKFILE=%InMskDir%%%~nF.%MaskExt%
  )

  echo Writing !OUTFILE!

  %IMG7%magick ^
    !%cnfPref%.InFrames!!InImgs[%%I]!.!%cnfPref%.InExt! ^
    !%cnfPref%.FramePreProc! ^
    ^( +clone ^
       %EFFECT% ^
    ^) ^
    ^( !MSKFILE! -alpha off ^) ^
    -compose Over -composite ^
    !%cnfPref%.FramePostProc! ^
    !OUTFILE!
)

exit /B 0
