rem %1 input image, assumed to be solid colours with anti-aliasing between them.
rem %2 output image, remapped to the solid colours.
rem %3 optional "-level" operation, eg "-level 0,95%", useful to simplify lossy JPEG compression.
rem %4 template for debugging files. Must contain "XX".

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

rem @call echoOffSave

call %PICTBAT%setInOut %1 daa2

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set LEV=%3
if "%LEV%"=="." set LEV=

set DEBUGTMPLT=%4
if "%DEBUGTMPLT%"=="." set DEBUGTMPLT=

if "%DEBUGTMPLT%"=="" (
  set WRDBG1=
  set WRDBG2=
  set WRDBG3=
  set WRDBG4=
) else (
  set TSTDBG=%DEBUGTMPLT:XX=YY%
  if "!TSTDBG!"=="%DEBUGTMPLT%" (
    echo DEBUGTMPLT [%DEBUGTMPLT%] needs XX
    exit /B 1
  )

  set WRDBG1=+write %DEBUGTMPLT:XX=_1%
  set WRDBG2=+write %DEBUGTMPLT:XX=_2%
  set WRDBG3=+write %DEBUGTMPLT:XX=_3%
  set WRDBG4=+write %DEBUGTMPLT:XX=_4%
)

%IMG7%magick ^
  %INFILE% ^
  -alpha off ^
  +write mpr:INP ^
  -define convolve:scale="50%%^!" -bias 50%% ^
  -define morphology:compose=Lighten ^
  -channel RGB ^
  -morphology Convolve "Sobel:>"  ^
  -solarize 50%% -level 50,0%% ^
  -negate ^
  %LEV% ^
  +channel ^
  -fill Black +opaque White ^
  %WRDBG1% ^
  mpr:INP ^
  +swap ^
  -alpha off ^
  -compose CopyAlpha -composite ^
  %WRDBG2%  ^
  -background White ^
  -compose Over -layers Flatten ^
  %WRDBG3%  ^
  -unique-colors +write mpr:UNIQ ^
  %WRDBG4%  ^
  -format "Unique: %%w\n" +write info: ^
  +delete ^
  mpr:INP ^
  +dither -remap mpr:UNIQ ^
  %OUTFILE%

call echoRestore

endlocal & set daa2OUTFILE=%OUTFILE%&
