rem Given %1 is FFT magnitude or spectrum,
rem remove edge effects.
rem %2 output file.

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

rem @call echoOffSave

call %PICTBAT%setInOut %1 def

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

for /F "usebackq" %%L in (`%IM%convert ^
  %INFILE% ^
  -format "WW=%%w\nHH=%%h\n\n" ^
  +write info: ^
  -crop 2x2@ -delete 0-2 +repage ^
  -crop 2x2@ -delete 1-3 +repage ^
  -colorspace Gray ^
  -blur 0x3 ^
  -unsharp 0x3+100+0 ^
  -threshold 40%% ^
  ^( -clone 0 ^
     -scale "x1^!" ^
     -threshold 50%% ^
     -bordercolor White -border 1 ^
     -format "trimh=%%@\n" ^
     +write info: ^
     +delete ^
  ^) ^
  ^( -clone 0 ^
     -scale "1x^!" ^
     -threshold 50%% ^
     -bordercolor White -border 1 ^
     -format "trimv=%%@\n" ^
     +write info: ^
  ^) ^
  NULL:`) do set %%L

for /F "usebackq tokens=3 delims=x+" %%A in ('%trimh%') do (
  set /A bx=%WW%/2-%%A*2
  set /A dh=%%A*4+1
)
for /F "usebackq tokens=4 delims=x+" %%A in ('%trimv%') do (
  set /A by=%HH%/2-%%A*2
  set /A dv=%%A*4+1
)



%IM%convert ^
  %INFILE% ^
  ( +clone ^
  -colorspace Gray ^
  ( +clone -scale "1x1^!" -scale "%WW%x%HH%^!" ) ^
  -compose MinusSrc -composite -fill White +opaque Black ^
  ( -size %bx%x%by% xc:Black +write mpr:BOX ) ^
  -gravity NorthWest ^
  -compose Over -composite ^
  mpr:BOX ^
  -gravity NorthEast ^
  -composite ^
  mpr:BOX ^
  -gravity SouthWest ^
  -composite ^
  mpr:BOX ^
  -gravity SouthEast ^
  -composite ^
  -negate ^
  ) ^
  -alpha off -compose CopyOpacity -composite ^
  u5.png

echo dh=%dh% dv=%dv%


goto skip2

rem Next is very slow.
%IM%convert ^
  %INFILE% ^
  ( +clone ^
    -colorspace Gray ^
    -blur 0x3 ^
    -unsharp 0x3+100+0 ^
    -threshold 50%% ^
    ( +clone ^
      -fill Black -colorize 100 ^
      -gravity Center ^
      ( +clone ^
        -crop x%dv%+0+0 +repage ^
        -fill White -colorize 100 ) ^
      -compose Over -composite ^
      ( +clone ^
        -crop %dh%x+0+0 +repage ^
        -fill White -colorize 100 ) ^
      -compose Over -composite ^
+write u3a.png ^
    ) ^
    -compose Darken -composite ^
    -negate ^
  ) ^
  +write u4.png ^
  -alpha off ^
  -compose CopyOpacity -composite ^
  u5.png

:skip2


set LSR=%dh%
if %LSR% LSS %dv% set LSR=%dv%
if %LSR% LSS 4 set LSR=4

%IMDEV%convert ^
  u5.png ^
  -process 'fillholespri wr 3 lsr %LSR% st 0.1 copy window als off v' ^
  %OUTFILE%

call echoRestore

endlocal
