rem %1 is an image
rem %2 is prefix for output and working files.
rem %3 is string of up to four numbers, parameters to mkLapPyr.
@rem
@rem Updated:
@rem   5-September-2022 for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 dtpy


set PREF=%2
if "%PREF%"=="." set PREF=
if "%PREF%"=="" set PREF=dtpy_%INNAME%_

set MK_PARM=%~3
if "%MK_PARM%"=="." set MK_PARM=
if "%MK_PARM%"=="" set MK_PARM=. . . .

set pyPREFIX=%PREF%

set PYR_FILE=%PREF%pyr.tiff

echo %~n0: Create pyramid...
call %PICTBAT%mkLapPyr %INFILE% %PYR_FILE% %MK_PARM%
if ERRORLEVEL 1 exit /B 1

rem echo %~n0: mklpWW=%mklpWW% mklpHH=%mklpHH%

echo %~n0: Resize pyramid...
%IMG7%magick %PYR_FILE% -resize "%mklpWW%x%mklpHH%^!" %PYR_FILE%
if ERRORLEVEL 1 exit /B 1

rem %IMG7%magick identify %PYR_FILE%

rem Following destroys the pyramid. Better to create stage versions?

echo %~n0: slopeMags...
set smAUTO=0
call %PICTBAT%slopeMags %PYR_FILE% %PYR_FILE%
if ERRORLEVEL 1 exit /B 1
set smAUTO=

echo %~n0: imgsMax...
call %PICTBAT%imgsMax %PYR_FILE% %PYR_FILE% NULL:
if ERRORLEVEL 1 exit /B 1

echo %~n0: imgsStats...
call %PICTBAT%imgsStats %PYR_FILE% %PREF%max_st.htm
if ERRORLEVEL 1 exit /B 1

rem echo %~n0: imMinOfMean=%imMinOfMean% imMeanOfMean=%imMeanOfMean% imMaxOfMean=%imMaxOfMean%

echo %~n0: imgsWhich...
call %PICTBAT%imgsWhich %PYR_FILE% %PREF%.png
if ERRORLEVEL 1 exit /B 1

call echoRestore

@endlocal & set dtpyOUTFILE=%PYR_FILE%& set dtpyNUM_OCTAVES=%NUM_OCTAVES%

