rem Denoise by dividing towards local mean.

rem %1 input image
rem %2 output
rem %3 local mean eg "-blur 0x1" [default]
rem %4 percentage effect of each pass [100]
rem %5 number of passes [1]

@rem Also uses:
@rem   QUANT_FP

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

rem @call echoOffSave

call %PICTBAT%setInOut %1 dnd2m

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set LOCMN=%~3
if "%LOCMN%"=="." set LOCMN=
if "%LOCMN%"=="" set LOCMN=-blur 0x1

set PC_EFFECT=%4
if "%PC_EFFECT%"=="." set PC_EFFECT=
if "%PC_EFFECT%"=="" set PC_EFFECT=100

set NUMPASS=%5
if "%NUMPASS%"=="." set NUMPASS=
if "%NUMPASS%"=="" set NUMPASS=1

if %PC_EFFECT%==100 (
  set BLND=-delete 0
) else (
  set BLND=-compose Blend -define compose:args=%PC_EFFECT% -composite
)

set TMPIMG=\temp\dnd2m_tmp.miff
set TMPBLR=\temp\dnd2m_tmp_blr.miff

%IMG7%magick ^
  %INFILE% ^
  %TMPIMG%

for /L %%I in (1,1,%NUMPASS%) do (
  echo %0: %%I

  %IMG7%magick ^
    %TMPIMG% ^
    ^( +clone -blur 0x1 -write mpr:BLR ^) ^
    -define compose:clamp=off ^
    -compose MinusSrc -composite ^
    -evaluate Multiply %%[fx:1-%PC_EFFECT%/100] ^
    mpr:BLR ^
    -compose Plus -composite ^
    %TMPIMG%
)

if ERRORLEVEL 1 exit /B 1

%IMG7%magick ^
  %TMPIMG% ^
  %OUTFILE%

if ERRORLEVEL 1 exit /B 1

call echoRestore

endlocal & set dnd2mOUTFILE=%OUTFILE%&
