rem Denoise by wavelet, optionally repeated.

rem %1 input image
rem %2 output
rem %3 wavelet parameter [5%]
rem %4 percentage effect of each pass [100]
rem %5 number of passes [1]

@rem Also uses:
@rem   QUANT_FP

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

rem @call echoOffSave

call %PICTBAT%setInOut %1 dnwvlt

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set WVLT=%3
if "%WVLT%"=="." set WVLT=
if "%WVLT%"=="" set WVLT=5%%

set PC_EFFECT=%4
if "%PC_EFFECT%"=="." set PC_EFFECT=
if "%PC_EFFECT%"=="" set PC_EFFECT=100

set NUMPASS=%5
if "%NUMPASS%"=="." set NUMPASS=
if "%NUMPASS%"=="" set NUMPASS=1

if %PC_EFFECT%==100 (
  set BLND=-delete 0
) else (
  set BLND=-compose Blend -define compose:args=%PC_EFFECT% -composite
)

set TMPIMG=\temp\dwvlt_tmp.miff

%IMG7%magick ^
  %INFILE% ^
  %TMPIMG%

for /L %%I in (1,1,%NUMPASS%) do (
  echo %0: %%I

  %IMG7%magick ^
    %TMPIMG% ^
    ^( +clone ^
       -wavelet-denoise %WVLT% ^
    ^) ^
    %BLND% ^
    %QUANT_FP% ^
    %TMPIMG%
)

if ERRORLEVEL 1 exit /B 1

%IMG7%magick ^
  %TMPIMG% ^
  %OUTFILE%

if ERRORLEVEL 1 exit /B 1

call echoRestore

endlocal & set dnwvltOUTFILE=%OUTFILE%&
