rem Given %1 is text file with lines of x,y coordinates
rem (and other lines),
rem creates output image %2.
@rem
@rem Updated:
@rem   25-September-2022 for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 dp

set OUTFILE=%2


set DP_SCR=\temp\dp.scr

set MX=0
set MH=0
for /F "tokens=1,2 delims=, " %%X in (%1) do (
  set VX=%%X
  if not "!VX:~0,1!"=="#" if not "%%Y"=="" (
    if /I !MX! LSS %%X set MX=%%X
    if /I !MY! LSS %%Y set MY=%%Y
  )
)

echo MX=%MX% MY=%MY%

set /A MX+=2
set /A MY+=2

(
  for /F "tokens=1,2 delims=, " %%X in (%1) do (
    set VX=%%X
    if not "!VX:~0,1!"=="#" if not "%%Y"=="" echo point %%X,%%Y
  )
)>%DP_SCR%

rem type %DP_SCR%

%IMG7%magick ^
  -size %MX%x%MY% xc:Black ^
  -fill White -draw @%DP_SCR% ^
  %OUTFILE%


call echoRestore

@endlocal & set dpOUTFILE=%OUTFILE%
