rem From image %1,
rem make output of the unique colours from the edges.
@rem %2 is output file.
@rem %3 is any of LTRB, any case. Default LTRB.
@rem
@rem Updated:
@rem   11-August-2022 for IM v7
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 ec

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set EDGES=%3
if "%EDGES%"=="." set EDGES=
if "%EDGES%"=="" set EDGES=LTRB

call %PICTBAT%getLtrb %EDGES%
if not "%ltrbERR%"=="0" exit /B 1

set /A nEdges=%ltrbL%+%ltrbT%+%ltrbR%+%ltrbB%

set sL=
set sT=
set sR=
set sB=

if %ltrbL%==1 set sL=^
  ( -clone 0 ^
    -gravity West ^
    -crop 1x+0+0 ^
    +repage ^
    -rotate 90 ^
  )

if %ltrbT%==1 set sT=^
  ( -clone 0 ^
    -gravity North ^
    -crop x1+0+0 ^
    +repage ^
  )

if %ltrbR%==1 set sR=^
  ( -clone 0 ^
    -gravity East ^
    -crop 1x+0+0 ^
    +repage ^
    -rotate 90 ^
  )

if %ltrbB%==1 set sB=^
  ( -clone 0 ^
    -gravity South ^
    -crop x1+0+0 ^
    +repage ^
  )

%IMG7%magick ^
  %INFILE% ^
  %sL% %sT% %sR% %sB% ^
  -delete 0 ^
  +append ^
  -unique-colors ^
  %OUTFILE%

call echoRestore

@endlocal & set ecOUTFILE=%OUTFILE%
