rem %1 input with back, white and other.
rem %2 output, replacing "other" with graduated gray.
rem Method: morphology distance, then fan composition.
@rem
@rem Updated:
@rem   4-March-2023 changed Euclidean:4 to Euclidean:7

set INFILE=%1
set OUTFILE=%2

%IMG7%magick ^
  %INFILE% ^
  -alpha off ^
  ( -clone 0 ^
    -channel RGB -negate +channel ^
    -fill White +opaque Black ^
    -morphology Distance Euclidean:7 ^
    -channel RGB -negate +channel ^
    -auto-level ^
  ) ^
  ( -clone 0 ^
    -fill White +opaque Black ^
    -morphology Distance Euclidean:7 ^
    -auto-level ^
    -evaluate Divide 2 ^
  ) ^
  -delete 0 ^
  ( -clone 0-1 ^
    -compose Mathematics ^
      -define compose:args=0,1,-0.5,0.5 ^
      -composite ^
  ) ^
  -delete 0 ^
  -compose DivideSrc -composite ^
  %OUTFILE%

