rem Given an opaque input image %1,
rem and same-sized image %2 which is %1 composited with a watermark,
rem where watermark pixels are either fully transparent or opacity %3 (0.0 to 1.0),
rem finds opacity for the watermark image, and writes it to %4.
rem %5 is optional processing, eg "-blur 0x1 -level 50,100%"

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

rem @call echoOffSave

call %PICTBAT%setInOut %1 fwo

set RES=%2

set ALPHA=%3
if "%ALPHA%"=="." set ALPHA=
if "%ALPHA%"=="" set ALPHA=0.5

if not "%4"=="" if not "%4"=="." set OUTFILE=%4

set PROC=%~5
if "%PROC%"=="." set PROC=

echo %0: PROC is [%PROC%]


%IMG7%magick ^
  %RES% %INFILE% ^
  -compose ChangeMask -composite ^
  -alpha extract ^
  %PROC% ^
  -channel RGB -evaluate Multiply %ALPHA% +channel ^
  %OUTFILE%


call echoRestore

@endlocal & set fwoOUTFILE=%OUTFILE%
