set IMGS=xc:#abd xc:#654

set PREC=-precision 6

%FXNEW%magick %IMGS% -define fx:debug=true -format "%%[fx:%~1]\n" info:

%FXOLD%magick %IMGS% -format "%%[fx:%~1]\n" info:


for %%A in (fx) do (

  echo %%A

  echo off
  (
    for /F "tokens=*" %%L in (%~dp0fmtTstDiff.txt) do (
      for /F "usebackq tokens=*" %%B in (`%FXOLD%magick %PREC% %IMGS% -format "<td>%%[%%A:%%L]</td>" info:`) do set SOLD=%%B

      for /F "usebackq tokens=*" %%B in (`%FXNEW%magick %PREC% %IMGS% -format "<td>%%[%%A:%%L]</td>" info:`) do set SNEW=%%B

      set goodBad=same

      if !SOLD! NEQ !SNEW! set goodBad=DIFFERENT

      echo =start= "%%A:%%L" =mid= !SOLD! !SNEW! =mid2= !goodBad! =end=
    )
  ) >fxn_ft.lis
  echo on

  chStrs /ifxn_ft.lis /ofxn_ftb.lis /f"=start=" /t"\(tr\)\(td\)"
  chStrs /ifxn_ftb.lis /ofxn_ftb.lis /f"=mid=" /t"\(/td\)"
  chStrs /ifxn_ftb.lis /ofxn_ftb.lis /f"=mid2=" /t"\(td\)"
  chStrs /ifxn_ftb.lis /ofxn_ftb.lis /f"=end=" /t"\(/td\)\(/tr\)"

  cPrefix /ifxn_ftb.lis /X /t"\(tr\)\(th\)format string\(/th\)\(th cspan\)old result\(/th\)\(th cspan\)new result\(/th\)\(th\)same/different\(/th\)\(/tr\)"
  cPrefix /ifxn_ftb.lis /X /t"\(table\)" /b"\(/table\)"

  chStrs /ifxn_ftb.lis /ofxn_ft_diff_%%A.lis /fcspan /tcolspan=\q2\q
)

for %%A in (fx pixel hex) do (

  echo %%A

  echo off
  (
    for /F "tokens=*" %%L in (%~dp0fmtTst.txt) do (
      for /F "usebackq tokens=*" %%B in (`%FXOLD%magick %PREC% %IMGS% -format "<td>%%[%%A:%%L]</td>" info:`) do set SOLD=%%B

      for /F "usebackq tokens=*" %%B in (`%FXNEW%magick %PREC% %IMGS% -format "<td>%%[%%A:%%L]</td>" info:`) do set SNEW=%%B

      set goodBad=same

      if !SOLD! NEQ !SNEW! set goodBad=DIFFERENT

      echo =start= "%%A:%%L" =mid= !SOLD! !SNEW! =mid2= !goodBad! =end=
    )
  ) >fxn_ft.lis
  echo on

  chStrs /ifxn_ft.lis /ofxn_ftb.lis /f"=start=" /t"\(tr\)\(td\)"
  chStrs /ifxn_ftb.lis /ofxn_ftb.lis /f"=mid=" /t"\(/td\)"
  chStrs /ifxn_ftb.lis /ofxn_ftb.lis /f"=mid2=" /t"\(td\)"
  chStrs /ifxn_ftb.lis /ofxn_ftb.lis /f"=end=" /t"\(/td\)\(/tr\)"

  cPrefix /ifxn_ftb.lis /X /t"\(tr\)\(th\)format string\(/th\)\(th cspan\)old result\(/th\)\(th cspan\)new result\(/th\)\(th\)same/different\(/th\)\(/tr\)"
  cPrefix /ifxn_ftb.lis /X /t"\(table\)" /b"\(/table\)"

  chStrs /ifxn_ftb.lis /ofxn_ft_%%A.lis /fcspan /tcolspan=\q2\q
)
