rem Converts from gain and bias (nominal 0 to 1) to "-level L1,L2%" (nominal 0 to 100)
rem %1 is prefix for environment variable.

rem gain = -bias/(L1/100)
rem L2-L1 = 100/gain
rem L2 = L1 + 100/gain

set FMT=^
%1_L1_R=%%[fx:-(!%1_bias_R!/!%1_gain_R!*100)]\n^
%1_L2_R=%%[fx:-(!%1_bias_R!/!%1_gain_R!*100)+100/!%1_gain_R%!]\n^
%1_L1_G=%%[fx:-(!%1_bias_G!/!%1_gain_G!*100)]\n^
%1_L2_G=%%[fx:-(!%1_bias_G!/!%1_gain_G!*100)+100/!%1_gain_G%!]\n^
%1_L1_B=%%[fx:-(!%1_bias_B!/!%1_gain_B!*100)]\n^
%1_L2_B=%%[fx:-(!%1_bias_B!/!%1_gain_B!*100)+100/!%1_gain_B%!]\n

for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -precision 15 ^
  -format "%FMT%" ^
  xc:`) do set %%L
