rem Generates a mask width %1 height %2, corners coloured with percentages of grey:
rem   %3 top-left
rem   %4 top-right
rem   %5 bottom-left
rem   %6 bottom-right
rem Width and height must be at least 2.
rem Useful percentages: 0=black, 100=white
@rem
@rem Updated:
@rem   5-August-2022 for IM v7.
@rem

"%IMG7%magick" -size %1x%2 xc: ^
  -sparse-color Bilinear "0,0 rgb(%3%%,%3%%,%3%%) %%[fx:w-1],0 rgb(%4%%,%4%%,%4%%) 0,%%[fx:h-1] rgb(%5%%,%5%%,%5%%) %%[fx:w-1],%%[fx:h-1] rgb(%6%%,%6%%,%6%%)" ^
  greyRectMask.png
