rem Given %1 _a, _h, _v and _d images, reconstruct image %2.
@rem
@rem Updated:
@rem   12-August-2022 for IM v7.
@rem

setlocal enabledelayedexpansion

set BASE=%~n1
set EXT=%~x1
set OUTFILE=%2

set PREF=h4bbi_

%IMG7%magick %BASE%_a%EXT% -rotate -90 %PREF%%BASE%_a%EXT%
%IMG7%magick %BASE%_h%EXT% -rotate -90 %PREF%%BASE%_h%EXT%
%IMG7%magick %BASE%_v%EXT% -rotate -90 %PREF%%BASE%_v%EXT%
%IMG7%magick %BASE%_d%EXT% -rotate -90 %PREF%%BASE%_d%EXT%

call %PICTBAT%haarbbi %PREF%%BASE%_a%EXT% %PREF%%BASE%_h%EXT% %PREF%%BASE%_iah%EXT%
call %PICTBAT%haarbbi %PREF%%BASE%_v%EXT% %PREF%%BASE%_d%EXT% %PREF%%BASE%_ivd%EXT%

%IMG7%magick %PREF%%BASE%_iah%EXT% -rotate 90 %PREF%%BASE%_iah%EXT%
%IMG7%magick %PREF%%BASE%_ivd%EXT% -rotate 90 %PREF%%BASE%_ivd%EXT%

call %PICTBAT%haarbbi %PREF%%BASE%_iah%EXT% %PREF%%BASE%_ivd%EXT% %OUTFILE%

endlocal
