rem From %1, a single-channel Bayer file,
rem makes text file %2, x and y coords of hot pixels.
rem %3 window size [5x5]
rem %4 factor J [5]
rem %5 factor K [10]
rem %6 offset L [0.01]

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 hpx

if not "%2"=="" if not "%2"=="." set OUTTEXT=%2

set WINDIMS=%3
if "%WINDIMS%"=="." set WINDIMS=
if "%WINDIMS%"=="" set WINDIMS=5x5

set FACTJ=%4
if "%FACTJ%"=="." set FACTJ=
if "%FACTJ%"=="" set FACTJ=5

set FACTK=%5
if "%FACTK%"=="." set FACTK=
if "%FACTK%"=="" set FACTK=10

set OFFSL=%6
if "%OFFSL%"=="." set OFFSL=
if "%OFFSL%"=="" set OFFSL=0.01

set TMPFILE=\temp\hp.miff
set TMPTEXT=\temp\hpt.lis

call %PICTBAT%srndMinMnkSd.bat %INFILE% %TMPFILE% %WINDIMS% %FACTJ% %FACTK% %OFFSL%

%IMG7%magick %TMPFILE% -transparent Black sparse-color: | sed -e 's/ /\n/g' | cut -d, -f1,2 --output-delimiter=" " >%TMPTEXT%
if ERRORLEVEL 1 exit /B 1

del %OUTTEXT% 2>nul
set NUM_HOT_PIX=0
(
  for /F "tokens=1,2" %%X in (%TMPTEXT%) do (
    set /A R="%%X %% 2 + %%Y %% 2 * 2"
    echo %%X %%Y 0 !R!
  )
) >%OUTTEXT%

if exist %OUTTEXT% for /F "usebackq tokens=1" %%L in (`wc -l %OUTTEXT%`) do set NUM_HOT_PIX=%%L

call echoRestore

@endlocal & set hpxOUTTEXT=%OUTTEXT%& set hpxMASK=%TMPFILE%& set hpxNUM_HOT_PIX=%NUM_HOT_PIX%
