rem %1 Name of environment variable
rem %2 method: one of blur, morph, single2d, single1d, repeatedii, SIImid
rem %3 sigma
rem %4 K (number of slices)

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

rem @call echoOffSave

call %PICTBAT%setInOut %1 iigo

set ENVVAR=%1
if "%ENVVAR%"=="." set ENVVAR=
if "%ENVVAR%"=="" set ENVVAR=iigo_

set METH=%2
if "%METH%"=="." set METH=
if "%METH%"=="" set METH=blur

set SIGMA=%3
if "%SIGMA%"=="." set SIGMA=
if "%SIGMA%"=="" set SIGMA=10

set K=%4
if "%K%"=="." set K=
if "%K%"=="" set K=3

set sOPN=

if /I "%METH%"=="blur" (
  set sOPN=-blur 0x%SIGMA%

) else if /I "%METH%"=="morph" (
  set sOPN=-morphology Convolve "Blur:0x%SIGMA%;Blur:0x%SIGMA%,90"

) else if /I "%METH%"=="single2d" (
  for /F "usebackq" %%L in (`%IMG7%magick ^
    xc: ^
    -format "calcW=%%[fx:calcR=max(1,floor(%SIGMA%*1.63)); calcR-=(%SIGMA%>100)?floor(0.5+575*pow((%SIGMA%-100)/1900,1.409)):0; 2*calcR+1]" ^
    info:`) do set %%L
  set sOPN=-process integim -process 'deintegim window !calcW!x!calcW!'

) else if /I "%METH%"=="single1d" (
  for /F "usebackq" %%L in (`%IMG7%magick ^
    xc: ^
    -format "bestW=%%[fx:2 * floor (1.53 * %SIGMA%) + 1]" ^
    info:`) do set %%L
  set sOPN=-process integim -process 'deintegim window !calcW!x!calcW!'

) else if /I "%METH%"=="repeatedii" (
  for /F "usebackq" %%L in (`%IMG7%magick ^
    xc: ^
    -format "bestW=%%[fx:2 * floor (0.95 * %SIGMA%) + 1]" ^
    info:`) do set %%L
  set sOPN1=-process integim -process 'deintegim window !bestW!x1'
  set sOPN2=-process integim -process 'deintegim window 1x!bestW!'
  set sOPN=!sOPN1! !sOPN1! !sOPN1! !sOPN2! !sOPN2! !sOPN2! 

) else if /I "%METH%"=="SIImid" (
  call %PICTBAT%iiGaussKcalc %SIGMA% 3 iigk_

  set sOPN=-blur 0x%SIGMA%
)

echo %0: %sOPN%

call echoRestore

endlocal & set iigoOUTFILE=%OUTFILE%
