@rem See also diffGrad.bat.
@rem
@rem Updated:
@rem   6-August-2022 for IM v7
@rem


@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 idg

set TOP_LEFT=%2
if "%TOP_LEFT%"=="." set TOP_LEFT=
if "%TOP_LEFT%"=="" set TOP_LEFT=50

if not "%3"=="" set OUTFILE=%3

if "%idgROT%"=="" set idgROT=0

set TMPFILE=%~n1_idg_tmp.miff

rem The rotation is wrong.
rem The red channel has zero in the first column,
rem so can't be cumulated for vertical.

if %idgROT% EQU 0 (
  set CLONE_H=0
  set CLONE_V=1
  set NEG_H=
  set NEG_V=
) else if %idgROT% EQU -1 (
  set CLONE_H=1
  set CLONE_V=0
  set NEG_H=
  set NEG_V=-negate
) else if %idgROT% EQU 1 (
  set CLONE_H=1
  set CLONE_V=0
  set NEG_H=-negate
  set NEG_V=
)

for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "WW=%%w\nHH=%%h" %INFILE%`) do set %%L

rem in -crop, +1 is a kludge.

%IM7DEV%magick ^
  "%INFILE%" ^
  -channel RGB -separate +channel ^
  ( -clone %CLONE_H% ^
    %NEG_H% ^
    -evaluate Subtract 50%% ^
    -process cumulhisto ^
  ) ^
  ( -clone %CLONE_V% -crop 1x%HH%+1+0 +repage ^
    %NEG_V% ^
    -rotate -90 ^
    -evaluate Subtract 50%% ^
    -process cumulhisto ^
    -evaluate Add %TOP_LEFT%%% ^
    -rotate 90 ^
    -scale "%WW%x%HH%^!" ^
  ) ^
  -delete 0-2 ^
  -evaluate-sequence Add ^
-format "%%[fx:minima] %%[fx:maxima]" +write info: ^
  -define quantum:format=floating-point -depth 32 ^
  "%TMPFILE%"

call %PICTBAT%shiftNoNeg %TMPFILE% %OUTFILE%


call echoRestore

endlocal & set idgOUTFILE=%OUTFILE%&
