rem From %1,
rem where each row is a horizontal relative displacement map,
rem inverts it.
rem
rem Optional %2 is output filename.
@rem
@rem Updated:
@rem   21-August-2022 Upgraded for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 ih

if not "%2"=="" set OUTFILE=%2

%IM7DEV%magick ^
  %INFILE% ^
  ( +clone ^
    -sparse-color Bilinear 0,0,#000,%%[fx:w-1],0,#fff ^
    -write mpr:GRAD ^
  ) ^
  -compose Mathematics -define compose:args=0,1,1,-0.5 -composite ^
  -process invclut ^
  mpr:GRAD ^
  -compose Mathematics -define compose:args=0,-1,1,0.5 -composite ^
  %OUTFILE%

call echoRestore
