rem %1 input image
rem %2 text file of coordinates
rem %3 output image

set INFILE=%1
set INTEXT=%2
set OUTFILE=%3

set W_2=5
set H_2=5

set /A W=W_2*2+1
set /A H=H_2*2+1

set TMPDIR=\temp
set TMPIN=%TMPDIR%\lp.miff

%IMG7%magick %INFILE% %TMPIN%

set cnt=0
set FILELIST=
for /F "tokens=1,2 delims=, " %%A in (%INTEXT%) do (
  echo %%A %%B
  set /A L=%%A-%W_2%
  set /A T=%%B-%H_2%
  echo %W%x%H%+!L!+!T!

  set FILENAME=%TMPDIR%\lp_!cnt!.miff
  %IMG7%magick %TMPIN% -crop %W%x%H%+!L!+!T! +repage !FILENAME!

  set FILELIST=!FILELIST! !FILENAME!

  set /A cnt+=1
)

echo %FILELIST%

if not "%FILELIST%"=="" %IMG7%magick ^
  %FILELIST% ^
  +append ^
  -scale 400%% ^
  %OUTFILE%
