rem From CMYK image %1
rem and lith screen %2,
rem make CMYK halftone output %3.
rem %4 is optional quoted list of four numbers for the angles.
@rem
@rem To do: implement wave, resampling and lsRESTRICT.
@rem
@rem Updated:
@rem   6-August-2022 for IM v7
@rem

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 lsrgb

set LITH_SCRN=%2

if not "%3"=="" if not "%3"=="." set OUTFILE=%3

set ANGLES=%~4
if "%ANGLES%"=="." set ANGLES=
if "%ANGLES%"=="" set ANGLES=45,90,-45,0

call parseCommaList "%ANGLES%" numAng Angs

%IMG7%magick ^
  %INFILE% ^
  -channel CMYK ^
  -separate ^
  +adjoin ^
  lsrgb-%%d.miff

call %PICTBAT%lithScreen lsrgb-0.miff %LITH_SCRN% lsrgb_c.miff %Angs[0]%
if ERRORLEVEL 1 exit /B 1

call %PICTBAT%lithScreen lsrgb-1.miff %LITH_SCRN% lsrgb_m.miff %Angs[1]%
if ERRORLEVEL 1 exit /B 1

call %PICTBAT%lithScreen lsrgb-2.miff %LITH_SCRN% lsrgb_y.miff %Angs[2]%
if ERRORLEVEL 1 exit /B 1

call %PICTBAT%lithScreen lsrgb-3.miff %LITH_SCRN% lsrgb_k.miff %Angs[3]%
if ERRORLEVEL 1 exit /B 1

%IMG7%magick ^
  lsrgb_c.miff lsrgb_m.miff lsrgb_y.miff lsrgb_k.miff ^
  -set colorspace CMYK ^
  -combine ^
  %OUTFILE%

call echoRestore

@endlocal & set lsrgbOUTFILE=%OUTFILE%
