rem Make frame links.
@rem %1 is source prefix
@rem %2 is destination prefix
@rem %3 is extension eg .png
@rem %4 is first src frame num
@rem %5 is last src frame num (can be <= first)
@rem %6 is first dest frame num
@rem %7 is optional repetitions of action (default 1)

@if "%5"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

set EXT=%3

set STEP=1
if %5 LSS %4 set STEP=-1

set OUT_NUM=%6

set N_REPS=%7
if "%N_REPS%"=="" set N_REPS=1

for /L %%r in (1,1,%N_REPS%) do (

  for /L %%i in (%4,%STEP%,%5) do (

    set LZIN=00000%%i
    set LZIN=!LZIN:~-6!

    set LZOUT=00000!OUT_NUM!
    set LZOUT=!LZOUT:~-6!

    mklink /H %2_!LZOUT!%EXT% %1_!LZIN!%EXT% >nul
    if ERRORLEVEL 1 exit /B 1

    set /A OUT_NUM+=1
  )
)

call echoRestore

@endlocal
