rem Make Random Points, for exercising tritst.exe.
rem
rem   %1 output filename
rem   %2 width
rem   %3 height
rem   %4 number of points
rem   %5 number of extra values per point (>= 0)
@rem
@rem Updated:
@rem   2-October-2022 for IM v7.
@rem

set OUTFILE=%1
if "%OUTFILE%"=="" set OUTFILE=rand_pts.txt

set TMPFILE=%TEMP%\mrp.lis

set WW=%2
if "%WW%"=="" set WW=600

set HH=%3
if "%HH%"=="" set HH=400

set NumPts=%4
if "%NumPts%"=="" set NumPts=1000

set ValsPp=%5
if "%ValsPp%"=="" set ValsPp=3

set /A VPP2=%ValsPp%+2

(for /L %%i in (1,1,%NumPts%) do @(
  @%IMG7%magick identify -format "%%[fx:int(rand()*%WW%)] %%[fx:int(rand()*%HH%)]" xc:

  @for /L %%j in (1,1,%ValsPp%) do @%IMG7%magick identify -format " %%[fx:rand()]" xc:

  @%IMG7%magick identify -format "\n" xc:

)) >%TMPFILE%

rem Sort to remove duplicates, count them, ...
cSort  /i%TMPFILE% /o%TMPFILE% /f" " /k0-1 /u
cCount /i%TMPFILE% /o%OUTFILE%
echo %VPP2% >>%OUTFILE%
rem ...then re-randomize the order.
cSort  /i%TMPFILE% /o- /f" " /k0-1 /Z >>%OUTFILE%

type %OUTFILE%
