rem Given image %1, creates marked-up version %2 with a rectangle.
rem %3 Crop parameter, in format WxH+X+Y

@if "%3"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 mc


if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set CROP=%3

set Y=
for /F "tokens=1-4 delims=x+" %%A in ("%CROP%") do (
  echo %%A %%B %%C %%D
  set W=%%A
  set H=%%B
  set X=%%C
  set Y=%%D
)
if "%Y%"=="" (
  echo %0: Can't parse crop parameter [%CROP%]
  exit /B 1
)

call %PICTBAT%mark1rect %INFILE% %OUTFILE% %X% %Y% . . %W% %H%


@call echoRestore

@endlocal & set mcOUTFILE=%OUTFILE%
