rem From image %1 with transparency,
rem flattens with colour that is weighted-mean of image pixels.
@rem
@rem Updated:
@rem   12-July-2022 Upgraded to IM v7.

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 mf

if not "%2"=="" set OUTFILE=%2

for /F "usebackq" %%L in (`%IMG7%magick ^
  -precision 15 ^
  %INFILE% ^
  -scale "1x1^!" ^
  -format "R_PC=%%[fx:100*u.r]\nG_PC=%%[fx:100*u.g]\nB_PC=%%[fx:100*u.b]" ^
  info:`) do set %%L

%IMG7%magick ^
  %INFILE% ^
  -background rgb(%R_PC%%%,%G_PC%%%,%B_PC%%%) ^
  -layers flatten ^
  -alpha off ^
  +depth ^
  %OUTFILE%

call echoRestore

endlocal & set mfOUTFILE=%OUTFILE%
