rem From image %1 with transparency,
rem calculates mean and standard deviation.
rem Prefixes output variable names with %2.
@rem
@rem Updated:
@rem   4-August-2022 for IM v7.
@rem

@for /F "usebackq" %%L in (`%IMG7%magick ^
  %1 ^
  -precision 19 ^
  ^( -clone 0 ^
    -evaluate Pow 2 ^
    -scale "1x1^!" ^
  ^) ^
  ^( -clone 0 ^
    -scale "1x1^!" ^
    -format "%2mn_R=%%[fx:mean.r]\n%2mn_G=%%[fx:mean.g]\n%2mn_B=%%[fx:mean.b]\n" ^
    +write info: ^
    -evaluate Pow 2 ^
  ^) ^
  -delete 0 ^
  -alpha off ^
  -compose MinusSrc -composite ^
  -evaluate Pow 0.5 ^
  -format "%2sd_R=%%[fx:mean.r]\n%2sd_G=%%[fx:mean.g]\n%2sd_B=%%[fx:mean.b]\n" ^
  info:`) do set %%L
