setlocal enabledelayedexpansion

set OUTTAB=metapass.htm

set ERR=0

(
  echo ^<table border="1"^>
  echo ^<tr^>^<th^>fx^</th^>^<th^>Expected result^</th^>^<th^>Actual result^</th^>^<th^>good/bad^</th^>^</tr^>
) >%OUTTAB%

for /F "tokens=1-2 delims=;" %%A in (metaPass.dat) do (
  echo [%%A], [%%B]

  set RSLT=
  for /F "usebackq tokens=*" %%T in (`%IM7DEV%magick ^
    fxnt_mch.tiff ^
    -define "fx:debug=true" ^
    -fx %%A ^
    -channel 0 ^
    -precision 5 -define "ftxt:format=\p  " ^
    ftxt:`) do set RSLT=%%T

  if "!RSLT!"=="" set ERR=1

  echo RSLT=[!RSLT!]

  if %%B=="!RSLT!" (
    set PassFail=Good
  ) else (
    set PassFail=Bad
  )

  echo PassFail=%PassFail%

  echo ^<tr^>^<td^>%%A^</td^>^<td^>%%B^</td^>^<td^>!RSLT!^</td^>^<td^>!PassFail!^</td^>^</tr^> >>%OUTTAB%

)

if ERR==1 (
  echo %0: magick failed
  exit /B 1
)

(
  echo ^</table^>
) >>%OUTTAB%

exit /B 0
