@rem From mired shift %1, returns factB and factR.
@rem
@rem Updated:
@rem   21-August-2022 Upgraded for IM v7.
@rem

@for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "ms_factB=%%[fx:pow(10,%1*0.00134)]\nms_factR=%%[fx:1/pow(10,%1*0.00134)]" ^
  xc:`) do set %%L

set ms_shift=%1
set ms_first=%ms_shift:~0,1%

if "%ms_first%"=="-" (
  set ms_chInc=R
  set ms_chDec=B
  set ms_low_fact=%ms_factB%
) else (
  set ms_chInc=B
  set ms_chDec=R
  set ms_low_fact=%ms_factR%
)

