rem Make overlay masks.
@rem %1 is first mask [default 2]
@rem %2 is last mask [eg 5]
@rem Assumes ov_ variables have been set
@rem
@rem Updated:
@rem   22-August-2022 Upgraded for IM v7.
@rem

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

call echoOffSave

call %PICTBAT%setInOut %1 mom


set nFirst=%1
set nLast=%2

if "!OV_W.%nLast%!"=="" (
  echo %0: OV_W.%nLast% not set
  exit /B 1
)

set ov

for /L %%N in (%nFirst%,1,%nLast%) do (

  set /A Nm1=%%N-1

  call %PICTBAT%mkFanComp2A !OV_W.%%N! !OV_H.%%N! ov_mask_!Nm1!-%%N.png

  set /A SIGN_D=!OV_X.%%N!*!OV_Y.%%N!

  if !SIGN_D! LSS 0 %IMG7%magick ov_mask_!Nm1!-%%N.png -flip ov_mask_!Nm1!-%%N.png

  if !OV_X.%%N! LSS 0 %IMG7%magick ov_mask_!Nm1!-%%N.png -negate ov_mask_!Nm1!-%%N.png
)


call echoRestore & set bpOUTFILE=%OUTFILE%
