rem %1 input image to be distorted
rem %2 input grayscale mask, white for full effect
rem %3 output file
rem %4 up to 7 quoted comma-separated numbers:
rem     X,Y centre of effect
rem     ScaleX,ScaleY
rem     Angle
rem     dX,dY

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

rem @call echoOffSave

call %PICTBAT%setInOut %1 ms

set INMSK=%2

if not "%3"=="" if not "%3"=="." set OUTFILE=%3

set CSNUMS=%~4
if "%CSNUMS%"=="." set CSNUMS=
if "%CSNUMS%"=="" set CSNUMS=0.5p,0.5p

set WW=
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -format "WW=%%w\nHH=%%h\nW_2=%%[fx:w/2]\nH_2=%%[fx:h/2]\n" ^
  %INFILE%`) do set %%L

if "%WW%"=="" (
  echo %0: Can't read INFILE [%INFILE%]
  exit /B 1
)

call parseCommaList "%CSNUMS%" ms_argc ms_argv

if "%ms_argv[0]%"=="" set %ms_argv[0]=%W_2%
if "%ms_argv[1]%"=="" set %ms_argv[1]=%H_2%
if "%ms_argv[2]%"=="" set %ms_argv[2]=1
if "%ms_argv[3]%"=="" set %ms_argv[3]=1
if "%ms_argv[4]%"=="" set %ms_argv[4]=0
if "%ms_argv[5]%"=="" set %ms_argv[5]=0
if "%ms_argv[6]%"=="" set %ms_argv[6]=0

if ERRORLEVEL 1 exit /B 1
call propOf %WW% %ms_argv[0]% ms_argv[0]
if ERRORLEVEL 1 exit /B 1
call propOf %HH% %ms_argv[1]% ms_argv[1]
if ERRORLEVEL 1 exit /B 1
call propOf %WW% %ms_argv[5]% ms_argv[5]
if ERRORLEVEL 1 exit /B 1
call propOf %HH% %ms_argv[6]% ms_argv[6]
if ERRORLEVEL 1 exit /B 1

set ms_

set SSFACT=2

set ms_argv[5a]=%%[fx:!ms_argv[0]!*%SSFACT%+!ms_argv[5]!*%SSFACT%]
set ms_argv[6a]=%%[fx:!ms_argv[1]!*%SSFACT%+!ms_argv[6]!*%SSFACT%]

for %%I in (0,1,5,6) do (
  set ms_argv[%%I]=%%[fx:!ms_argv[%%I]!*%SSFACT%]
)


set ms_


%IMG7%magick ^
  %INFILE% ^
  -resize 200%% ^
  -set option:MYSIZE %%[fx:w]x%%[fx:h] ^
  ( +clone ^
    -sparse-color bilinear ^
0,0,#008,^
0,%%[fx:h-1],#0f8,^
%%[fx:w-1],0,#f08,^
%%[fx:w-1],%%[fx:h-1],#ff8 ^
    +write mpr:IDENT ^
    +delete ^
  ) ^
  ( mpr:IDENT ^
    ( +clone ^
      -distort SRT %ms_argv[0]%,%ms_argv[1]%,%ms_argv[2]%,%ms_argv[3]%,%ms_argv[4]%,%ms_argv[5a]%,%ms_argv[6a]% ^
    ) ^
    ( %INMSK% -resize 200%% ) ^
    -compose Over -composite ^
  ) ^
  -compose Distort -composite ^
  -resize 50%% ^
  %OUTFILE%

call echoRestore

@endlocal
