@rem Given:
@rem   %1 image width
@rem   %2 image height
@rem   %3 number of points horizontally >=1
@rem   %4 number of points vertically >=1
@rem   %5 optional deltaX
@rem   %6 optional deltaY
@rem echoes list of coordinates to stdout.
@rem
@rem Updated:
@rem   14-August-2020 for IM v7.
@rem

@if "%4"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave


set deltaX=%5
if "%deltaX%"=="" set deltaX=0

set deltaY=%6
if "%deltaY%"=="" set deltaY=0

for /L %%Y in (1,1,%4) do (
  for /L %%X in (1,1,%3) do (

    for /F "usebackq" %%L in (`%IMG7%magick identify ^
      -format "px=%%[fx:int(%%X*%1/(%3+1)+%deltaX%+0.5)]\npy=%%[fx:int(%%Y*%2/(%4+1)+%deltaY%+0.5)]" ^
      xc:`) do set %%L

    echo !px!,!py!
  )
)

@call echoRestore
