rem Given %1 is image with white lines on black blackground,
rem creates output %2 with just the lines that have no junctions.
@rem
@rem Updated:
@rem   24-August-2022 for IM v7.
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 njl

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set EXT=.miff
set SKEL4=%BASENAME%_skel4_njl%EXT%
set FLOODLIST=%BASENAME%_flood_njl.lis
set FLOODSCR=%BASENAME%_flood_njl.bat

(
  for /F "usebackq tokens=1-2 delims=, " %%X in (`%IMG7%magick ^
    %INFILE% ^
    -morphology thicken "3>:-,0,-,1,-,1,0,1,0" -clamp ^
    -morphology thicken "3>:-,0,0,1,-,0,0,1,-" -clamp ^
    +write %SKEL4% ^
    ^( +clone ^
       -define "morphology:compose=Darken" ^
       -morphology Thinning "LineJunctions;LineJunctions:3>;LineJunctions:5" -clamp ^
    ^) ^
    -compose Difference -composite ^
    -morphology Thinning "Rectangle:2x1;Rectangle:1x2" -clamp ^
    -transparent Black ^
    sparse-color:- ^| sed -e 's/ /\n/g' `) do @(
    @echo color %%X,%%Y floodfill
  )
) >%FLOODLIST%

rem type %FLOODLIST%

%IMG7%magick ^
  %INFILE% ^
  ( %SKEL4% ^
    -fill Black -draw @%FLOODLIST% ^
  ) ^
  -compose Darken -composite ^
  %OUTFILE%

rem cPrefix /i%FLOODSCR% /r" ^"
rem echo ^) -compose Darken -composite %OUTFILE% >>%FLOODSCR%
rem
rem type %FLOODSCR%
rem call %FLOODSCR%

call echoRestore

@endlocal & set njlOUTFILE=%OUTFILE%
