rem From %1, a CSV of PH values for images,
rem makes %2 a CSV with varying thresholds of RMS.

setlocal

set COLSP_CSV=%1

set OUTFILE=%2

set TMP_RESULTS=%TEMP%\ptc.csv

if not exist %COLSP_CSV% (
  echo Can't find %COLSP_CSV%
  exit /B 1
)

scorePairsNPD %COLSP_CSV% >%TMP_RESULTS%

cGrep    /p0 /i%TMP_RESULTS% /o%TMP_RESULTS%  /sFPFN

chStrs   /p0 /i%TMP_RESULTS% /o%TMP_RESULTS% /f", " /t","
chStrs   /p0 /i%TMP_RESULTS% /o%TMP_RESULTS% /f" " /t","

call deEqCols %TMP_RESULTS% %OUTFILE%
if ERRORLEVEL 1 exit /B 1

cProject /p0 /i%OUTFILE% /o%OUTFILE% /h /kFPrate,FNrate,FPFN,MCC,threshold

if ERRORLEVEL 1 exit /B 1

cSort    /p0 /i%OUTFILE% /o%OUTFILE% /h /kFPrate

type %TMP_RESULTS%

endlocal