@rem
@rem Updated:
@rem   15-August-2022 for IM v7.
@rem

rem %1 is colorspace combination eg 63_HSB_IQ_xyY

call %PICTBAT%setPhEnv

set COLSP_COMB=%1

set TITLE=%COLSP_COMB:_=+%
set TITLE=%TITLE:21+=%
set TITLE=%TITLE:42+=%
set TITLE=%TITLE:63+=%
set TITLE=%TITLE:84+=%

set COLSP_CSV=%PH_CSVDIR%\idPH%COLSP_COMB%.csv

set TMP_RESULTS=%TEMP%\php.csv

call %PICTBAT%phpThreshCsv %COLSP_CSV% %TMP_RESULTS%
if ERRORLEVEL 1 exit /B 1

set PLOT=php_%COLSP_COMB%

gnuplot-base ^
  -c %PICTBAT%plotScr.gp ^
  %TMP_RESULTS% %PLOT%.svg 500 500 "2" ^
  "FPrate" "FNrate" ^
  "set key inside top right noautotitle title '%TITLE%';set xrange [0:1];set yrange [0:1];set size square"

rem  "set key inside top right noautotitle title '%TITLE%';set logscale;set xrange [0.001:1];set yrange [0.001:1];set size square"

if ERRORLEVEL 1 exit /B 1

rem set yrange [0:1];

%IMG7%magick ^
  -background None %PLOT%.svg ^
  -trim +repage ^
  -bordercolor None -border 5 ^
  -background #eee -layers flatten ^
  %PLOT%.png
