rem Called by plane2cyl and cyl2plane.
@rem
@rem Updated:
@rem   5-August-2022 for IM v7.
@rem

if "%pcStartAng%"=="" set pcStartAng=-90
if "%pcEndAng%"=="" set pcEndAng=90

if "%pcBackCol%"=="" set pcBackCol=None

if "%pcForceRecalc%"=="" set pcForceRecalc=0


set PCDIR=%TEMP%

rem FIXME: suffix also needs file dims.
rem
set SUFF=%tiltAng%_%pcStartAng%_%pcEndAng%
set fP2C_HORIZ=%PCDIR%\p2c_h_%SUFF%.miff
set fP2C_VERT=%PCDIR%\p2c_v_%SUFF%.miff
set fP2C_COMB=%PCDIR%\p2c_c_%SUFF%.miff
set fC2P_HORIZ=%PCDIR%\p2c_h_%SUFF%_irc.miff
set fC2P_VERT=%PCDIR%\c2p_v_%SUFF%.miff
set fC2P_COMB=%PCDIR%\c2p_c_%SUFF%.miff

echo %0: Files: %fP2C_HORIZ% %fP2C_VERT% %fP2C_COMB%

set CALC=%IMG7%magick identify -precision 9 -format

rem Start and end, as percentages. Zero is far left; 100 is far right.
rem ZeroAng is whether the difference between start and end is effectively zero.
rem farZAng is the angle that is most towards the back; used to calc farZy, which isn't used.
rem
set pc180start=
FOR /F "usebackq" %%L ^
IN (`%CALC% ^
  "pc180start=%%[fx:(%pcStartAng%+90)/1.80]\npc180end=%%[fx:(%pcEndAng%+90)/1.80]\nZeroAng=%%[fx:abs(%pcStartAng%-(%pcEndAng%))<0.01]\nfarZAng=%%[fx:abs(%pcStartAng%)>abs(%pcEndAng%)?%pcStartAng%:%pcEndAng%]" ^
  xc:`) ^
DO set %%L

if "%pc180start%"=="" exit /B 1

set sinT=
FOR /F "usebackq" %%L ^
IN (`%CALC% "sinT=%%[fx:sin(%tiltAng%*pi/180)]\ncosT=%%[fx:cos(%tiltAng%*pi/180)]" xc:`) ^
DO set %%L

if "%sinT%"=="" exit /B 1
