rem From:
rem  %1,%2 coords of centre
rem  %3 radius from centre to each apex
rem  %4 number of sides
rem  %5 optional rotation
rem returns ppPATH set to M...Z path, no spaces.
@rem
@rem Updated:
@rem   2-October-2022 for IM v7.
@rem

@if "%4"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave


set sPath=M

set /A Nm1=%4-1

echo %Nm1%

set ROT=%5
if "%ROT%"=="" set ROT=0

for /L %%i in (0,1,%Nm1%) do (

  for /F "usebackq" %%F in (`%IMG7%magick identify -precision 15 ^
    -format "ANG=%%[fx:(%%i*360/%4+%ROT%)*pi/180]" ^
    xc:`) do set %%F

  echo ANG=!ANG!

  for /F "usebackq" %%F in (`%IMG7%magick identify -precision 15 ^
    -format "DX=%%[fx:sin(!ANG!)*%3+%1]\nDY=%%[fx:cos(!ANG!)*%3+%2]" ^
    xc:`) do set %%F

  echo !DX!,!DY!

  if not %%i==0 set sPath=!sPath!L
  set sPath=!sPath!!DX!,!DY!
)

call echoRestore

set sPath=!sPath!Z
echo sPath=%sPath%

@endlocal & set ppPATH=%sPath%
