set SRC=\web\dem\tl2555_DSM_2M.asc
set SRC=%1

if not exist %1 exit /B 1

for /F "usebackq" %%L in (`flt2bin %SRC% x.bin`) do set %%L

echo %xllcorner% %yllcorner% %minval% %maxval%

set OUTIMG=dem_%xllcorner%_%yllcorner%.tiff

%IMG7%magick ^
  -size 500x500 -define quantum:format=floating-point -depth 32 gray:x.bin ^
  -evaluate Divide %%[fx:QuantumRange] ^
  -fuzz 0.1% -fill #000000000001 -opaque gray(-15.2575%%) ^
  -level %minval%,%maxval% ^
  %OUTIMG%

