@rem From image %1,
@rem after auto-levelling each channel independently,
@rem finds number of pixels that have 0 or 100% in each channel.
@rem
@rem Updated:
@rem   20-August-2022 for IM v7.
@rem

@%IMG7%magick ^
  %1 ^
  -channel RGB ^
  -auto-level ^
  -separate ^
  +channel ^
  ( -clone 0-2 ^
    -fill White +opaque Black ^
    -negate ^
    -format "shadowClipped.%%s=%%[fx:int(mean*w*h+0.5)]\n" ^
    +write info: ^
    -delete 0-2 ^
  ) ^
  -fill Black +opaque White ^
  -format "highlightClipped.%%s=%%[fx:int(mean*w*h+0.5)]\n" ^
  info:
