rem Given %1 is prefix for environment variable of a quadrangle,
rem sets components for angles, each in degrees clockwise.
@rem
@rem Updated:
@rem   24-August-2022 for IM v7.
@rem

set PREF=Quad2
set PREF=%1

call :doCalcAtan %PREF%.AngLeft   !%PREF%.TL.x!-!%PREF%.BL.x! !%PREF%.BL.y!-!%PREF%.TL.y!
call :doCalcAtan %PREF%.AngTop    !%PREF%.TR.y!-!%PREF%.TL.y! !%PREF%.TR.x!-!%PREF%.TL.x!
call :doCalcAtan %PREF%.AngRight  !%PREF%.TR.x!-!%PREF%.BR.x! !%PREF%.BR.y!-!%PREF%.TR.y!
call :doCalcAtan %PREF%.AngBottom !%PREF%.BR.y!-!%PREF%.BL.y! !%PREF%.BR.x!-!%PREF%.BL.x!

set %PREF%.Ang

exit /B 0

::---------------------------------------------
:: Subroutine

:doCalcAtan
set %1=
for /F "usebackq" %%L in (`%IMG7%magick identify ^
  -precision 19 -format "%1=%%[fx:atan2(%2,%3)*180/pi]" ^
  xc:`) do set %%L

rem echo %1 is !%1!

if "!%1!"=="" exit /B 1

exit /B 0