rem Creates environment variable to restrict a template for a lith screen.
rem %1 Initial shift percentage.
rem %2 Make black lines no denser than this percentage.
rem %3 Make black lines only where the image is darker than this percentage.
rem %4 Name of environment variable to be set.

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

set shiftPc=%1
if "%shiftPc%"=="." set shiftPc=
if "%shiftPc%"=="" set shiftPc=0

set rsX=%2
if "%rsX%"=="." set rsX=

set rsY=%3
if "%rsY%"=="." set rsY=

set sSH=
set SX=
set SY=

if not "%shiftPc%"=="0" set sSH=-evaluate Add %shiftPc%%%

if not "%rsX%"=="" set SX=-black-threshold %rsX%%%

if not "%rsY%"=="" set SY=-evaluate Min %rsY%%%


call echoRestore

@endlocal & set %4=%sSH% %SX% %SY%

@echo %0: %4=!%4!
