rem Given image %1
rem writes %2 setting mean and standard deviation
rem from variables starting with %3 (eg created by meanSdTr).
@rem
@rem Updated:
@rem   6-August-2022 for IM v7
@rem

setlocal

set STDOPT=i0 0 i2 1000

for /F "usebackq tokens=*" %%L in (`%IM7DEV%magick ^
  %1 ^
  -precision 19 ^
  -channel RGB ^
  -separate ^
  ^( -clone 0 ^
     -process 'setmnsd mn !%3mn_R! sd !%3sd_R! %STDOPT% f stdout' ^
     -format "CMD_R=%%[filter:setmnsd]\n" +write info:
  ^) ^
  -delete 0 ^
  ^( -clone 0 ^
     -process 'setmnsd mn !%3mn_G! sd !%3sd_G! %STDOPT% f stdout' ^
     -format "CMD_G=%%[filter:setmnsd]\n" +write info:
  ^) ^
  -delete 0 ^
  ^( -clone 0 ^
     -process 'setmnsd mn !%3mn_B! sd !%3sd_B! %STDOPT% f stdout' ^
     -format "CMD_B=%%[filter:setmnsd]\n" +write info:
  ^) ^
  -delete 0 ^
  -combine ^
  %2`) do set %%L

echo CMD_R=%CMD_R%
echo CMD_G=%CMD_G%
echo CMD_B=%CMD_B%

endlocal & set smsrCMD_R=%CMD_R%& set smsrCMD_G=%CMD_G%& set smsrCMD_B=%CMD_B%
