rem Given image %1 that may contain negative values,
rem writes output with no negative values.
@rem
@rem Assumes magick has HDRI.
@rem
@rem Updated:
@rem   6-August-2022 for IM v7
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 snn

if not "%2"=="" set OUTFILE=%2

set MIN_PC=
for /F "usebackq" %%L in (`%IMG7%magick ^
  "%INFILE%" ^
  -format "MIN=%%[fx:minima]\nMIN_PC=%%[fx:(-minima)*100]\nMIN_LSS_Z=%%[fx:minima<0?1:0]\n" ^
  info:`) do set %%L

if "%MIN_PC%"=="" exit /B 1

echo %0: MIN_PC=%MIN_PC%  MIN_LSS_Z=%MIN_LSS_Z%

if "%MIN_LSS_Z%"=="1" (
  set sADD=-evaluate Add %MIN_PC%%% -clamp
) else (
  set sADD=
)

%IMG7%magick ^
  "%INFILE%" ^
  %sADD% ^
  "%OUTFILE%"


call echoRestore

endlocal & set snnOUTFILE=%OUTFILE%
