rem From colour image %1,
rem returns %2 scalar image, the divergence of %1.
@rem
@rem Assumes magick is HDRI.
@rem
@rem Updated:
@rem   26-June-2017  Remove bias 50%
@rem   22-July-2022  Upgraded for IM v7.
@rem


@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 shd

if not "%2"=="" set OUTFILE=%2

%IMG7%magick ^
  %INFILE% ^
  -morphology Convolve 3x3:0,0.25,0,0.25,-1,0.25,0,0.25,0 ^
  -depth 32 -define quantum:format=floating-point ^
  %OUTFILE%

call echoRestore

endlocal & set shdOUTFILE=%OUTFILE%
