rem Given %1 is magnitude
rem %2 is direction,
rem writes %3 a slopeXY structure.
@rem
@rem Assumes direction has been created with "SWAP . 75".
@rem
@rem Assumes magick is HDRI.
@rem
@rem Updated:
@rem   22-July-2022 Upgraded for IM v7.
@rem

@if "%3"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 smdxy

set MAG=%1
set DIRN=%2
set OUTFILE=%3

%IMG7%magick ^
  %MAG% -evaluate Multiply 1.414213562373095 +write mpr:MAG +delete ^
  %DIRN% +write mpr:DIRN +delete ^
  -define compose:clamp=off ^
  ( mpr:DIRN -function Sinusoid 1,180,1,0 ^
    mpr:MAG ^
    -compose Multiply -composite ^
  ) ^
  ( mpr:DIRN -function Sinusoid 1,90,1,0 ^
    mpr:MAG ^
    -compose Multiply -composite ^
  ) ^
  +depth ^
  -depth 32 ^
  -define "quantum:format=floating-point" ^
  %OUTFILE%

call echoRestore

endlocal & set smdxyOUTFILE=%OUTFILE%
