rem Given %1 is slopeXY structure (thus contains 2 images),
rem outputs %2 slopeXY structure, each image 1x1, the RMS values.
rem Calculated by "-scale", so transparent input pixels don't count.
@rem
@rem Assumes magick is HDRI.
@rem
@rem Updated:
@rem   22-July-2022 Upgraded for IM v7.
@rem

%IMG7%magick ^
  %1 ^
  -channel RGB -evaluate Pow 2 +channel ^
  -scale "1x1%!" ^
  -channel RGB -evaluate Pow 0.5 +channel ^
  %2
