#include <stdio.h>
#include <stdlib.h>
#include <MagickWand/MagickWand.h>

int main (int argc, char **argv)
{
  MagickBooleanType
    status;

  ExceptionInfo * exception = AcquireExceptionInfo ();
  ImageInfo * image_info = AcquireImageInfo ();

  status = ConvertImageCommand(image_info, argc, argv, NULL, exception);
  if (status == MagickFalse)
    MagickError(exception->severity,exception->reason,exception->description);

  image_info = DestroyImageInfo (image_info);
  exception = DestroyExceptionInfo (exception);

  return (status==MagickFalse) ? 1 : 0;
}
