rem Given two images %1 and %2 with binary (more or less) transparency,
rem how much can we overlap them vertically?
rem %3 is amount to increase y-gap (or decrease if negative).
rem %4 is output.
@rem
@rem Updated:
@rem   11-August-2022 for IM v7
@rem

@if "%2"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 sa

set INFILE1=%1
set INFILE2=%2

set deltaY=%3
if "%deltaY%"=="." set deltaY=
if "%deltaY%"=="" set deltaY=0

if not "%4"=="" set OUTFILE=%4

%IMG7%magick ^
  %INFILE1% ^
  %INFILE2% ^
  -alpha extract ^
  +level 0,50%% ^
  sa_tmp.miff

call %PiCTBAT%whatSquish sa_tmp.miff[0] sa_tmp.miff[1]

echo wsOver=%wsNover% wsGX=%wsGX% wsGY=%wsGY%

set /A wsGY+=%deltaY%

%IMG7%magick ^
  %INFILE1% ^
  ( %INFILE2% -repage +%wsGX%+%wsGY% ) ^
  -background None ^
  -layers merge ^
  +repage ^
  %OUTFILE%


call echoRestore

endlocal & set saOUTFILE=%OUTFILE%
