rem Given string %1 (possibly quoted)
rem makes image approx %2 pixels wide
rem then squishes characters with gap %3
rem Output to image %4.
rem
rem Also uses:
rem   sqsSPACE_GAP Gap to be used when previous character is space. [0]

@if "%~1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

rem call %PICTBAT%setInOut %1 sqs

set STR=%1
set strNq=%~1

set WW=%2
if "%WW%"=="." set WW=
if "%WW%"=="" set WW=300

set GAP=%3
if "%GAP%"=="." set GAP=
if "%GAP%"=="" set GAP=0

set OUTFILE=%4
if "%OUTFILE%"=="." set OUTFILE=
if "%OUTFILE%"=="" set OUTFILE=sqs_out.png

if "%sqsSPACE_GAP%"=="" set sqsSPACE_GAP=0

set LETTERS_MIFF=sqs_your.miff
set OUT_MIFF=sqs_out.miff

for /F "usebackq" %%L in (`%IMG7%magick ^
  -size 300 label:%STR% -format "PNT_SZ=%%[label:pointsize]" ^
  info:`) do set %%L

set N=0

set sLABELS=
:loop
set C=!strNq:~%N%,1!

if defined C (
  set sLABELS=%sLABELS% label:"%C%"
  set /A N+=1
  goto loop
)

echo N=%N% sLABELS=%sLABELS%

%IMG7%magick ^
  -pointsize %PNT_SZ% ^
  -background None ^
  %sLABELS% ^
  -rotate 90 ^
  %LETTERS_MIFF%

set /A Nm1=%N%-1

set PREV_SP=0
for /L %%I in (1,1,%Nm1%) do (
  if %%I==1 (
    set fZero=%LETTERS_MIFF%[0]
  ) else (
    set fZero=%OUT_MIFF%
  )

  set GP=%GAP%
  if !PREV_SP!==1 (
    set GP=%sqsSPACE_GAP%
    set PREV_SP=0
  )

  set C=!strNq:~%%I,1!
  if "!C!"==" " set PREV_SP=1

  call %PICTBAT%squishAppend ^
    !fZero! ^
    %LETTERS_MIFF%[%%I] ^
    !GP! ^
    %OUT_MIFF%
)

%IMG7%magick %OUT_MIFF% -rotate -90 %OUTFILE%

call echoRestore

@endlocal & set sqsOUTFILE=%OUTFILE%
