rem Straighten two (blue) lines horizontally and two (green) lines vertically.

rem %1 is image with two non-intersecting aliased blue lines, and two green.
rem %2 image to be distorted.
rem %3 is output.
rem %4 proportion of effect (typically 0.0 to 1.0) [1.0]
rem %5 shrink or stretch or mean
rem %6 prefix for environment variables [s2l3]

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 s4l

set OUTTMPLT=b2c_XX.miff

set INDIST=%2
if "%INDIST%"=="." set INDIST=
if "%INDIST%"=="" set INDIST=%INFILE%

if not "%3"=="" if not "%3"=="." set OUTFILE=%3

set FCTPROP=%4
if "%FCTPROP%"=="." set FCTPROP=
if "%FCTPROP%"=="1.0" set FCTPROP=1
if "%FCTPROP%"=="" set FCTPROP=1

set ShrStr=%5
if "%ShrStr%"=="." set ShrStr=
if "%ShrStr%"=="" set ShrStr=shrink

set ENVPREF=%6
if "%ENVPREF%"=="." set ENVPREF=
if "%ENVPREF%"=="" set ENVPREF=s2l3

set TMPDIR=\temp

set TMPRSLT_B1=%TMPDIR%\s4l_rslt_b1.miff
set TMPRSLT_B2=%TMPDIR%\s4l_rslt_b2.miff
set TMPRSLT_G2=%TMPDIR%\s4l_rslt_g2.miff
set TMP_ROT1=%TMPDIR%\s4l_rot_1.miff
set TMP_ROT2=%TMPDIR%\s4l_rot_2.miff

:: Following is inefficient, with repeated work.
::
set b2cDEBUG=b2c1.png
call %PICTBAT%str2lines3 %INFILE% %INFILE% %TMPRSLT_B1% %FCTPROP% %ShrStr% %ENVPREF% B . Edge
if ERRORLEVEL 1 exit /B 1
set b2cDEBUG=b2c2.png
call %PICTBAT%str2lines3 %INFILE% %INDIST% %TMPRSLT_B2% %FCTPROP% %ShrStr% %ENVPREF% B
if ERRORLEVEL 1 exit /B 1

%IMG7%magick %TMPRSLT_B1% -rotate 90 %TMP_ROT1%
%IMG7%magick %TMPRSLT_B2% -rotate 90 %TMP_ROT2%

set b2cDEBUG=b2c3.png
call %PICTBAT%str2lines3 %TMP_ROT1% %TMP_ROT2% %TMPRSLT_G2% %FCTPROP% %ShrStr% %ENVPREF% G
if ERRORLEVEL 1 exit /B 1
%IMG7%magick %TMPRSLT_G2% -rotate -90 %OUTFILE%

call echoRestore

@endlocal & set s4lOUTFILE=%OUTFILE%
