rem From text file %1,
rem make image up to %2 pixels wide.
rem Text will be black, on transparent background.
rem Squishes, with extra gap %3.
rem Output to %4.
@rem
@rem Updated:
@rem   6-August-2022 for IM v7
@rem

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 taws

set WW=%2
if "%WW%"=="." set WW=
if "%WW%"=="" set WW=300

set deltaY=%3
if "%deltaY%"=="." set deltaY=
if "%deltaY%"=="" set deltaY=0

if not "%4"=="" set OUTFILE=%4


set TMP0=taws_tmp0.miff
set TMP1=taws_tmp1.miff

set N=0
for /F "tokens=*" %%L in (%INFILE%) do (

  if !N!==0 (
    %IMG7%magick -background None -size %WW%x label:"%%L" -trim +repage %TMP0%
  ) else (
    %IMG7%magick -background None -size %WW%x label:"%%L" -trim +repage %TMP1%
    call %PICTBAT%squishAppend %TMP0% %TMP1% %deltaY% %TMP0%
  )

  set /A N+=1
)

%IMG7%magick %TMP0% %OUTFILE%

call echoRestore

@endlocal & set tawOUTFILE=%OUTFILE%
