rem Sharpen by unsharp ratio (USR) method.
rem %1 input image
rem %2 output
rem %3 power factor p
rem %4 blur sigma
rem %5 operate in this colorspace

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 usr

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set P=%3
if "%P%"=="." set P=
if "%P%"=="" set P=2

set SIG=%4
if "%SIG%"=="." set SIG=
if "%SIG%"=="" set SIG=2

set OPCOLSP=%5
if "%OPCOLSP%"=="." set OPCOLSP=
if "%OPCOLSP%"=="" set OPCOLSP=sRGB

call %PICTBAT%reqColSp %INFILE% %OPCOLSP% usr_

%IMG7%magick ^
  %INFILE% ^
  %usr__COLSPIN% ^
  +write mpr:INP ^
  ( -clone 0 ^
    -blur 0x%SIG% ^
    +write mpr:MN ^
  ) ^
  -define compose:clamp=off ^
  -compose DivideSrc -composite ^
  -evaluate Pow %P% ^
  mpr:MN ^
  -compose Multiply -composite ^
  +write mpr:SHPLO ^
  ( +clone -clamp ) ^
  -compose MinusSrc -composite ^
  -channel RGB -threshold 0 +channel ^
  +write mpr:MSK ^
  -negate +write mpr:MSKNEG ^
  +delete ^
  mpr:INP ^
  mpr:MN ^
  -negate ^
  ( +clone -write mpr:MNNEG +delete ) ^
  -compose DivideSrc -composite ^
  -evaluate Pow %P% ^
  mpr:MNNEG ^
  -compose Multiply -composite ^
  -negate ^
  mpr:MSK ^
  -compose Multiply -composite ^
  ( mpr:SHPLO ^
    mpr:MSKNEG ^
    -compose Multiply -composite ^
  ) ^
  -compose Plus -composite ^
  %usr__COLSPOUT% ^
  %OUTFILE%


call echoRestore

@endlocal & set usrOUTFILE=%OUTFILE%
