rem From image %1 with transparency,
rem write %2 output name,
rem filling holes with Voronoi method
@rem
@rem See http://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=30680&p=138975#p138975
@rem
@rem Updated:
@rem   30-July-2020 for IM v7.

@if "%1"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal

@call echoOffSave

call %PICTBAT%setInOut %1 vf

if not "%2"=="" if not "%2"=="." set OUTFILE=%2

set TMP_DIR=%TEMP%

%IMG7%magick ^
  %INFILE% ^
  ( +clone ^
    -channel A -morphology EdgeIn Diamond +channel ^
    +write sparse-color:%TMP_DIR%\vf.txt ^
    -sparse-color Voronoi "@%TMP_DIR%\vf.txt" -alpha off ^
  ) ^
  -compose DstOver -composite ^
  %OUTFILE%

if ERRORLEVEL 1 exit /B 1

call echoRestore

@endlocal & set vfOUTFILE=%OUTFILE%
