rem %1 is text file, with one filename per line.
rem Wait until all files exist.

set INFILE=%1

:loop

set DONE=1

for /F %%F in (%INFILE%) do (
  echo %%F
  if not exist %%F set DONE=0
)

if %DONE%==0 (
  sleep 1
  goto loop
)

rem All the files now exist,
rem but they may not have been closed, ready for further processing.