rem %1 is text file, with one filename per line.
rem %2 is limit of non-created files

rem Waits until no more than %2 files don't exist.

set INFILE=%1
set LIMIT=%2

:loop

set EXIST=0
set NOTEXIST=0

for /F %%F in (%INFILE%) do (
  echo %%F
  if exist %%F (
    set /A EXIST+=1
  ) else (
    set /A NOTEXIST+=1
  )
)

echo EXIST=%EXIST% NOTEXIST=%NOTEXIST%

if %NOTEXIST% GTR %LIMIT% (
  sleep 1
  goto loop
)
