rem Given %1 is an image
rem and %2 is a text file of pixel coordinates,
rem gradually paint each pixel black,
rem making animation gif %3.
@rem
@rem Updated:
@rem   14-July-2022 for IM v7.
@rem



@if "%3"=="" findstr /B "rem @rem" %~f0 & exit /B 1

@setlocal enabledelayedexpansion

@call echoOffSave

call %PICTBAT%setInOut %1 wpx

set TXT_PIX=%2

set OUTFILE=%~n3.gif

echo OUTFILE=%OUTFILE%

set FSCR=wpx.scr

(
  for /F "tokens=1,2 delims=," %%X in (%TXT_PIX%) do (
    if %%X GTR 0 if %%X LEQ 9999999 echo ^( +clone -draw "point %%X,%%Y" ^)
  )
) >%FSCR%

echo -layers optimize -write %OUTFILE% -exit >>%FSCR%

echo on

%IMG7%magick ^
  -loop 0 -delay 10 ^
  %INFILE% ^
  -fill Black ^
  -script %FSCR%


call echoRestore

@endlocal & set wpxOUTFILE=%OUTFILE%
