rem %1 input image in xyY space.
rem %2 output black/white histogram with horseshoe.
rem Also creates small sRGB version of input image.

%IM7DEV%magick ^
  %1 ^
  -strip ^
  ( +clone ^
    -set colorspace xyY ^
    -resize 512x512 ^
    -colorspace sRGB ^
    +write %~n1_sm.jpg ^
    +delete ^
  ) ^
  -process 'plotrg dim 512 norm verbose' ^
  -flip ^
  -fill White +opaque Black ^
  -set colorspace sRGB ^
  %2

if ERRORLEVEL 1 exit /B 1

call %PICTBAT%cieHorseshoe %2 %2

if ERRORLEVEL 1 exit /B 1
